% Matlab M-file of Example 11.4: ex11_4.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clean previous value
clc
clear all
% Initial values
L12_length=64;
L23_length=64;
L24_length=96;
Z_per_km=0.05+j*0.5;
Sbase=50*10^6;
Vbase=138*10^3;
ratio=5/200;	
PF=0.8;
V2=67;
% Solution
L12=L12_length*Z_per_km
L23=L23_length*Z_per_km
L24=L24_length*Z_per_km
Ibase=Sbase/(sqrt(3)*Vbase)
Vn=Vbase/sqrt(3)
Ratio_Z=1/((Vn/V2)*ratio)
L12_R=L12*Ratio_Z
L23_R=L23*Ratio_Z
L24_R=L24*Ratio_Z
Zload=V2/(Ibase*(ratio))*(PF+j*sqrt(1-PF^2))
% setting of the relay
disp('Setting of the relay')
Zone1_set=0.8*L12_R
Zone2_set=1.2*L23_R
Zone3_set=L12_R+1.2*L24_R
disp([' Zone1_setting =  ',num2str(Zone1_set),' Ohm, secondary'])
disp([' Zone2_setting =  ',num2str(Zone2_set),' Ohm,   secondary'])
disp([' Zone3_setting =  ',num2str(Zone3_set),' Ohm,   secondary'])