% Matlab M-file of Example 13.10: ex13_10.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clean previous value
clc
clear all
% Initial values
G11=0.5005;
E1=1.1;
E2=1.065;
E3=1;
theta13=91.664;
theta23=90.847;
Ybus=[  0.5005-j*7.7897     0.0+j*0.0    -0.2216+j*7.6291;
           0.0+j*0.0     0.1591-j*6.1168 -0.0901+j*6.0975;
       -0.2216+j*7.6291 -0.0901+j*6.0975  1.3927-j*13.8728];
% values of Pm1 and Pm2 from Table 16.3
Pm1=3.5;
Pm2=1.85;
H1=11.2;%MJ/MVA
H2=8;%MJ/MVA
% Solution
% Pe1=abs(E1)^2*G11+abs(E1)*abs(E3)*abs(Ybus(1,3))cos(delta(13)-theta(13))
Pe1_part1=abs(E1)^2*real(Ybus(1,1));
Pe1_part2=abs(E1)*abs(E3)*abs(Ybus(1,3));
Pe1_part3=angle(Ybus(1,3))*180/pi-90;
fprintf(' Pe1=%f+%f*sin(delta1-%f)\n',Pe1_part1,Pe1_part2,Pe1_part3)
Pe2_part1=abs(E2)^2*real(Ybus(2,2));
Pe2_part2=abs(E2)*abs(E3)*abs(Ybus(2,3));
Pe2_part3=angle(Ybus(2,3))*180/pi-90;
fprintf(' Pe2=%f+%f*sin(delta1-%f)\n',Pe2_part1,Pe2_part2,Pe2_part3);
% swing equations
fprintf('Swing Equation 1 : 180f/%f*[%f%fsin(delta1-%f)]\n',H1,Pm1-Pe1_part1,-Pe1_part2,Pe1_part3)%elec deg/s^2
fprintf('Swing Equation 2 : 180f/%f*[%f%fsin(delta2-%f)]\n',H2,Pm2-Pe2_part1,-Pe2_part2,Pe2_part3)%elec deg/s^2



