% Matlab M-file of Example 13.4: ex13_4.m 
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clean previous value
clc
clear all
% Initial values
Ybus=[-j*3.333 0 j*3.333;0 -j*7.5 j*2.5;j*3.333 j*2.5 -j*10.833];
Ybus_new=[-j*2.308 j*0.769;j*0.769 -j*6.923];
E1=1.05;
E2=1;
% Solution
Pmax=E1*E2*abs(Ybus_new(1,2));
% swing equation
syms sin_delta f
swing_eqation=1-roundn(Pmax,-3)*sin_delta
%  rotor angle is initially 28.44
Pa=1-Pmax*sind(28.44);
disp([' Pa = 1-Pmax*sind(28.44) = ',num2str(Pa),' per unit'])
a=180*0.615/5;% initial acceleration
disp(['Initial acceleration: a = 180*0.615/5 = ',num2str(Pa),' per unit'])
fprintf(' 180*f*0.615/5=%d f\n',a);
