% Matlab M-file of Example 13.6: ex13_6.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clean previous value
clc
clear all
% Initial values
H=5;% MJ/MVA
% Get from 13.3
Sp=2.10*cosd(28.44);
f=60;
% Solution
Ws=2*pi*f;
% angular frequency of oscillation
disp('Angular frequency of oscillation')
Wn=sqrt(Ws*Sp/(2*H));
disp([' Wn = sqrt(Ws*Sp/(2*H)) = ',num2str(Wn),' elec rads/s'])
% corresponding frequency of oscillation
disp('Corresponding frequency of oscillation')
fn=Wn/(2*pi);
disp([' fn = Wn/(2*pi) = ',num2str(Wn),' Hz'])
T=1/fn;
disp([' T = 1/fn = ',num2str(T),' s'])


