% Matlab M-file of Example 13.7: ex13_7.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clean previous value
clc
clear all
% Initial values
H=5;% MJ/MVA
% Get from 13.3
Sp=2.10*cosd(28.44);
f=60;
degree=28.44;
theta0=degree/180*pi;
% Solution
disp('Mechanical input power Pm is 1.0 per unit, and Eq. (16.70) then gives')
theta_cr=acosd((pi-2*theta0)*sind(degree)-cosd(degree));
disp([' theta_cr = acosd((pi-2*theta0)*sind(degree)-cosd(degree)) = ',num2str(theta_cr),' degree'])
rad_cr=theta_cr/180*pi;
t_cr=sqrt(4*H*(rad_cr-theta0)/(2*pi*f));
disp([' t_cr = sqrt(4*H*(rad_cr-theta0)/(2*pi*f)) = ',num2str(t_cr),' s'])

