% Matlab M-file of Example 13.8: ex13_8.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clear previous values
clc
clear all
% Initial values
% Get from Example 13.3 
P_Before_fault=2.1;
P_During_fault=0.808;
P_After_fault=1.5;
degree0=28.44;
theta0=degree0/180*pi;
% Solution
r1=P_During_fault/P_Before_fault;
r2=P_After_fault/P_Before_fault;
theta_max=180-asind(1/P_After_fault);
Rad_max=theta_max/180*pi;
disp([' Rad_max = 180-asind(1/P_After_fault)/180*pi = ',num2str(Rad_max),' rad'])
cos_theta_cr=(1/P_Before_fault*(Rad_max-theta0)+r2*cosd(theta_max)-r1*cosd(degree0))/(r2-r1);
disp([' cos_theta_cr=(1/P_Before_fault*(Rad_max-theta0)+r2*cosd(theta_max)-r1*cosd(degree0))/(r2-r1) = ',num2str(cos_theta_cr)])
theta_cr=acosd(cos_theta_cr);
disp([' theta_cr = acosd(cos_theta_cr) = ',num2str(theta_cr),' degree'])
