% Matlab M-file for Example 3.10: ex3_10.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clean previous value
clc
clear all
% initial value
Sp=15*10^6;
Ss=10*10^6;
St=5*10^6;
Vp=66*10^3;
Vs=13.2*10^3;
Vt=2.3*10^3;
Zps=0.07
Zpt=0.09
Zst=0.08
% solution
disp('Neglecting resistance, the leakage impedances are')
Zst_new=Zst*Sp/Ss
disp([' Zst_new=Zst*Sp/Ss=',num2str(Zst_new),' per unit'])
Zp=0.5*(Zps+Zpt-Zst_new);
disp([' Zp=0.5*(Zps+Zpt-Zst_new)=',num2str(Zp),' per unit'])
Zs=0.5*(Zps+Zst_new-Zpt);
disp([' Zs=0.5*(Zps+Zst_new-Zpt)=',num2str(Zs),' per unit'])
Zt=0.5*(Zpt+Zst_new-Zps);
disp([' Zt=0.5*(Zpt+Zst_new-Zps)=',num2str(Zt),' per unit'])