% Matlab M-file for Example 3.11: ex3_11.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clean previous value
clc
clear all
% initial value
R=1;%pu
X=0.2;%pu
Sload=5*10^6;%VA
Vload=2.3*10^3;%V
Smotor=7.5*10^6;%VA
Vmotor=13.2*10^3;%V
Snew=15*10^6;%VA
Vnew=66*10^3;%V
% solution
Rnew=R*Snew/Sload;
Xnew=X*Snew/Smotor;
disp([' Rnew=R*Snew/Sload=',num2str(Rnew),' per unit'])
disp([' Xnew=X*Snew/Smotor=',num2str(Xnew),' per unit'])
disp(['Expressed on a 15 MVA, 2.3 kV base, the load resistance is ',num2str(Rnew),' per unit'])
disp(['The reactance of the motor on a base of 15 MVA, 13.2 kV is ',num2str(Xnew),' per unit'])


