% Matlab M-file for Example 3.13: ex3_13.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clean previous value
clc
clear all
% initial value
V=1;  Z=0.8+j*0.6;
delta_V=0.05;
Xt=j*0.1;  Xt2=j*0.1;
% solution
IL=V/Z;  Icir=delta_V/(Xt+Xt2);
% the current in each path is half the load current
disp('The current in each path is half the load current')
ITa=IL/2-Icir;  ITb=IL/2-Icir;
disp([' ITa=IL/2-Icir=',num2str(ITa)])
disp([' ITb=IL/2-Icir=',num2str(ITb)])
STa=1*conj(ITa);  STb=1*conj(ITb);
disp([' STa=1*conj(ITa)=',num2str(STa)])
disp([' STb=1*conj(ITb)=',num2str(STb)])
disp([num2str(STa) ' per unit transmitted to the load through transformer A.'])
disp([num2str(STb) ' per unit transmitted to the load through transformer B.'])