% M-file for Example 3.17: ex3_17.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clean previous value
clc
clear all
% Initial value
Xd=1.7241;  Vt=1 ;  Ia=0.8;   % Per unit
ang=25.8419;                  % Lagging
Ei=Vt+j*Xd*Ia*(cosd(-ang)+j*sind(-ang));
Ei_mag=abs(Ei);  Ei_ang=angle(Ei)*180/pi;
disp(['  Ei = Vt + jXd*Ia  ',num2str(Ei_mag),'',num2str(Ei_ang),' per unit'])
% P and Q output of the generator
P=abs(Vt)*abs(Ei)*sind(Ei_ang)/Xd;
disp(['  P = |Vt||Ei| * sin(ang) / Xd =',num2str(P),' per unit'])
Q=abs(Vt)*(abs(Ei)*cosd(Ei_ang)-abs(Vt))/Xd;
disp(['  Q = |Vt| * ( |Ei|* cos(ang) - |Vt| )/ Xd =',num2str(Q),' per unit'])
disp('Now,increasing excitation by 20% with P and Vt constant :')
ang1=asin(P*Xd/(1.2*abs(Vt)*abs(Ei)))*180/pi;
Q= abs(Vt)*(1.2*abs(Ei)*cosd(ang1)-abs(Vt))/Xd;
disp([' delta = |Vt|*1.2*|Ei|* sin(ang) / Xd = ',num2str(ang1)])
disp(['  Q = ',num2str(Q),'per unit'])
disp('Now, decreasing excitation by 20%:')
ang2=asin(P*Xd/(0.8*abs(Vt)*abs(Ei)))*180/pi;
Q= abs(Vt)*(0.8*abs(Ei)*cosd(ang2)-abs(Vt))/Xd;
disp([' delta = |Vt|*0.8*|Ei|* sin(ang) / Xd = ',num2str(ang2)])
disp(['  Q = ',num2str(Q),'per unit'])
