% Matlab M-file of Example 3.6: ex3_6.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clean previous value
clc
clear all
% initial value
Vlow=110;%V
Vhigh=440;%V
S=2500;%VA
XL=0.06;%pu
% solution
Zbase_L=(Vlow/1000)^2*1000/(S/1000);%Low voltage base impedance
XL_pu=XL/Zbase_L;                    %Low voltage side,leakage reactance in per unit
XH=XL*(Vhigh/Vlow)^2;
Zbase_H=(Vhigh/1000)^2*1000/(S/1000);
XH_pu=XH/Zbase_H;                    %High voltage side,leakage reactance in per unit
disp([' XL_pu=XL/Zbase=',num2str(XL_pu),' per unit'])
disp([' XH=XL*(Vhigh/Vlow)^2=',num2str(XH_pu),' per unit'])
disp(['Leakage reactance measured on the low-voltage side is ',num2str(XL_pu),' per unit'])
disp(['Leakage reactance measured on the high-voltage side is ',num2str(XH_pu),' per unit'])

