% Matlab M-file for Example 3.9: ex3_9.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clean previous value
clc
clear all
% initial value
VH=220*10^3;%V
VL=22*10^3;%V
S=400*10^6;%VA
R=0.121;%ohm
Snew=100*10^6;
VH_new=230*10^3;%V
% solution
Zbase=VL^2/S;
% On its own base the transformer reactance is
R_pu_old=R/Zbase;
disp([' R_pu_old = R/Zbase=',num2str(R_pu_old),' per unit'])
disp(['On its own base,the transformer reactance is : ',num2str(R_pu_old),' per unit'])
% On the chosen base the reactance becomes
R_pu_new=R_pu_old*(VH/VH_new)^2*Snew/S;
disp([' R_pu_new = R_pu_old*(VH/VH_new)^2*Snew/S = ',num2str(R_pu_new),' per unit'])
disp(['On the chosen base,the transformer reactance is : ',num2str(R_pu_new),' per unit'])