% Matlab M-file for Example 4.2: ex4_2.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clean previous value
clc
clear all
% Initial value from Fig. 4.9
% Units are all m
Daa=0.25*0.7788*10^(-2);
Dbb=Daa;Dcc=Daa;
Ddd=0.5*0.7788*10^(-2);
Dee=Ddd;
Dab=6;
Dba=Dab; Dbc=Dab; Dcb=Dab; Dde=Dab; Ded=Dab;
Dac=12;
Dca=Dac;
Dad=9;
Dbe=Dad;
Dae=sqrt(6^2+9^2);
Dbd=Dae;Dce=Dae;
Dcd=sqrt(12^2+9^2);
% Solution
Dm=nthroot(Dad*Dae*Dbd*Dbe*Dcd*Dce, 6);
% GMR for side X
disp('GMR for side X')
Ds_X=nthroot(Daa*Dab*Dac*Dba*Dbb*Dbc*Dca*Dcb*Dcc, 9);
disp([' Ds_X=nthroot(Daa*Dab*Dac*Dba*Dbb*Dbc*Dca*Dcb*Dcc, 9)=',num2str(Ds_X), ' m'])
% GMR for side Y
disp('GMR for side Y')
Ds_Y=nthroot(Ddd*Dee*Dde*Ded, 4);
disp([' Ds_Y=nthroot(Ddd*Dee*Dde*Ded, 4)=',num2str(Ds_Y), ' m'])
Lx=2*10^(-7)*log(Dm/Ds_X);  % H/m
disp([' Lx=2*10^(-7)*log(Dm/Ds_X)=',num2str(Lx), '  H/m'])
Ly=2*10^(-7)*log(Dm/Ds_Y);  % H/m
disp([' Ly=2*10^(-7)*log(Dm/Ds_Y)=',num2str(Ly), '  H/m'])
L=Lx+Ly;                                   % H/m
disp([' L=Lx+Ly=',num2str(L), '  H/m'])
L_2=L*1609*10^3;                    % mH/mi
disp([' L_2=L*1609*10^3=',num2str(L_2), '  mH/mi'])

