% Matlab M-file for Example 4.8: ex4_8.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% initial value 
r=1.382*0.3048/(2*12);%m
d=0.45;%m
D12=8;%m
D23=8;%m
D13=16;%m
f=60;%Hz
K=1.6093;
% Solution
DsC=sqrt(d*r);
Deq=nthroot(D12*D23*D13,3);
Cm=2*pi*8.85*10^(-12)/log(Deq/DsC);
Xc_km=1/(2*pi*f*Cm*10^3);%ohm*km per phase to neutral
Xc_mi=Xc_km/K; %ohm*mi per phase to neutral
disp([' Xc_km = ',num2str(Xc_km),' [*km per phase to neutral'])
disp([' Xc_mi = Xc_km/1.6093 = ',num2str(Xc_km/K),' [*mi per phase to neutral'])
disp(['Line-to-line capacitive reactance and susceptance is ',num2str(Xc_km),' [*km per phase to neutral or '])
disp(['Line-to-line capacitive reactance and susceptance is ',num2str(Xc_km/K),' [*mi per phase to neutral'])