% M-file for Example 4.9: ex4_9.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
clc
clear all
% Initial value
f=60;
% Solution
Ds = 0.0229;
Distance_atob = sqrt((10^2)+1.5^2);
% Distance from a to b prime
Distance_atobp = sqrt((10^2)+19.5^2) ;
% GMDs between phases
Dab = nthroot((Distance_atob * Distance_atobp)^2 , 4);
Dbc = Dab;
Dac = nthroot((20*18)^2 , 4);
Deq = nthroot(Dac*Dab*Dbc,3);
Distance_atoap = sqrt((20^2)+18^2);
a_ap = sqrt(Distance_atoap*Ds);
b_bp = sqrt(21*Ds);
c_cp = sqrt(Distance_atoap*Ds);
Ds_2 = nthroot(a_ap*b_bp*c_cp,3);
L = 2*(10^(-7))*log(Deq/Ds_2); % H/m
Xl = 2*pi*f*1609*L;                   % ohm/mi
r = 0.68/(2*12);
DsC = (sqrt(Distance_atoap*r)*sqrt(21*r)*sqrt(Distance_atoap*r))^(1/3);
Cn = 2*pi*8.85*(10^(-12))/log(Deq/DsC); % F/m
Bc = 2*pi*60*Cn*1609;                              % S/mi
disp([' Xl = 2*pi*60*L*1609= ',num2str(Xl),' ohm/mi per phase to neutral'])
disp(['                    = ',num2str(Xl/1.609),' ohm/km per phase to neutral'])
disp([' Bc = 2*pi*60*Cn*1609= ',num2str(Bc),' S/mi per phase to neutral'])
disp(['                     = ',num2str(Bc/1.609),' S/km per phase to neutral'])