% Matlab M-file for Example 5.2: ex5_2.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clean previous value
clc
clear
%initial value 
Sbase=3*10^8;%VA
Vbase=13.8*10^3;%V
V=13.2*10^3;%V
Xkl=j*0.0875;
Xlm=j*0.1815;
Xmn=j*0.0915;
% motors M1 and M2 of Example 5.1 have inputs of 120 and 60 MW
Sm1=120*10^6;
Sm2=60*10^6;
% Solution
S_pu=(Sm1+Sm2)/Sbase;
V_pu=V/Vbase;
I_pu=S_pu/V_pu;
% Phase-a per-unit voltages at other points of Fig. 6.6 are
Vm=V_pu+I_pu*(Xmn)
Vl=V_pu+I_pu*(Xmn+Xlm)
Vk=V_pu+I_pu*(Xmn+Xlm+Xkl)
% voltage regulation
V_R=(abs(Vk)-abs(Vm))/abs(Vm);
disp([' V.R. = (|Vk|-|Vm|)/|Vm| = ',num2str(V_R)])
disp(['Voltage regulation of the line is ',num2str(V_R*100),' %'])
% voltage at the generator terminals
Vt=abs(Vk)*20;
 disp([' Vt=|Vk|*20=',num2str(Vt),' kV'])
disp(['The magnitude of the voltage at the generator terminals is ',num2str(Vt),' kV'])