% M-file for Example 5.4: ex5_4.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clean previous value
clc
clear
% Base impedance and current
Impedance_base = 215^2/125;  I_base = 125000/(sqrt(3)*215);
% Zc pu value
Zc = 406.4/370*(cosd(-5.48)+i*sind(-5.48))
mag_Zc =abs(Zc)
ang_Zc =angle(Zc)*180/pi
% Voltage and current reference
Vref = 215/215;   Iref =I_base/I_base;
% Sending end voltage
disp('Calculate sending end voltage')
Vs=Vref*0.8904*(cosd(1.34)+i*sind(1.34))+Iref*1.098*(cosd(-5.48)...
+i*sind(-5.48))*0.4597*(cosd(84.93)+i*sind(84.93))
mag_Vs =abs(Vs)   
ang_Vs =angle(Vs)*180/pi
disp(' Vs=Vref*0.8904*(cosd(1.34)+i*sind(1.34))+Iref*1.098*(cosd(-5.48)...')
disp('    +i*sind(-5.48))*0.4597*(cosd(84.93)+i*sind(84.93))')
% Sending end current
disp('Calculate sending end current')
Is=Vref*0.8904*(cosd(1.34)+i*sind(1.34))+Iref/(1.098*(cosd(-5.48)...
+i*sind(-5.48)))*0.4597*(cosd(84.93)+i*sind(84.93))
mag_Is =abs(Is)   
ang_Is =angle(Is)*180/pi
disp(' Is=Vref*0.8904*(cosd(1.34)+i*sind(1.34))+Iref/(1.098*(cosd(-5.48)...')
disp('    +i*sind(-5.48)))*0.4597*(cosd(84.93)+i*sind(84.93))')
VL = mag_Vs*215  
IL = mag_Is*I_base
disp(['Line voltage= ',num2str(VL),' kV']);
disp(['Line current= ',num2str(IL),' A']);