% Matlab M-file for Example 5.6: ex5_6.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clean previous value
clc
clear
%initial value
% some information from Example 5.3
Zc=406.4*(cosd(-5.48)+j*sind(-5.48));
rl=0.0456+j*0.475;
Z=0.8431*(cosd(79.0393)+j*sind(79.0393));
Y=j*5.105*10^(-6);
l=230;%mi
Z_eq=Zc*sinh(rl);
compensation=0.7;
X1=0.415;
X2=0.4127;
Y_eq=1/Zc*tanh(rl/2);
A_ex5_6=0.8904*(cosd(1.34)+j*sind(1.34));
Vr=215*10^3/sqrt(3);
Vs=137860*(cosd(27.77)+j*sind(27.77));
% Solution
BC=abs(Y)*l;
BL=compensation*BC;
% Appendix tells us that the inductor alone is represented by the generalized constant
disp('Appendix tells us that the inductor alone is represented by the generalized constant A~D')
A=1;
D=A;
B=0;
C=-j*BL;
% equation in Table A.6 for combining two networks in series
disp('Equation in Table A.6 for combining two networks in series')
Aeq=A_ex5_6+Z_eq*C;
V_R=(abs(Vs)/abs(Aeq)-abs(Vr))/abs(Vr);
disp(' V_R=(|Vs|/|Aeq|-|Vr|)/|Vr|')
disp(['The voltage regulation with the shunt reactor connected at no load becomes ',num2str(V_R*100),' %'])