% Matlab M_File for Example 6.4: ex6_4.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clean previous value
clc
clear all
% initial value 
% Get from Example 6.1
disp('Get admittance matrix and Ibus from example 6.1')
Ibus=[0;0;-j*1;0.68*(cosd(-135)+j*sind(-135))]
Ybus=[-j*14.5  j*8.0   j*4.0  j*2.5;
       j*8.0  -j*17.0  j*4.0  j*5.0;
       j*4.0   j*4.0  -j*8.8    0.0;
       j*2.5   j*5.0     0.0 -j*8.3]
X=-j*5.0;
% Solution
disp('Calculate Zbus, Vbus by Ibus, Ybus')
Zbus=inv(Ybus);
Vbus=Zbus*Ibus;
V4_mag=abs(Vbus(4,1));
V4_ang=angle(Vbus(4,1))*180/pi; %rad->degree
Icsp=Vbus(4,1)/(X+Zbus(4,4));
Icsp_mag=abs(Icsp);
Icsp_ang=angle(Icsp)*180/pi; %rad->degree

disp([' Icsp=Vbus(4,1)/(X+Zbus(4,4)) = ',num2str(Icsp_mag),'',num2str(Icsp_ang),' A']);
disp(['The current Icap drawn by the capacitor is ',num2str(Icsp_mag),'',num2str(Icsp_ang),' A']);