% Matlab M_File for Example 6.8: ex6_8.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clean previous value
clc
clear all
% initial value 
% Get from ex6.7
X10=j*1.25;
X12=j*0.25;
X23=j*0.4;
X24=j*0.125;
X30=j*1.25;
X34=j*0.2;
% Solution
% We recognize two parallel paths between buses 2 and 3 of the 
% circuit of Fig. 6.16 with the resulting impedance
disp('Parallel impedance between buses 2 and 3')
Z_parallel=(X24+X34)*X23/((X24+X34)+X23);
Z_parallel_mag=abs(Z_parallel);                              %Convert radian to degree
Z_parallel_ang=angle(Z_parallel)*180/pi;
disp([' Z_parallel=(X24+X34)*X23/((X24+X34)+X23) = ',num2str(Z_parallel_mag),'',num2str(Z_parallel_ang),' ['])
disp('This impedance in series with (j0.25 + j1.25) combines in parallel with j1.25 to yield')
Z11=X30*(X10+X12+Z_parallel)/(X30+(X10+X12+Z_parallel));
Z11_mag=abs(Z11);                              %Convert radian to degree
Z11_ang=angle(Z11)*180/pi;
disp([' Z11 = X30*(X10+X12+Z_parallel)/(X30+(X10+X12+Z_parallel)) = ',num2str(Z11_mag),'',num2str(Z11_ang),' per unit'])