% Matlab M-file for Example 7.13: ex7_13.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clean previous value
clc
clear all
%To solve the phase-shifter problem, the bus admittance equation for the
%phase-shifting transformer Tb with |t|=1 degree(t)=30
disp(' I=Y*V');
%Obtain admittance equation for transformer Ta given in Example 6.12
Y_Ta=[-20i 0.5234+19.9863i;-0.5234+19.9863i -20];
disp(' -0.8+0.6j=(-0.5234+19.9863j)*V1-20j*1');
%calculate for V1
V1=(-0.8+20.6i)/(-0.5234+19.9863i);
V1_mag=abs(V1);                              %Convert radian to degree
V1_ang=angle(V1)*180/pi;
disp([' V1=(-0.8+20.6i)/(-0.5234+19.9863i) = ',num2str(V1_mag),'',num2str(V1_ang),' V']);
V2=1;
%finding current (in per unit)
I2a=10i*(V1-V2);
I2a_mag=abs(I2a);                              %Convert radian to degree
I2a_ang=angle(I2a)*180/pi;
disp([' I2a=10i*(V1-V2) = ',num2str(I2a_mag),'',num2str(I2a_ang),' A']);
I2b=(-0.8+0.6i)-I2a;   %I2b=I2-I2a
I2b_mag=abs(I2b);                              %Convert radian to degree
I2b_ang=angle(I2b)*180/pi;
disp([' I2b=(-0.8+0.6i)-I2a = ',num2str(I2b_mag),'',num2str(I2b_ang),' A']);
%show the output power  S= VI* in per unit
disp('The complex power outputs of the transformers are ')
STa=-V2*(I2a)';
STb=-V2*(I2b)';
disp([' STa=-V2*(I2a)* = ',num2str(STa),' per unit'])
disp([' STb=-V2*(I2b)* = ',num2str(STb),' per unit'])