% Matlab M-file for Example 7.2: ex7_2.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clean previous value
clc
clear all
%initial value
format long; 
%set initial of x0=1, error=0.0001, acceleration factor
x=1;        
lumbda=1.3; 
epsilon=0.0001;
i=1;
% Apply Gauss-Seidel method to find a solution
disp('Apply Gauss-Seidel method with an acceleration factor of f=1.3 to solve the problem ')
fprintf('Iteration \t\tx \t\t\t  h(x) \t\t Absolute Error\n');
while(1)
    temp=(-x^3)/26+(9*x^2)/26+12/13;  
    h(i)=x+lumbda*(temp-x);   %h(i)= x^i+1
    k(i)=lumbda*(temp-x);     %k(i)=x^i+1-h(i)
    error_print=abs(h(i)-x);
    if (k(i) <= epsilon)
        i;
        h(i);
        x;
        k(i);
        error=k(i);
            break;
    end    
    x=h(i);
    i=i+1;
    fprintf('    %d\t\t%f\t\t%f\t\t%f\n',i,x,(-x^3)/26+(9*x^2)/26+12/13,error_print);
end;
fprintf('Maximum Power mismatch = %f \n',error);
fprintf('No. of iteration = %f\n',i);