% M-file for Example 8.1:ex8_1.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
clc
clear all
disp('Choosing a base of 30,000kVA,13.2kv')
Vf=12.8/13.2;  % Caculate pu of Vf
% Caculate Ibase
Ibase=30000/(sqrt(3)*13.2);
disp([' Base current = 30,000/[(3)^1/2*13.2) = ',num2str(Ibase),' A'])
Sm=complex(20000*0.8,20000*0.6);
IL=Sm/(0.8*sqrt(3)*12.8);  IL_unit=IL/Ibase;
disp('Caculate the fault current of generator')
jXdg=0.2i;  Zext=0.1i;  Vt=Vf+IL_unit*Zext;
Vt_mag=abs(Vt);                              %Convert radian to degree
Vt_ang=angle(Vt)*180/pi;
disp([' Vt=Vf+IL_unit*Zext = ',num2str(Vt_mag),'',num2str(Vt_ang),' per unit']);
Eg=Vt+jXdg*IL_unit;  Eg_mag=abs(Eg);  Eg_ang=angle(Eg)*180/pi;
disp([' Eg=Vt+jXdg*IL_unit = ',num2str(Eg_mag),'',num2str(Eg_ang),' per unit']);
Ig_unit=Eg/(jXdg+Zext);  Ig=Ig_unit*Ibase; 
Ig_mag=abs(Ig);          Ig_ang=angle(Ig)*180/pi;
disp([' Ig=Eg/(jXdg+Zext)*Ibase = ',num2str(Ig_mag),'',num2str(Ig_ang),' A']);
disp('Caculate the fault current of motor')
jXdm=0.2i;
Em=Vf-IL_unit*jXdm;
Em_mag=abs(Em);                              %Convert radian to degree
Em_ang=angle(Em)*180/pi;
disp([' Em=Vf-IL_unit*jXdm = ',num2str(Em_mag),'',num2str(Em_ang),' per unit']);
Im_unit=Em/jXdm;   Im=Im_unit*Ibase;
Im_mag=abs(Im);                              %Convert radian to degree
Im_ang=angle(Im)*180/pi;
disp([' Im=Em/jXdm*Ibase = ',num2str(Im_mag),'',num2str(Im_ang),' A']);
disp('Caculate the total fault current')
If=Ig+Im;
If_mag=abs(If);                              %Convert radian to degree
If_ang=angle(If)*180/pi;
disp([' If=Ig+Im = ',num2str(If_mag),'',num2str(If_ang),' A']);
