% M-file for Example 8.2:ex8_2.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
clc
clear all
Ibase=1312;
Zth=0.3i*0.2i/(0.3i+0.2i);  % Caculta Zth Vf to find fault current
disp('During the fault:')
Vf=complex(0.97,0); If=Vf/Zth;
disp([' If=Vf/Zth = ',num2str(If),' A'])
disp('Using current division to obtain fault currents:')
Igf_unit=If*(0.2i/(0.2i+0.3i));
Igf_unit_mag=abs(Igf_unit);  Igf_unit_ang=angle(Igf_unit)*180/pi;
disp([' Igf_unit=If*(0.2i/(0.2i+0.3i)) = ',num2str(Igf_unit_mag),'',num2str(Igf_unit_ang),' per unit']);
Imf_unit=If*(0.3i/(0.2i+0.3i));
Imf_unit_mag=abs(Imf_unit); Imf_unit_ang=angle(Imf_unit)*180/pi;
disp([' Igf_unit=If*(0.2i/(0.2i+0.3i)) = ',num2str(Imf_unit_mag),'',num2str(Imf_unit_ang),' per unit']);
disp('Neglect load current:')
Igf=abs(Igf_unit*Ibase);
Igf_mag=abs(Igf);       Igf_ang=angle(Igf)*180/pi;
disp([' Igf=abs(Igf_unit*Ibase) = ',num2str(Igf_mag),'',num2str(Igf_ang),' A']);
Imf=abs(Imf_unit*Ibase);
Imf_mag=abs(Imf);       Imf_ang=angle(Imf)*180/pi;
disp([' Imf=abs(Imf_unit*Ibase) = ',num2str(Imf_mag),'',num2str(Imf_ang),' A']);
If=abs((Igf_unit+Imf_unit)*Ibase);
If_mag=abs(If);         If_ang=angle(If)*180/pi;
disp([' If=abs((Igf_unit+Imf_unit)*Ibase) = ',num2str(If_mag),'',num2str(If_ang),' A']);
disp('When load current is considered:')
disp('Ig=Igf+IL , Im=Imf-IL , (IL=0.69+0.52i) in per unit')
IL=0.69+0.52i;
Ig=abs(Igf_unit+IL)*1312;  Im=abs(Imf_unit-IL)*1312;
disp([' Ig=|Igf_unit+IL|*Ibase = ',num2str(Ig),' A'])
disp([' Im=|Imf_unit+IL|*Ibase = ',num2str(Im),' A'])