% Matlab M-file of Example 8.5: ex8_5.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clean previous value
clc
clear all
% Initial values
% These values, along with the line impedances, are marked in per unit in Figure 8.8
Zbus=[j*0.0793 j*0.0558 j*0.0382 j*0.0511 j*0.0608;
      j*0.0558 j*0.1338 j*0.0664 j*0.0630 j*0.0605;
      j*0.0382 j*0.0664 j*0.0875 j*0.0720 j*0.0603;
      j*0.0511 j*0.0630 j*0.0720 j*0.2321 j*0.1002;
      j*0.0608 j*0.0605 j*0.0603 j*0.1002 j*0.1301];
Sbase=100;
Zline_12=j*0.168;
% Solution 
Zcal_1=Zbus(1,1)-Zbus(1,2)
Zcal_2=Zbus(2,2)-Zbus(2,1)-Zline_12
Zkk_new=Zline_12+Zcal_1*Zcal_2/(Zcal_1+Zcal_2)+Zbus(1,2)
% Subtransient current into the line-end fault
If=1/Zkk_new;
If_mag=abs(If);
If_ang=angle(If)*180/pi;
disp([' If=1/Zkk_new = ',num2str(If_mag),'',num2str(If_ang),' A'])
disp(['The subtransient current into the line-end fault is ',num2str(If_mag),'',num2str(If_ang),' per unit'])