% Matlab M-file of Example 9.1: ex9_1.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clean previous value
clc
clear all
% Initial values
I=10;                              %The Ample of current
% Solution 
%Phase current
Ia=I;                              
Ib=I*cosd(180)+j*I*sind(180);     
Ic=0;
%Zero-sequence components
disp('Zero-sequence components')
Ia0=1/3*(Ia+Ib+Ic);
Ia0_mag=abs(Ia0);                              %Convert radian to degree
Ia0_angle=angle(Ia0)*180/pi;
disp(['Ia0 = 1/3*(Ia+Ib+Ic)',num2str(Ia0_mag),'',num2str(Ia0_angle),' A']);
%Positive-sequence components
Ia1=1/3*(Ia+Ib*1*(cosd(120)+j*sind(120))+Ic*1*(cosd(240)+j*sind(240)));
Ia1_mag=abs(Ia1);                              %Convert radian to degree
Ia1_angle=angle(Ia1)*180/pi;
disp(['Ia1 = 1/3*(Ia+a*Ib+a^2*Ic)',num2str(Ia1_mag),'',num2str(Ia1_angle),' A']);
%Negative-sequence components
Ia2=1/3*(Ia+Ib*1*(cosd(240)+j*sind(240))+Ic*1*(cosd(120)+j*sind(120)));
Ia2_mag=abs(Ia1);                              %Convert radian to degree
Ia2_angle=angle(Ia1)*180/pi;
disp(['Ia2 = 1/3*(Ia+a^2*Ib+a*Ic)',num2str(Ia2_mag),'',num2str(Ia2_angle),' A']);

%Ib sequence components
Ib0=Ia0;
Ib0_mag=abs(Ib0);                              %Convert radian to degree
Ib0_angle=angle(Ib0)*180/pi;
disp(['Ib0 = Ia0 = ',num2str(Ib0_mag),'',num2str(Ib0_angle),' A']);
Ib1=Ia1*(cosd(240)+j*sind(240));
Ib1_mag=abs(Ib1);                              %Convert radian to degree
Ib1_angle=angle(Ib1)*180/pi;
disp(['Ib1 = a^2*Ia1 = ',num2str(Ib1_mag),'',num2str(Ib1_angle),' A']);
Ib2=Ia2*(cosd(120)+j*sind(120));
Ib2_mag=abs(Ib2);                              %Convert radian to degree
Ib2_angle=angle(Ib2)*180/pi;
disp(['Ib2 = a*Ia1 = ',num2str(Ib2_mag),'',num2str(Ib2_angle),' A']);

%Ic sequence components
Ic0=Ia0;
Ic0_mag=abs(Ic0);                              %Convert radian to degree
Ic0_angle=angle(Ic0)*180/pi;
disp(['Ic0 = Ia0 = ',num2str(Ic0_mag),'',num2str(Ic0_angle),' A']);
Ic1=Ia1*(cosd(120)+j*sind(120));
Ic1_mag=abs(Ic1);                              %Convert radian to degree
Ic1_angle=angle(Ic1)*180/pi;
disp(['Ic1 = a*Ia1 = ',num2str(Ic1_mag),'',num2str(Ic1_angle),' A']);
Ic2=Ia2*(cosd(240)+j*sind(240));
Ic2_mag=abs(Ic2);                              %Convert radian to degree
Ic2_angle=angle(Ic2)*180/pi;
disp(['Ic2 = a^2*Ia1 = ',num2str(Ic2_mag),'',num2str(Ic2_angle),' A']);