% ******************************************** %
% *** Copyright 2016 by G. W. Chang *** %
% *********** All rights reserved *********** %
% ******************************************** %
function varargout = chapter3(varargin)

gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @chapter2_OpeningFcn, ...
                   'gui_OutputFcn',  @chapter2_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end

function chapter2_OpeningFcn(hObject, eventdata, handles, varargin)

handles.output = hObject;
axes(handles.axes1);
set(handles.axes1,'Units','pixels');
POSITION = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
assignin('base','position',POSITION);
imshow('ch3.png');

a = imread('CUTE.png');
set(handles.pushbutton1,'CData',a);
set(handles.pushbutton2,'CData',a);
set(handles.pushbutton3,'CData',a);
set(handles.pushbutton4,'CData',a);
set(handles.pushbutton5,'CData',a);
set(handles.pushbutton6,'CData',a);
set(handles.pushbutton7,'CData',a);
set(handles.pushbutton8,'CData',a);
set(handles.pushbutton9,'CData',a);
set(handles.pushbutton10,'CData',a);
set(handles.pushbutton11,'CData',a);
set(handles.pushbutton12,'CData',a);
set(handles.pushbutton14,'CData',a);
set(handles.pushbutton15,'CData',a);
set(handles.pushbutton16,'CData',a);
set(handles.pushbutton17,'CData',a);
set(handles.pushbutton18,'CData',a);
set(handles.pushbutton19,'CData',a);

% Update handles structure
guidata(hObject, handles);

function varargout = chapter2_OutputFcn(hObject, eventdata, handles) 

varargout{1} = handles.output;


function pushbutton1_Callback(hObject, eventdata, handles)

close(gcf)
chp3ex2


function pushbutton2_Callback(hObject, eventdata, handles)

close(gcf)
chp3ex3

function pushbutton3_Callback(hObject, eventdata, handles)

close(gcf)
chp3ex4


function pushbutton4_Callback(hObject, eventdata, handles)

close(gcf)
chp3ex5

% --- Executes on button press in pushbutton5.
function pushbutton5_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton5 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
close(gcf)
chp3ex6

% --- Executes on button press in pushbutton6.
function pushbutton6_Callback(hObject, eventdata, handles)
close(gcf)
chp3ex7

function pushbutton7_Callback(hObject, eventdata, handles)

close(gcf)
chp3ex9

function pushbutton8_Callback(hObject, eventdata, handles)

close(gcf)
chp3ex10

function pushbutton9_Callback(hObject, eventdata, handles)

close(gcf)
chp3ex11

function pushbutton10_Callback(hObject, eventdata, handles)

close(gcf)
chp3ex12

function pushbutton11_Callback(hObject, eventdata, handles)

close(gcf)
chp3ex13


function pushbutton12_Callback(hObject, eventdata, handles)

close(gcf)
chp3ex14

function pushbutton13_Callback(hObject, eventdata, handles)

close(gcf)
powersystem_main

function pushbutton14_Callback(hObject, eventdata, handles)

close(gcf)
chp3ex1

function pushbutton15_Callback(hObject, eventdata, handles)
close(gcf)
chp3ex8

function figure1_CreateFcn(hObject, eventdata, handles)

function axes1_CreateFcn(hObject, eventdata, handles)

function pushbutton1_CreateFcn(hObject, eventdata, handles)

function pushbutton2_CreateFcn(hObject, eventdata, handles)

function pushbutton3_CreateFcn(hObject, eventdata, handles)

function pushbutton4_CreateFcn(hObject, eventdata, handles)

function pushbutton5_CreateFcn(hObject, eventdata, handles)

function pushbutton6_CreateFcn(hObject, eventdata, handles)

function pushbutton7_CreateFcn(hObject, eventdata, handles)

function pushbutton8_CreateFcn(hObject, eventdata, handles)

function pushbutton9_CreateFcn(hObject, eventdata, handles)

function pushbutton10_CreateFcn(hObject, eventdata, handles)

function pushbutton11_CreateFcn(hObject, eventdata, handles)

function pushbutton12_CreateFcn(hObject, eventdata, handles)

function pushbutton13_CreateFcn(hObject, eventdata, handles)

function pushbutton14_CreateFcn(hObject, eventdata, handles)

function pushbutton15_CreateFcn(hObject, eventdata, handles)

function slider1_Callback(hObject, eventdata, handles)

position = evalin ('base','position') ;
b = get(handles.slider1, 'Value');
set(handles.axes1, 'xlim',  [0.5  position(3)] + b );
function slider1_CreateFcn(hObject, eventdata, handles)

if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


% --- Executes on slider movement.
function slider2_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
a = get(handles.slider2, 'Value');
set(handles.axes1, 'ylim',  [0.5  position(4)] - a );


% --- Executes during object creation, after setting all properties.
function slider2_CreateFcn(hObject, eventdata, handles)

if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


% --- Executes when uipanel3 is resized.
function uipanel3_ResizeFcn(hObject, eventdata, handles)
set(handles.axes1,'Units','pixels');   
position = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
position;
assignin('base','position',position);
a = imread('ch3.png');
b = imresize(a,[position(4) position(3)],'bicubic');
c = rgb2gray(b);
c = imadjust(c,[ ],[ ],2);
imshow(c);


% --- Executes on button press in pushbutton16.
function pushbutton16_Callback(hObject, eventdata, handles)
close(gcf)
chp3ex15


% --- Executes on button press in pushbutton17.
function pushbutton17_Callback(hObject, eventdata, handles)
close(gcf)
chp3ex16


% --- Executes on button press in pushbutton18.
function pushbutton18_Callback(hObject, eventdata, handles)
close(gcf)
chp3ex17


% --- Executes on button press in pushbutton19.
function pushbutton19_Callback(hObject, eventdata, handles)
close(gcf)
chp3ex18
