% ******************************************** %
% *** Copyright 2016 by G. W. Chang *** %
% *********** All rights reserved *********** %
% ******************************************** %

function varargout = chapter7(varargin)

gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @chapter7_OpeningFcn, ...
                   'gui_OutputFcn',  @chapter7_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
function chapter7_OpeningFcn(hObject, eventdata, handles, varargin)

handles.output = hObject;
axes(handles.axes1);
imshow('ch7.png');
set(handles.axes1,'Units','pixels');
POSITION = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
assignin('base','position',POSITION); 

a = imread('CUTE.png');
set(handles.pushbutton1,'CData',a);
set(handles.pushbutton2,'CData',a);
set(handles.pushbutton3,'CData',a);
set(handles.pushbutton7,'CData',a);
set(handles.pushbutton8,'CData',a);
set(handles.pushbutton9,'CData',a);
set(handles.pushbutton10,'CData',a);
set(handles.pushbutton11,'CData',a);
set(handles.pushbutton12,'CData',a);
set(handles.pushbutton16,'CData',a);
set(handles.pushbutton17,'CData',a);
set(handles.pushbutton18,'CData',a);
set(handles.pushbutton19,'CData',a);
set(handles.pushbutton20,'CData',a);
set(handles.pushbutton21,'CData',a);




guidata(hObject, handles);

% UIWAIT makes chapter7 wait for user response (see UIRESUME)
% uiwait(handles.figure1);


% --- Outputs from this function are returned to the command line.
function varargout = chapter7_OutputFcn(hObject, eventdata, handles) 

varargout{1} = handles.output;


% --- Executes on button press in pushbutton1.
function pushbutton1_Callback(hObject, eventdata, handles)
close(gcf)
chp7ex1

% --- Executes on button press in pushbutton2.
function pushbutton2_Callback(hObject, eventdata, handles)
close(gcf)
chp7ex2

% --- Executes on button press in pushbutton3.
function pushbutton3_Callback(hObject, eventdata, handles)
close(gcf)
chp7ex3

% --- Executes on button press in pushbutton6.
function pushbutton6_Callback(hObject, eventdata, handles)
close(gcf)
powersystem_main

% --- Executes on button press in pushbutton7.
function pushbutton7_Callback(hObject, eventdata, handles)
close(gcf)
chp7ex4

% --- Executes on button press in pushbutton8.
function pushbutton8_Callback(hObject, eventdata, handles)
close(gcf)
chp7ex5
function pushbutton9_Callback(hObject, eventdata, handles)
close(gcf)
chp7ex6
function pushbutton10_Callback(hObject, eventdata, handles)
close(gcf)
chp7ex7

function pushbutton11_Callback(hObject, eventdata, handles)
close(gcf)
chp7ex8

% --- Executes on button press in pushbutton12.
function pushbutton12_Callback(hObject, eventdata, handles)
close(gcf)
chp7ex9

% --- Executes on button press in pushbutton13.
% function pushbutton13_Callback(hObject, eventdata, handles)
% % hObject    handle to pushbutton13 (see GCBO)
% % eventdata  reserved - to be defined in a future version of MATLAB
% % handles    structure with handles and user data (see GUIDATA)
% c = evalin ('base','B') ;
% if c == 0
%     axes(handles.axes1);
%     imshow('ch7_2.png');
%     assignin('base','B',1);
%      set (handles.pushbutton13,'String','page2');
% else if c == 1;
%         axes(handles.axes1);
%         imshow('ch7_3.png');
%         assignin('base','B',2);
%         set (handles.pushbutton13,'String','page3');
%     else if c == 2;
%             assignin('base','B',0);
%                 axes(handles.axes1);
%                 imshow('ch7.png');
%                  set (handles.pushbutton13,'String','page1');
%         end
%     end
% end
% 
% 
%         
% 
% 
% % --- Executes on button press in pushbutton16.
function pushbutton16_Callback(hObject, eventdata, handles)
close(gcf)
chp7ex10

% --- Executes on button press in pushbutton17.
function pushbutton17_Callback(hObject, eventdata, handles)
close(gcf)
chp7ex11


% --- Executes on button press in pushbutton18.
function pushbutton18_Callback(hObject, eventdata, handles)
close(gcf)
chp7ex12


% --- Executes on button press in pushbutton19.
function pushbutton19_Callback(hObject, eventdata, handles)
close(gcf)
chp7ex13


% --- Executes on button press in pushbutton20.
function pushbutton20_Callback(hObject, eventdata, handles)
close(gcf)
chp7ex14


% --- Executes on button press in pushbutton21.
function pushbutton21_Callback(hObject, eventdata, handles)
close(gcf)
chp7ex15


% --- Executes on slider movement.
function slider1_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
b = get(handles.slider1, 'Value');
set(handles.axes1, 'xlim',  [0.5  position(3)] + b );
function slider1_CreateFcn(hObject, eventdata, handles)
% hObject    handle to slider1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


% --- Executes on slider movement.
function slider2_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
a = get(handles.slider2, 'Value');
set(handles.axes1, 'ylim',  [0.5  position(4)] - a );

% --- Executes during object creation, after setting all properties.
function slider2_CreateFcn(hObject, eventdata, handles)
% hObject    handle to slider2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


% --- Executes when uipanel2 is resized.
function uipanel2_ResizeFcn(hObject, eventdata, handles)
set(handles.axes1,'Units','pixels');   
position = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
position;
assignin('base','position',position);
a = imread('ch7.png');
b = imresize(a,[position(4) position(3)],'bicubic');
c = rgb2gray(b);
c = imadjust(c,[ ],[ ],2);
imshow(c);

set(handles.slider2,'Units','pixels');
set(handles.slider2,'Min',-180);
set(handles.slider2,'Units','normalized');

% --- Executes on button press in pushbutton23.
function pushbutton23_Callback(hObject, eventdata, handles)
