% ******************************************** %
% *** Copyright 2016 by G. W. Chang *** %
% *********** All rights reserved *********** %
% ******************************************** %
function varargout = chapter8(varargin)

gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @chapter8_OpeningFcn, ...
                   'gui_OutputFcn',  @chapter8_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end

function chapter8_OpeningFcn(hObject, eventdata, handles, varargin)

handles.output = hObject;
set(handles.axes2,'Units','pixels');
POSITION = get(handles.axes2,'Position');
set(handles.axes2,'Units','normalized');
assignin('base','position',POSITION);
axes(handles.axes2);
imshow('ch8.png');
 
a = imread('CUTE.png');
set(handles.pushbutton1,'CData',a);
set(handles.pushbutton2,'CData',a);
set(handles.pushbutton3,'CData',a);
set(handles.pushbutton5,'CData',a);
set(handles.pushbutton6,'CData',a);
set(handles.pushbutton7,'CData',a);
set(handles.pushbutton8,'CData',a);
set(handles.pushbutton12,'CData',a);
set(handles.pushbutton4,'CData',a);
% Update handles structure
guidata(hObject, handles);

% UIWAIT makes chapter8 wait for user response (see UIRESUME)
% uiwait(handles.figure1);


% --- Outputs from this function are returned to the command line.
function varargout = chapter8_OutputFcn(hObject, eventdata, handles) 
% varargout  cell array for returning output args (see VARARGOUT);
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Get default command line output from handles structure
varargout{1} = handles.output;


% --- Executes on button press in pushbutton1.
function pushbutton1_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
close(gcf)
chp8ex1
% --- Executes on button press in pushbutton2.
function pushbutton2_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
close(gcf)
chp8ex2

% --- Executes on button press in pushbutton3.
function pushbutton3_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton3 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
close(gcf)
chp8ex3


% --- Executes on button press in pushbutton4.
function pushbutton4_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton4 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
close(gcf)
powersystem_main

% --- Executes on button press in pushbutton5.
function pushbutton5_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton5 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
close(gcf)
chp8ex4
% --- Executes on button press in pushbutton6.
function pushbutton6_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton6 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
close(gcf)
chp8ex5

% --- Executes on button press in pushbutton7.
function pushbutton7_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton7 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
close(gcf)
chp8ex6

% --- Executes on button press in pushbutton8.
function pushbutton8_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton8 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
close(gcf)
chp8ex7


% --- Executes on button press in pushbutton11.
% function pushbutton11_Callback(hObject, eventdata, handles)
% % hObject    handle to pushbutton11 (see GCBO)
% % eventdata  reserved - to be defined in a future version of MATLAB
% % handles    structure with handles and user data (see GUIDATA)
% c = evalin ('base','B') ;
% if c == 0
%     axes(handles.axes2);
%     imshow('ch8_2.png');
%     assignin('base','B',1);
%     set (handles.pushbutton11,'String','page2');
% else if c == 1;
%         axes(handles.axes2);
%         imshow('ch8_3.png');
%         assignin('base','B',2);
%         set (handles.pushbutton11,'String','page3');
%     else if c == 2;
%             axes(handles.axes2);
%             imshow('ch8.png');
%             assignin('base','B',0);
%             set (handles.pushbutton11,'String','page1');
%         end
%     end
% end
% 

% --- Executes on button press in pushbutton12.
function pushbutton12_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton12 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
close(gcf)
chp8ex8


% --- Executes on slider movement.
function slider2_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
a = get(handles.slider2, 'Value');
set(handles.axes2, 'ylim',  [0.5  position(4)] - a );




% --- Executes during object creation, after setting all properties.
function slider2_CreateFcn(hObject, eventdata, handles)

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


% --- Executes on slider movement.
function slider1_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
b = get(handles.slider1, 'Value');
set(handles.axes2, 'xlim',  [0.5  position(3)] + b );



function slider1_CreateFcn(hObject, eventdata, handles)

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


% --- Executes when uipanel2 is resized.
function uipanel2_ResizeFcn(hObject, eventdata, handles)
set(handles.axes2,'Units','pixels');   
position = get(handles.axes2,'Position');
set(handles.axes2,'Units','normalized');
position;
assignin('base','position',position);
a = imread('ch8.png');
b = imresize(a,[position(4) position(3)],'bicubic');
c = rgb2gray(b);
c = imadjust(c,[ ],[ ],2);
imshow(c);
set(handles.slider2,'Units','pixels');
set(handles.slider2,'Min',-120);
set(handles.slider2,'Units','normalized');
