% ******************************************** %
% *** Copyright 2016 by G. W. Chang *** %
% *********** All rights reserved *********** %
% ******************************************** %
function varargout = chp13ex2(varargin)

gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
    'gui_Singleton',  gui_Singleton, ...
    'gui_OpeningFcn', @chp2ex14_OpeningFcn, ...
    'gui_OutputFcn',  @chp2ex14_OutputFcn, ...
    'gui_LayoutFcn',  [] , ...
    'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end

function chp2ex14_OpeningFcn(hObject, eventdata, handles, varargin)

handles.output = hObject;

axes(handles.axes1);
set(handles.axes1,'Units','pixels');
POSITION = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
assignin('base','position',POSITION);
imshow('ex13_2.png');
% Update handles structure
guidata(hObject, handles);

function varargout = chp2ex14_OutputFcn(hObject, eventdata, handles)

varargout{1} = handles.output;

function pushbutton1_Callback(hObject, eventdata, handles)
set(handles.text2, 'String',  {
'KE = H1*S1+H2*S2 = 6758.91 MJ'
'The total kinetic energy (KE) of rotation of the two machines is 6758.91 MJ'
'H = KE/100 = 67.5891 MJ/MVA'
'H constant for the equivalent machine on 100-MVA base is 67.5891 MJ/MVA'
},'HorizontalAlignment','left');

function pushbutton2_Callback(hObject, eventdata, handles)
close(gcf)
chapter13
function popupmenu1_Callback(hObject, eventdata, handles)

function popupmenu1_CreateFcn(hObject, eventdata, handles)

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on slider movement.
function slider1_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
b = get(handles.slider1, 'Value');
set(handles.axes1, 'xlim',  [0.5  position(3)] + b );
function slider1_CreateFcn(hObject, eventdata, handles)

if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


% --- Executes on slider movement.
function slider2_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
a = get(handles.slider2, 'Value');
set(handles.axes1, 'ylim',  [0.5  position(4)] - a );

% --- Executes during object creation, after setting all properties.
function slider2_CreateFcn(hObject, eventdata, handles)

if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end



function text2_Callback(hObject, eventdata, handles)

function text2_CreateFcn(hObject, eventdata, handles)

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function pushbutton3_Callback(hObject, eventdata, handles)
set(handles.text2,'Style','listbox');
set(handles.text2, 'String',  {
'% M-file of Example 13.2: ex13_2.m'
'% Clean previous value'
'clc'
'clear all'
'% Initial values'
'S1=500;% MVA'
'PF1=0.85;'
'V1=20;% kV'
'speed1=3600;% r/min'
'H1=4.8;% MJ/MVA'
'S2=1333;% MVA'
'PF2=0.9;'
'V2=22;% kV'
'speed2=1800;% r/min'
'H2=3.27;% MJ/MVA'
'% Solution'
'KE=H1*S1+H2*S2'
'% H constant for the equivalent machine on 100-MVA base'
'H=KE/100'
},'HorizontalAlignment','left');

function uipanel3_ResizeFcn(hObject, eventdata, handles)
set(handles.axes1,'Units','pixels');
position = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
position;
assignin('base','position',position);
a = imread('ex13_2.png');
b = imresize(a,[position(4) position(3)],'bicubic');
c = rgb2gray(b);
c = imadjust(c,[ ],[ ],2);
imshow(c);
