% ******************************************** %
% *** Copyright 2016 by G. W. Chang *** %
% *********** All rights reserved *********** %
% ******************************************** %
function varargout = chp3ex1(varargin)

gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @chp2ex1_OpeningFcn, ...
                   'gui_OutputFcn',  @chp2ex1_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end

function chp2ex1_OpeningFcn(hObject, eventdata, handles, varargin)

handles.output = hObject;
axes(handles.axes1);
set(handles.axes1,'Units','pixels')
POSITION = get(handles.axes1,'Position')
set(handles.axes1,'Units','normalized')
assignin('base','position',POSITION);
imshow('ex3_1.png');
guidata(hObject, handles);


function varargout = chp2ex1_OutputFcn(hObject, eventdata, handles) 

varargout{1} = handles.output;



function pushbutton1_Callback(hObject, eventdata, handles)
set(handles.text2,'Style','text');
set(handles.text2,'string',[...
'N1 = 2000',10,...
'N2 = 500',10,...
'V1 = 12000X V',10,...
'V2 = (N2/N1) *V1 = 3000X V',10,...
'I1 = 5-30X A',10,...
'I2 = (N1/N2) *I1 = 20-30X A',10,...
'Z2 = V2/I2 = (3000X)/(20-30X) =1530X [',10,...
'Z2new = Z2*(N1/N2)^2 = 24030X [',10,...
])


function pushbutton2_Callback(hObject, eventdata, handles)
close(gcf)
chapter3


function pushbutton3_Callback(hObject, eventdata, handles)
N1 = str2double(get(handles.edit1, 'string'));
N2 = str2double(get(handles.edit2, 'string'));
V11 = str2double(get(handles.edit3, 'string'));
angleV1 = str2double(get(handles.edit4, 'string'));
I11 = str2double(get(handles.edit5, 'string'));
angleI1 = str2double(get(handles.edit6, 'string'));
i = sqrt(-1);
V1 = V11*cos(angleV1*pi/180) + i*V11*sin(angleV1*pi/180);
V2 = V1*N2/N1;
I1 = I11*cos(angleI1*pi/180) + i*I11*sin(angleI1*pi/180);
I2 = I1*N1/N2;
Z2 = V2/I2;
Z2new = Z2*(N1/N2)*(N1/N2);
set(handles.text2,'Style','text');
set(handles.text2,'string',[...
'N1 = ',num2str(N1),10,...
'N2 = ',num2str(N2),10,...
'V1 = ',num2str(V11),'',num2str(angleV1),'X V',10,...
'V2 = ',num2str(abs(V2)),'',num2str(angle(V2)*180/pi),'X V',10,...
'I1 = ',num2str(I11),'',num2str(angleI1),'X A',10,...
'I2 = ',num2str(abs(I2)),'',num2str(angle(I2)*180/pi),'X A',10,...
'Z2 = ',num2str(abs(Z2)),'',num2str(angle(Z2)*180/pi),'X [',10,...
'Z2new = ',num2str(abs(Z2new)),'',num2str(angle(Z2new)*180/pi),'X [',10,...
])


function edit1_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end
function edit2_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end
function edit3_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function edit4_CreateFcn(hObject, eventdata, handles)

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end
function edit5_CreateFcn(hObject, eventdata, handles)

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function edit6_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function text1_CreateFcn(hObject, eventdata, handles)

function axes1_CreateFcn(hObject, eventdata, handles)

function text2_CreateFcn(hObject, eventdata, handles)

function pushbutton1_CreateFcn(hObject, eventdata, handles)

function pushbutton2_CreateFcn(hObject, eventdata, handles)

function pushbutton3_CreateFcn(hObject, eventdata, handles)

function text3_CreateFcn(hObject, eventdata, handles)

function text4_CreateFcn(hObject, eventdata, handles)

function text5_CreateFcn(hObject, eventdata, handles)

function text6_CreateFcn(hObject, eventdata, handles)

function text7_CreateFcn(hObject, eventdata, handles)

function text9_CreateFcn(hObject, eventdata, handles)

function text2_Callback(hObject, eventdata, handles)

function pushbutton7_Callback(hObject, eventdata, handles)
guidata(hObject, handles);
set(handles.text2,'Style','listbox');
set(handles.text2, 'String',  {
'%example 3.1'
'%initial value' 
'%Turn ratio'
'N1=2000;'
'N2=500;'
'%in Volt'
'V1=complex(1200);'
'%in Amp'
'I1=complex(4.33,-2.5);'
'V2=N2/N1 *V1;'
'I2=N1/N2 *I1;'
'Z2=V2/I2;'
'Z2new=Z2*(N1/N2)^2;'
    },'HorizontalAlignment','left');

function popupmenu1_Callback(hObject, eventdata, handles)
function popupmenu1_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end
function slider1_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
b = get(handles.slider1, 'Value');
set(handles.axes1, 'xlim',  [0.5  position(3)] + b );


function slider1_CreateFcn(hObject, eventdata, handles)
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end
function slider2_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
a = get(handles.slider2, 'Value');
set(handles.axes1, 'ylim',  [0.5  position(4)] - a );
function slider2_CreateFcn(hObject, eventdata, handles)
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end

function edit2_Callback(hObject, eventdata, handles)

function edit3_Callback(hObject, eventdata, handles)

function edit4_Callback(hObject, eventdata, handles)

function edit5_Callback(hObject, eventdata, handles)

function edit6_Callback(hObject, eventdata, handles)

function edit1_Callback(hObject, eventdata, handles)


% --- Executes when uipanel1 is resized.
function uipanel1_ResizeFcn(hObject, eventdata, handles)

set(handles.axes1,'Units','pixels');   %
position = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
position;
assignin('base','position',position);
a = imread('ex3_1.png');
b = imresize(a,[position(4) position(3)],'bicubic');
c = rgb2gray(b);
c = imadjust(c,[ ],[ ],2);
imshow(c);
