% ******************************************** %
% *** Copyright 2016 by G. W. Chang *** %
% *********** All rights reserved *********** %
% ******************************************** %
function varargout = chp3ex10(varargin)

gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @chp2ex11_OpeningFcn, ...
                   'gui_OutputFcn',  @chp2ex11_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
function chp2ex11_OpeningFcn(hObject, eventdata, handles, varargin)
handles.output = hObject;
axes(handles.axes1);
set(handles.axes1,'Units','pixels');
POSITION = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
assignin('base','position',POSITION);
imshow('ex3_10.png');
guidata(hObject, handles);

function varargout = chp2ex11_OutputFcn(hObject, eventdata, handles) 

varargout{1} = handles.output;


% --- Executes on button press in pushbutton1.
function pushbutton1_Callback(hObject, eventdata, handles)
set(handles.text2,'Style','text');
set(handles.text2,'string',[...
'now, Zst = 8% * 15/10 = 12%',10,...
'In per unit on the specified base :',10,...
'Zp = 1/2(j0.07 + j0.09 - j0.12) = j0.02 per unit',10,...
'Zs = 1/2(j0.07 + j0.12 - j0.09) = j0.05 per unit',10,...
'Zt  = 1/2(j0.09 + j0.12 - j0.07) = j0.07 per unit',10,...
]) ;


% --- Executes on button press in pushbutton2.
function pushbutton2_Callback(hObject, eventdata, handles)
close(gcf)
chapter3
function slider1_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
b = get(handles.slider1, 'Value');
set(handles.axes1, 'xlim',  [0.5  position(3)] + b );

function slider1_CreateFcn(hObject, eventdata, handles)

if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


% --- Executes on slider movement.
function slider2_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
a = get(handles.slider2, 'Value');
set(handles.axes1, 'ylim',  [0.5  position(4)] - a );

function slider2_CreateFcn(hObject, eventdata, handles)

if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


% --- Executes on selection change in text2.
function text2_Callback(hObject, eventdata, handles)

function text2_CreateFcn(hObject, eventdata, handles)

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function pushbutton3_Callback(hObject, eventdata, handles)

set(handles.text2,'Style','listbox');
set(handles.text2, 'String',  {
'% M-file of Example 3.10: ex3_10.m'
'%Clean previous value'
'clc'
'clear all'
'% initial value'
'Sp=15*10^6;'
'Ss=10*10^6;'
'St=5*10^6;'
'Vp=66*10^3;'
'Vs=13.2*10^3;'
'Vt=2.3*10^3;'
'Zps=0.07;'
'Zpt=0.09;'
'Zst=0.08;'
'% solution'
'Zst_new=Zst*Sp/Ss'
'Zp=0.5*(Zps+Zpt-Zst_new)'
'Zs=0.5*(Zps+Zst_new-Zpt)'
'Zt=0.5*(Zpt+Zst_new-Zps)'
    },'HorizontalAlignment','left');

function popupmenu1_Callback(hObject, eventdata, handles)

function popupmenu1_CreateFcn(hObject, eventdata, handles)

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function pushbutton3_CreateFcn(hObject, eventdata, handles)

function uipanel4_ResizeFcn(hObject, eventdata, handles)
set(handles.axes1,'Units','pixels');   
position = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
position;
assignin('base','position',position);
a = imread('ex3_10.png');
b = imresize(a,[position(4) position(3)],'bicubic');
c = rgb2gray(b);
c = imadjust(c,[ ],[ ],2);
imshow(c);

set(handles.slider2,'Units','pixels');
set(handles.slider2,'Min',-340);
set(handles.slider2,'Units','normalized');


set(handles.slider1,'Units','pixels');
set(handles.slider1,'Max',250);
set(handles.slider1,'Units','normalized');
