% ******************************************** %
% *** Copyright 2016 by G. W. Chang *** %
% *********** All rights reserved *********** %
% ******************************************** %
function varargout = chp3ex14(varargin)

gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
    'gui_Singleton',  gui_Singleton, ...
    'gui_OpeningFcn', @chp2ex14_OpeningFcn, ...
    'gui_OutputFcn',  @chp2ex14_OutputFcn, ...
    'gui_LayoutFcn',  [] , ...
    'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end

function chp2ex14_OpeningFcn(hObject, eventdata, handles, varargin)

handles.output = hObject;

axes(handles.axes1);
set(handles.axes1,'Units','pixels');
POSITION = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
assignin('base','position',POSITION);
imshow('ex3_14.png');


% Update handles structure
guidata(hObject, handles);

function varargout = chp2ex14_OutputFcn(hObject, eventdata, handles)

varargout{1} = handles.output;

function pushbutton1_Callback(hObject, eventdata, handles)

set(handles.text2,'Style','text');
set(handles.text2,'string',[...
    't-1 = 1.03X-1.00X = (2sin1.5X)91.5X = 0.052491.5X',10,...
    'Icirc = 0.052491.5X/0.290X = 0.262+j0.0069 per unit',10,...
    'Ita = 0.4-j0.3-(0.262+j0.007) = (0.138-j0.307 per unit)',10,...
    'Itb = 0.4-j0.3+(0.262+j0.007) = (0.662-j0.293 per unit)',10,...
    'Sta = 0.138 +j0.307 per unit',10,...
    'Stb = 0.662 +j0.293 per unit',10,...
    ])


% --- Executes on button press in pushbutton2.
function pushbutton2_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
close(gcf)
chapter3


% --- Executes on selection change in popupmenu1.
function popupmenu1_Callback(hObject, eventdata, handles)
% hObject    handle to popupmenu1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: contents = cellstr(get(hObject,'String')) returns popupmenu1 contents as cell array
%        contents{get(hObject,'Value')} returns selected item from popupmenu1


% --- Executes during object creation, after setting all properties.
function popupmenu1_CreateFcn(hObject, eventdata, handles)
% hObject    handle to popupmenu1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: popupmenu controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on slider movement.
function slider1_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
b = get(handles.slider1, 'Value');
set(handles.axes1, 'xlim',  [0.5  position(3)] + b );
function slider1_CreateFcn(hObject, eventdata, handles)

if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


% --- Executes on slider movement.
function slider2_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
a = get(handles.slider2, 'Value');
set(handles.axes1, 'ylim',  [0.5  position(4)] - a );

% --- Executes during object creation, after setting all properties.
function slider2_CreateFcn(hObject, eventdata, handles)
% hObject    handle to slider2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: slider controls usually have a light gray background.
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


% --- Executes on selection change in text2.
function text2_Callback(hObject, eventdata, handles)
% hObject    handle to text2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: contents = cellstr(get(hObject,'String')) returns text2 contents as cell array
%        contents{get(hObject,'Value')} returns selected item from text2


% --- Executes during object creation, after setting all properties.
function text2_CreateFcn(hObject, eventdata, handles)
% hObject    handle to text2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: listbox controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in pushbutton3.
function pushbutton3_Callback(hObject, eventdata, handles)
set(handles.text2,'Style','listbox');
set(handles.text2, 'String',  {
'   % M-file of Example 3.14: ex3_14.m'
'%Clean previous value'
'clc'
'clear all'
'% initial value'
't=cosd(3)+j*sind(3)'
'X=j*0.1;'
'IL=0.8-j*0.6;'
'% solution'
't_1=t-1;'
'Icir=t_1/(2*X);'
'ITa=IL/2-Icir;'
'ITb=IL/2+Icir;'
'STa=1*conj(ITa)'
'STb=1*conj(ITb)'
    },'HorizontalAlignment','left');


% --- Executes when uipanel3 is resized.
function uipanel3_ResizeFcn(hObject, eventdata, handles)
set(handles.axes1,'Units','pixels');
position = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
position;
assignin('base','position',position);
a = imread('ex3_14.png');
b = imresize(a,[position(4) position(3)],'bicubic');
c = rgb2gray(b);
c = imadjust(c,[ ],[ ],2);
imshow(c);

set(handles.slider1,'Units','pixels');
set(handles.slider1,'Max',160);
set(handles.slider1,'Units','normalized');
