% ******************************************** %
% *** Copyright 2016 by G. W. Chang *** %
% *********** All rights reserved *********** %
% ******************************************** %
function varargout = chp3ex16(varargin)

gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
    'gui_Singleton',  gui_Singleton, ...
    'gui_OpeningFcn', @chp2ex14_OpeningFcn, ...
    'gui_OutputFcn',  @chp2ex14_OutputFcn, ...
    'gui_LayoutFcn',  [] , ...
    'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end

function chp2ex14_OpeningFcn(hObject, eventdata, handles, varargin)

handles.output = hObject;

axes(handles.axes1);
set(handles.axes1,'Units','pixels');
POSITION = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
assignin('base','position',POSITION);
imshow('ex3_16.png');
% Update handles structure
guidata(hObject, handles);

function varargout = chp2ex14_OutputFcn(hObject, eventdata, handles)

varargout{1} = handles.output;

function pushbutton1_Callback(hObject, eventdata, handles)

set(handles.text2,'Style','text');
set(handles.text2,'string',[...
    'Equivalent parallel subtransient reactance',10,...
    'Xd = 0.2500',10,...
    'Subtransient current',10,...
    'I = 0.0000 - 2.7329i',10,...
    'The voltage Vt on the delta side of the transformer',10,...
    'Vt = 0.2733',10,...
    'Subtransient current in generators 1 and 2 ',10,...
    'I1 = 0.0000 - 1.8219i',10,...
    'I2 = 0.0000 - 0.9110i',10,...
    ])



% --- Executes on button press in pushbutton2.
function pushbutton2_Callback(hObject, eventdata, handles)

close(gcf)
chapter3


% --- Executes on selection change in popupmenu1.
function popupmenu1_Callback(hObject, eventdata, handles)

function popupmenu1_CreateFcn(hObject, eventdata, handles)

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on slider movement.
function slider1_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
b = get(handles.slider1, 'Value');
set(handles.axes1, 'xlim',  [0.5  position(3)] + b );
function slider1_CreateFcn(hObject, eventdata, handles)

if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


% --- Executes on slider movement.
function slider2_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
a = get(handles.slider2, 'Value');
set(handles.axes1, 'ylim',  [0.5  position(4)] - a );

% --- Executes during object creation, after setting all properties.
function slider2_CreateFcn(hObject, eventdata, handles)

if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end



function text2_Callback(hObject, eventdata, handles)

function text2_CreateFcn(hObject, eventdata, handles)

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function pushbutton3_Callback(hObject, eventdata, handles)
set(handles.text2,'Style','listbox');
set(handles.text2, 'String',  {
'% M-file for Example 3.16: ex3_16.m'
'% Clean previous value'
'clc'
'clear all'
'%Per unit values'
'%Generator 1'
'Xd1=0.25*(75000/50000);'
'Ei1=66/69;'
'%Generator 2'
'Xd2=0.25*(75000/25000);'
'Ei2=66/69;'
'%Transformer'
'Xt=0.1;'
'disp(''Equivalent parallel subtransient reactance'')'
'Xd=Xd1*Xd2/(Xd1+Xd2)'
'Ei=Ei1;'
'disp(''Subtransient current'')'
'I=Ei/(j*Xd+j*Xt)'
'disp(''The voltage Vt on the delta side of the transformer'')'
'Vt=I*j*Xt'
'disp(''Subtransient current in generators 1 and 2'')'
'I1=(Ei1-Vt)/(j*Xd1)'
'I2=(Ei2-Vt)/(j*Xd2)'
    },'HorizontalAlignment','left');


% --- Executes when uipanel3 is resized.
function uipanel3_ResizeFcn(hObject, eventdata, handles)
set(handles.axes1,'Units','pixels');
position = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
position;
assignin('base','position',position);
a = imread('ex3_16.png');
b = imresize(a,[position(4) position(3)],'bicubic');
c = rgb2gray(b);
c = imadjust(c,[ ],[ ],2);
imshow(c);

set(handles.slider2,'Units','pixels');
set(handles.slider2,'Min',-580);
set(handles.slider2,'Units','normalized');


set(handles.slider1,'Units','pixels');
set(handles.slider1,'Max',180);
set(handles.slider1,'Units','normalized');
