% ******************************************** %
% *** Copyright 2016 by G. W. Chang *** %
% *********** All rights reserved *********** %
% ******************************************** %
function varargout = chp3ex17(varargin)

gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
    'gui_Singleton',  gui_Singleton, ...
    'gui_OpeningFcn', @chp2ex14_OpeningFcn, ...
    'gui_OutputFcn',  @chp2ex14_OutputFcn, ...
    'gui_LayoutFcn',  [] , ...
    'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end

function chp2ex14_OpeningFcn(hObject, eventdata, handles, varargin)

handles.output = hObject;

axes(handles.axes1);
set(handles.axes1,'Units','pixels');
POSITION = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
assignin('base','position',POSITION);
imshow('ex3_17.png');
% Update handles structure
guidata(hObject, handles);

function varargout = chp2ex14_OutputFcn(hObject, eventdata, handles)

varargout{1} = handles.output;

function pushbutton1_Callback(hObject, eventdata, handles)

set(handles.text2,'Style','text');
set(handles.text2,'string',[...
    'Ei = 1.6012 + 1.2414i',10,...
    'Ei_mag = 2.0260; Ei_ang = 37.7849;',10,...
    'P = |Vt||Ei| * sin(ang) / Xd ;P =0.7200 ',10,...
    'Q = |Vt| * ( |Ei|* cos(ang) - |Vt| )/ Xd; Q = 0.3487',10,...
    'Now,increasing excitation by 20% with P and Vt constant:',10,...
    '|Vt|*1.2*|Ei|* sin(ang) / Xd = P',10,...
    'ang1 = 30.7026; Q = 0.6325',10,...
    'Now, decreasing excitation by 20%:',10,...
    '|Vt|*0.8*|Ei|* sin(ang) / Xd = P',10,...
    'ang2 = 49.9848 ;Q = 0.0245',10,...
    ])



% --- Executes on button press in pushbutton2.
function pushbutton2_Callback(hObject, eventdata, handles)

close(gcf)
chapter3


% --- Executes on selection change in popupmenu1.
function popupmenu1_Callback(hObject, eventdata, handles)

function popupmenu1_CreateFcn(hObject, eventdata, handles)

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on slider movement.
function slider1_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
b = get(handles.slider1, 'Value');
set(handles.axes1, 'xlim',  [0.5  position(3)] + b );
function slider1_CreateFcn(hObject, eventdata, handles)

if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


% --- Executes on slider movement.
function slider2_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
a = get(handles.slider2, 'Value');
set(handles.axes1, 'ylim',  [0.5  position(4)] - a );

% --- Executes during object creation, after setting all properties.
function slider2_CreateFcn(hObject, eventdata, handles)

if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end



function text2_Callback(hObject, eventdata, handles)

function text2_CreateFcn(hObject, eventdata, handles)

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function pushbutton3_Callback(hObject, eventdata, handles)
set(handles.text2,'Style','listbox');
set(handles.text2, 'String',  {
'% M-file for Example 3.17: ex3_17.m'
'% Clean previous value'
'clc'
'clear all'
'%Initial value'
'Xd=1.7241;    %Per unit'
'Vt=1 ;             %Per unit'
'Ia=0.8;           %Per unit'
'ang=25.8419;    %Lagging'
'disp('' Ei = Vt + jXd*Ia  '')'
'Ei=Vt+j*Xd*Ia*(cosd(-ang)+j*sind(-ang))'
'Ei_mag=abs(Ei)'
'Ei_ang=angle(Ei)*180/pi'
'%P and Q output of the generator'
'disp('' P = |Vt||Ei| * sin(ang) / Xd '')'
'P=abs(Vt)*abs(Ei)*sind(Ei_ang)/Xd'
'disp('' Q = |Vt| * ( |Ei|* cos(ang) - |Vt| )/ Xd '')'
'Q=abs(Vt)*(abs(Ei)*cosd(Ei_ang)-abs(Vt))/Xd'
'disp(''Now,increasing excitation by 20% with P and Vt constant :'')'
'disp('' |Vt|*1.2*|Ei|* sin(ang) / Xd = P'')'
'ang1=asin(P*Xd/(1.2*abs(Vt)*abs(Ei)))*180/pi'
'Q= abs(Vt)*(1.2*abs(Ei)*cosd(ang1)-abs(Vt))/Xd'
'disp(''Now, decreasing excitation by 20%:'')'
'disp('' |Vt|*0.8*|Ei|* sin(ang) / Xd = P'')'
'ang2=asin(P*Xd/(0.8*abs(Vt)*abs(Ei)))*180/pi'
'Q= abs(Vt)*(0.8*abs(Ei)*cosd(ang2)-abs(Vt))/Xd'
    },'HorizontalAlignment','left');


% --- Executes when uipanel3 is resized.
function uipanel3_ResizeFcn(hObject, eventdata, handles)
set(handles.axes1,'Units','pixels');
position = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
position;
assignin('base','position',position);
a = imread('ex3_17.png');
b = imresize(a,[position(4) position(3)],'bicubic');
c = rgb2gray(b);
c = imadjust(c,[ ],[ ],2);
imshow(c);

set(handles.slider2,'Units','pixels');
set(handles.slider2,'Min',-200);
set(handles.slider2,'Units','normalized');


set(handles.slider1,'Units','pixels');
set(handles.slider1,'Max',180);
set(handles.slider1,'Units','normalized');
