% ******************************************** %
% *** Copyright 2016 by G. W. Chang *** %
% *********** All rights reserved *********** %
% ******************************************** %
function varargout = chp3ex2(varargin)

gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @chp2ex2_OpeningFcn, ...
                   'gui_OutputFcn',  @chp2ex2_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end

function chp2ex2_OpeningFcn(hObject, eventdata, handles, varargin)

handles.output = hObject;
%Y
set(handles.axes1,'Units','pixels');
POSITION = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
assignin('base','position',POSITION);
imshow('ex3_2.png','parent',handles.axes1);


guidata(hObject, handles);


% --- Outputs from this function are returned to the command line.
function varargout = chp2ex2_OutputFcn(hObject, eventdata, handles) 

varargout{1} = handles.output;


function pushbutton1_Callback(hObject, eventdata, handles)
set(handles.text2, 'String',  {
    'a = 4'
    'R1 = 4['
    'X1 = 16['
    'Z2new = 192['
    'I1 = 6.0819 - 0.4965i'
    'V2=aV2/a:'
    'aV2 = 1.1677e+03 - 9.5325e+01i A'
    'V2 = 2.9193e+02 - 2.3831e+01i V'
    'Voltage regulation= (V2,NL -V2,FL)/V2,FL'
    'voltage_reulation = 0.0242 V'
    
    },'HorizontalAlignment','left');



function pushbutton2_Callback(hObject, eventdata, handles)

close(gcf)
chapter3


function text2_Callback(hObject, eventdata, handles)

function text2_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on selection change in popupmenu1.
function popupmenu1_Callback(hObject, eventdata, handles)

function popupmenu1_CreateFcn(hObject, eventdata, handles)

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function pushbutton3_Callback(hObject, eventdata, handles)
guidata(hObject, handles);
set(handles.text2,'Style','listbox');
set(handles.text2, 'String',  {
'%M-file for Example 3.2: ex3_2.m'
'%Clean previous value'
'clc'
'clear all'
'%Initial values'
'%Turns ratio'
'N1=2000;'
'N2=500;'
'%Winding resistance'
'r1=2;'
'r2=0.125;'
'%Leakage reactance'
'x1=8;'
'x2=0.5;'
'%Resistance load'
'Z2=12;'
'%Voltage at the terminal of primary side'
'V1=1200;'
'%Solution'
'a=N1/N2'
'R1=r1+r2*(a)^2'
'X1=x1+x2*(a)^2'
'Z2new=Z2*(a)^2'
'I1=V1/(R1+j*X1+Z2new)'
'disp(''V2=aV2/a:'')'
'aV2=I1*Z2new'
'V2=aV2/a'
'disp(''Voltage regulation= (V2,NL -V2,FL)/V2,FL '')'
'V2_NL=V1/a;'
'V2_FL=V2;'
'voltage_reulation=(abs(V2_NL) -abs(V2_FL))/abs(V2_FL)'
    },'HorizontalAlignment','left');


% --- Executes on slider movement.
function slider2_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
a = get(handles.slider2, 'Value');
set(handles.axes1, 'ylim',  [0.5  position(4)] - a );
function slider2_CreateFcn(hObject, eventdata, handles)

if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


% --- Executes on slider movement.
function slider1_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
b = get(handles.slider1, 'Value');
set(handles.axes1, 'xlim',  [0.5  position(3) ] + b );
% --- Executes during object creation, after setting all properties.
function slider1_CreateFcn(hObject, eventdata, handles)

if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


% --- Executes when uipanel1 is resized.
function uipanel1_ResizeFcn(hObject, eventdata, handles)

set(handles.axes1,'Units','pixels');   
position = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
position;
assignin('base','position',position);
a = imread('ex3_2.png');
b = imresize(a,[position(4) position(3)],'bicubic');
c = rgb2gray(b);
c = imadjust(c,[ ],[ ],2);
imshow(c);
