% ******************************************** %
% *** Copyright 2016 by G. W. Chang *** %
% *********** All rights reserved *********** %
% ******************************************** %
function varargout = chp3ex6(varargin)

gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @untitled_OpeningFcn, ...
                   'gui_OutputFcn',  @untitled_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end




function untitled_OpeningFcn(hObject, eventdata, handles, varargin)

handles.output = hObject;
axes(handles.axes1);
guidata(hObject, handles);
set(handles.axes1,'Units','pixels');
POSITION = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
assignin('base','position',POSITION);
imshow('ex3_6.png');



function varargout = untitled_OutputFcn(hObject, eventdata, handles) 

varargout{1} = handles.output;


function pushbutton1_Callback(hObject, eventdata, handles)
set(handles.text3,'Style','text');
set(handles.text3,'string',[...
'Low voltage base impedance = 0.110^2*1000/2.5 = 4.84 [',10,...
' = 0.06/4.48 =0.0124 pur unit ',10,...
'High voltage base impedance = 0.440^2*1000/2.5 = 77.5 [',10,...
'If leakage reactance had been measured on the high voltage: X =0.06*440^2/110^2 = 0.96 [',10,...
' = 0.96/77.5 =0.0124 pur unit ',10,...
]) ;

function pushbutton2_Callback(hObject, eventdata, handles)
close(gcf)
chapter3

function pushbutton3_Callback(hObject, eventdata, handles)
Leakagereactance = str2double(get(handles.edit1, 'string')) ;
LVBI = 0.110^2*1000/2.5 ;
XpuL=Leakagereactance/LVBI ;
LRMbyHV=Leakagereactance*(440/110)^2 ;
HVBI = 0.440^2*1000/2.5 ;
XpuH=LRMbyHV/HVBI ;
set(handles.text3,'Style','text');
set(handles.text3,'string',[...
'Low voltage base impedance = ',num2str(LVBI),'[',10,...
'XL = ',num2str(XpuL),'pur unit',10,...
'High voltage base impedance = ',num2str(HVBI),'[',10,...
'If leakage reactance had been measured on the high voltage =',num2str(LRMbyHV),10,...
'XH = ',num2str(XpuH),'pur unit',10,...
]) ;
function edit1_Callback(hObject, eventdata, handles)
function edit1_CreateFcn(hObject, eventdata, handles)
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function pushbutton1_CreateFcn(hObject, eventdata, handles)

function pushbutton2_CreateFcn(hObject, eventdata, handles)

function pushbutton3_CreateFcn(hObject, eventdata, handles)

function axes1_CreateFcn(hObject, eventdata, handles)

function text1_CreateFcn(hObject, eventdata, handles)

function text2_CreateFcn(hObject, eventdata, handles)


function pushbutton4_Callback(hObject, eventdata, handles)

guidata(hObject, handles);
set(handles.text3,'Style','listbox');
set(handles.text3, 'String',  {
'Lowvoltagebaseimpedance = 0.110^2*1000/2.5;'
'%In per unit:'
'X=0.06/4.84;'
'%In leakage reactance had been measured on the high voltage:'
'X=0.96';
'Highvoltagebaseimpedance = 0.440^2*1000/2.5;'
'%In per unit :'
'X=0.0124'

    },'HorizontalAlignment','left');


function text3_Callback(hObject, eventdata, handles)


% --- Executes on slider movement.
function slider1_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
b = get(handles.slider1, 'Value');
set(handles.axes1, 'xlim',  [0.5  position(3)] + b );

function slider1_CreateFcn(hObject, eventdata, handles)

if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end

function slider2_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
a = get(handles.slider2, 'Value');
set(handles.axes1, 'ylim',  [0.5  position(4)] - a );


function slider2_CreateFcn(hObject, eventdata, handles)

if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


% --- Executes on selection change in popupmenu2.
function popupmenu2_Callback(hObject, eventdata, handles)

function popupmenu2_CreateFcn(hObject, eventdata, handles)

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes during object creation, after setting all properties.
function text3_CreateFcn(hObject, eventdata, handles)

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes when uipanel1 is resized.
function uipanel1_ResizeFcn(hObject, eventdata, handles)
set(handles.axes1,'Units','pixels');   
position = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
assignin('base','position',position);
a = imread('ex3_6.png');
b = imresize(a,[position(4) position(3)],'bicubic');
c = rgb2gray(b);
c = imadjust(c,[ ],[ ],2);
imshow(c);
