% ******************************************** %
% *** Copyright 2016 by G. W. Chang *** %
% *********** All rights reserved *********** %
% ******************************************** %
function varargout = chp3ex9(varargin)

gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
    'gui_Singleton',  gui_Singleton, ...
    'gui_OpeningFcn', @chp2ex8_OpeningFcn, ...
    'gui_OutputFcn',  @chp2ex8_OutputFcn, ...
    'gui_LayoutFcn',  [] , ...
    'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end

function chp2ex8_OpeningFcn(hObject, eventdata, handles, varargin)

handles.output = hObject;
axes(handles.axes1);
imshow('ex3_9.png');
set(handles.axes1,'Units','pixels');
POSITION = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
assignin('base','position',POSITION);
guidata(hObject, handles);

function varargout = chp2ex8_OutputFcn(hObject, eventdata, handles)

varargout{1} = handles.output;

function pushbutton1_Callback(hObject, eventdata, handles)
set(handles.text2,'Style','text');
set(handles.text2,'string',[...
    'On its own base the transformer reactance is 0.121/(22)^2/400 =0.1 per unit ',10,...
    'On the chosen base the reactance becomes 0.1*(220/230)^2*(100/400)=0.0228 per unit',10,...
    ]) ;


function pushbutton2_Callback(hObject, eventdata, handles)
close(gcf)
chapter3

function pushbutton3_Callback(hObject, eventdata, handles)

TRI = str2double(get(handles.edit1, 'string')) ;
HVSBS = str2double(get(handles.edit3, 'string')) ;
HVSBV = str2double(get(handles.edit4, 'string')) ;
OBT = TRI*400/22^2 ;
CBT = 0.1*(220/HVSBV)^2*100/HVSBS ;
set(handles.text2,'Style','text');
set(handles.text2,'string',[...
    'On its own base tHe transformer reactance is ',num2str(OBT),'per unit',10,...
    'On the chosen base the reactance becomes ',num2str(CBT),'per unit',10,...
    ]) ;

function edit1_Callback(hObject, eventdata, handles)

function edit1_CreateFcn(hObject, eventdata, handles)


if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function edit2_Callback(hObject, eventdata, handles)

function edit4_CreateFcn(hObject, eventdata, handles)

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function edit4_Callback(hObject, eventdata, handles)

function edit3_Callback(hObject, eventdata, handles)

function axes1_CreateFcn(hObject, eventdata, handles)

function pushbutton1_CreateFcn(hObject, eventdata, handles)

function pushbutton2_CreateFcn(hObject, eventdata, handles)

function pushbutton3_CreateFcn(hObject, eventdata, handles)

function text3_CreateFcn(hObject, eventdata, handles)

function text4_CreateFcn(hObject, eventdata, handles)

function text5_CreateFcn(hObject, eventdata, handles)

function text6_CreateFcn(hObject, eventdata, handles)

function text10_CreateFcn(hObject, eventdata, handles)

function text2_CreateFcn(hObject, eventdata, handles)

function edit3_CreateFcn(hObject, eventdata, handles)

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on selection change in popupmenu1.
function popupmenu1_Callback(hObject, eventdata, handles)

function popupmenu1_CreateFcn(hObject, eventdata, handles)

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function slider1_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
b = get(handles.slider1, 'Value');
set(handles.axes1, 'xlim',  [0.5  position(3)] + b );

function slider1_CreateFcn(hObject, eventdata, handles)
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end
function slider2_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
a = get(handles.slider2, 'Value');
set(handles.axes1, 'ylim',  [0.5  position(4)] - a );
function slider2_CreateFcn(hObject, eventdata, handles)

if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end
function text2_Callback(hObject, eventdata, handles)

function pushbutton4_Callback(hObject, eventdata, handles)
set(handles.text2,'Style','listbox');
set(handles.text2, 'String',  {
'% M-file of Example 3.9: ex3_9.m'
'%Clean previous value'
'clc'
'clear all'
'% initial value'
'VH=220*10^3;%V'
'VL=22*10^3;%V'
'S=400*10^6;%VA'
'R=0.121;%ohm'
'Snew=100*10^6;'
'VH_new=230*10^3;%V'
'% solution'
'Zbase=VL^2/S;'
'% On its own base the transformer reactance is'
'R_pu_old=R/Zbase'
'% On the chosen base the reactance becomes'
'R_pu_new=R_pu_old*(VH/VH_new)^2*Snew/S'
    },'HorizontalAlignment','left');

set(handles.text2,'Style','text');
function uipanel4_ResizeFcn(hObject, eventdata, handles)
set(handles.axes1,'Units','pixels');
position = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
position;
assignin('base','position',position);
a = imread('ex3_9.png');
b = imresize(a,[position(4) position(3)],'bicubic');
c = rgb2gray(b);
c = imadjust(c,[ ],[ ],2);
imshow(c);
