% ******************************************** %
% *** Copyright 2016 by G. W. Chang *** %
% *********** All rights reserved *********** %
% ******************************************** %
function varargout = chp6ex3(varargin)

gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
    'gui_Singleton',  gui_Singleton, ...
    'gui_OpeningFcn', @chp2ex14_OpeningFcn, ...
    'gui_OutputFcn',  @chp2ex14_OutputFcn, ...
    'gui_LayoutFcn',  [] , ...
    'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end

function chp2ex14_OpeningFcn(hObject, eventdata, handles, varargin)

handles.output = hObject;

axes(handles.axes1);
set(handles.axes1,'Units','pixels');
POSITION = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
assignin('base','position',POSITION);
imshow('ex6_3.png');
% Update handles structure
guidata(hObject, handles);

function varargout = chp2ex14_OutputFcn(hObject, eventdata, handles)

varargout{1} = handles.output;

function pushbutton1_Callback(hObject, eventdata, handles)
set(handles.text2,'Style','text');
set(handles.text2,'string',[...
'Y3 =',10,...
'   [0.0000 -13.7470i   0.0000 + 9.5060i   0.0000 + 4.0000i',10,...
'    0.0000 + 9.5060i   0.0000 -13.9880i   0.0000 + 4.0000i',10,...
'    0.0000 + 4.0000i   0.0000 + 4.0000i   0.0000 - 8.8000i]',10,...
'Y2 =',10,...
'   [0.0000 -11.9288i   0.0000 +11.3242i',10,...
'    0.0000 +11.3242i   0.0000 -12.1698i]',10,...
    ])

function pushbutton2_Callback(hObject, eventdata, handles)
close(gcf)
chapter6
function popupmenu1_Callback(hObject, eventdata, handles)

function popupmenu1_CreateFcn(hObject, eventdata, handles)

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on slider movement.
function slider1_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
b = get(handles.slider1, 'Value');
set(handles.axes1, 'xlim',  [0.5  position(3)] + b );
function slider1_CreateFcn(hObject, eventdata, handles)

if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


% --- Executes on slider movement.
function slider2_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
a = get(handles.slider2, 'Value');
set(handles.axes1, 'ylim',  [0.5  position(4)] - a );

% --- Executes during object creation, after setting all properties.
function slider2_CreateFcn(hObject, eventdata, handles)

if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end



function text2_Callback(hObject, eventdata, handles)

function text2_CreateFcn(hObject, eventdata, handles)

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function pushbutton3_Callback(hObject, eventdata, handles)
set(handles.text2,'Style','listbox');
set(handles.text2, 'String',  {
    '% M_File for Example 6.3: ex6_3.m'
    '%Clean previous value'
    'clc'
    'clear all'
    '%initial value'
    'Y=[-j*14.5  j*8.0   j*4.0  j*2.5;'
    '    j*8.0  -j*17.0  j*4.0  j*5.0;'
    '    j*4.0   j*4.0  -j*8.8   0.0;'
    '    j*2.5   j*5.0     0.0 -j*8.3];'
    '% Solution'
    'for i=1:1:3'
    '    for k=1:1:3'
    '        Y3(i,k)=Y(i,k)-Y(i,4)*Y(4,k)/Y(4,4);'
    '    end'
    'end'
    'Y3'
    'for(i=1:1:2)'
    '    for(k=1:1:2)'
    '        Y2(i,k)=Y3(i,k)-Y3(i,3)*Y3(3,k)/Y3(3,3);'
    '    end'
    'end'
    'Y2'
    },'HorizontalAlignment','left');

function uipanel3_ResizeFcn(hObject, eventdata, handles)
set(handles.axes1,'Units','pixels');
position = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
position;
assignin('base','position',position);
a = imread('ex6_3.png');
b = imresize(a,[position(4) position(3)],'bicubic');
c = rgb2gray(b);
c = imadjust(c,[ ],[ ],2);
imshow(c);

set(handles.slider2,'Units','pixels');
set(handles.slider2,'Min',-140);
set(handles.slider2,'Units','normalized');


set(handles.slider1,'Units','pixels');
set(handles.slider1,'Max',180);
set(handles.slider1,'Units','normalized');
