% ******************************************** %
% *** Copyright 2016 by G. W. Chang *** %
% *********** All rights reserved *********** %
% ******************************************** %
function varargout = chp6ex5(varargin)

gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
    'gui_Singleton',  gui_Singleton, ...
    'gui_OpeningFcn', @chp6ex5_OpeningFcn, ...
    'gui_OutputFcn',  @chp6ex5_OutputFcn, ...
    'gui_LayoutFcn',  [] , ...
    'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end

function chp6ex5_OpeningFcn(hObject, eventdata, handles, varargin)

handles.output = hObject;

axes(handles.axes1);
set(handles.axes1,'Units','pixels');
POSITION = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
assignin('base','position',POSITION);
imshow('ex6_5.png');
% Update handles structure
guidata(hObject, handles);

function varargout = chp6ex5_OutputFcn(hObject, eventdata, handles)

varargout{1} = handles.output;

function pushbutton1_Callback(hObject, eventdata, handles)
set(handles.text2, 'String',  {
'1.Get admittance matrix and Ibus from example 6.1'
'Ibus ='
  '[ 0.0000 + 0.0000i'
  ' 0.0000 + 0.0000i'
  ' 0.0000 - 1.0000i'
  '-0.4808 - 0.4808i]'
  ''
'Ybus ='
  '[0.0000 -14.5000i   0.0000 + 8.0000i   0.0000 + 4.0000i   0.0000 + 2.5000i'
  ' 0.0000 + 8.0000i   0.0000 -17.0000i   0.0000 + 4.0000i   0.0000 + 5.0000i'
  ' 0.0000 + 4.0000i   0.0000 + 4.0000i   0.0000 - 8.8000i   0.0000 + 0.0000i'
  ' 0.0000 + 2.5000i   0.0000 + 5.0000i   0.0000 + 0.0000i   0.0000 - 8.3000i]'
'2.Get  current Icap drawn by the capacitor from example 6.4'
 'Icp = -0.2205669.2534 A'
 'delta_V=Icp*Zbus'
 ''
 'The new bus voltages in per unit are'
 'V1 = Vbus(1,1)+deltaV1 = 1.1115-18.1474 V'
 'V2 = Vbus(2,1)+deltaV2 = 1.1107-18.3572 V'
 'V3 = Vbus(3,1)+deltaV3 = 1.1186-16.4289 V'
 'V4 = Vbus(4,1)+deltaV4 = 1.1043-20.2576 V'
    },'HorizontalAlignment','left');

function pushbutton2_Callback(hObject, eventdata, handles)
close(gcf)
chapter6
function popupmenu1_Callback(hObject, eventdata, handles)

function popupmenu1_CreateFcn(hObject, eventdata, handles)

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on slider movement.
function slider1_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
b = get(handles.slider1, 'Value');
set(handles.axes1, 'xlim',  [0.5  position(3)] + b );
function slider1_CreateFcn(hObject, eventdata, handles)

if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


% --- Executes on slider movement.
function slider2_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
a = get(handles.slider2, 'Value');
set(handles.axes1, 'ylim',  [0.5  position(4)] - a );

% --- Executes during object creation, after setting all properties.
function slider2_CreateFcn(hObject, eventdata, handles)

if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end



function text2_Callback(hObject, eventdata, handles)

function text2_CreateFcn(hObject, eventdata, handles)

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function pushbutton3_Callback(hObject, eventdata, handles)
set(handles.text2,'Style','listbox');
set(handles.text2, 'String',  {
'% Matlab M_File for Example 6.5: ex6_5.m'
'% Clean previous value'
'clc'
'clear all'
'% initial value '
'% Get from Example 6.1'
'disp(''Get admittance matrix and Ibus from example 6.1'')'
'Ibus=[0;0;-j*1;0.68*(cosd(-135)+j*sind(-135))]'
'Ybus=[-j*14.5  j*8.0   j*4.0  j*2.5;'
       'j*8.0  -j*17.0  j*4.0  j*5.0;'
      ' j*4.0   j*4.0  -j*8.8    0.0;'
       'j*2.5   j*5.0     0.0 -j*8.3]'
'X=-j*5.0;'
'Zbus=inv(Ybus);'
'Vbus=Zbus*Ibus;'
'% Get from Example 6.4'
'disp(''Get  current Icap drawn by the capacitor from example 6.4'')'
'I=-0.22056;'                                 
'Iangle=69.2534;'
'Icp=I*cosd(Iangle)+j*I*sind(Iangle);  %Convert degree to radian'
'disp(['' Icp = '',num2str(I),'''',num2str(Iangle),'' A'']);'
'% Solution'
'disp('' delta_V=Icp*Zbus'');'
'deltaV1=Icp*Zbus(1,4);'
'deltaV1_mag=abs(deltaV1);'
'deltaV1_ang=angle(deltaV1)*180/pi; %rad->degree'
'deltaV2=Icp*Zbus(2,4);'
'deltaV2_mag=abs(deltaV2);'
'deltaV2_ang=angle(deltaV2)*180/pi; %rad->degree'
'deltaV3=Icp*Zbus(3,4);'
'deltaV3_mag=abs(deltaV3);'
'deltaV3_ang=angle(deltaV3)*180/pi; %rad->degree'
'deltaV4=Icp*Zbus(4,4);'
'deltaV4_mag=abs(deltaV4);'
'deltaV4_ang=angle(deltaV4)*180/pi; %rad->degree'
'V1_mag=abs(Vbus(1,1));'
'V1_ang=angle(Vbus(1,1))*180/pi; %rad->degree'
'V2_mag=abs(Vbus(2,1));'
'V2_ang=angle(Vbus(2,1))*180/pi; %rad->degree'
'V3_mag=abs(Vbus(3,1));'
'V3_ang=angle(Vbus(3,1))*180/pi; %rad->degree'
'V4_mag=abs(Vbus(4,1));'
'V4_ang=angle(Vbus(4,1))*180/pi; %rad->degree'
'disp(''The new bus voltages in per unit are'')'
'V1new=Vbus(1,1)+deltaV1;'
'V1new_mag=abs(V1new);'
'V1new_ang=angle(V1new)*180/pi; %rad->degree'
'disp(['' V1 = Vbus(1,1)+deltaV1 = '',num2str(V1new_mag),'''',num2str(V1new_ang),'' V'']);'
'V2new=Vbus(2,1)+deltaV2;'
'V2new_mag=abs(V2new);'
'V2new_ang=angle(V2new)*180/pi; %rad->degree'
'disp(['' V2 = Vbus(2,1)+deltaV2 = '',num2str(V2new_mag),'''',num2str(V2new_ang),'' V'']);'
'V3new=Vbus(3,1)+deltaV3;'
'V3new_mag=abs(V3new);'
'V3new_ang=angle(V3new)*180/pi; %rad->degree'
'disp(['' V3 = Vbus(3,1)+deltaV3 = '',num2str(V3new_mag),'''',num2str(V3new_ang),'' V'']);'
'V4new=Vbus(4,1)+deltaV4;'
'V4new_mag=abs(V4new);'
'V4new_ang=angle(V4new)*180/pi; %rad->degree'
'disp(['' V4 = Vbus(4,1)+deltaV4 = '',num2str(V4new_mag),'''',num2str(V4new_ang),'' V'']);'

    },'HorizontalAlignment','left');

function uipanel3_ResizeFcn(hObject, eventdata, handles)
set(handles.axes1,'Units','pixels');
position = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
position;
assignin('base','position',position);
a = imread('ex6_5.png');
b = imresize(a,[position(4) position(3)],'bicubic');
c = rgb2gray(b);
c = imadjust(c,[ ],[ ],2);
imshow(c);

set(handles.slider2,'Units','pixels');
tt = get(handles.slider2, 'Min');
ttt = tt * (37/30);
set(handles.slider2,'Min',ttt);
set(handles.slider2,'Units','normalized');


set(handles.slider1,'Units','pixels');
d = get(handles.slider1, 'Max');
set(handles.slider1,'Max',250);
set(handles.slider1,'Units','normalized');
