% ******************************************** %
% *** Copyright 2016 by G. W. Chang *** %
% *********** All rights reserved *********** %
% ******************************************** %
function varargout = chp7ex12(varargin)

gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
    'gui_Singleton',  gui_Singleton, ...
    'gui_OpeningFcn', @chp7ex12_OpeningFcn, ...
    'gui_OutputFcn',  @chp7ex12_OutputFcn, ...
    'gui_LayoutFcn',  [] , ...
    'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end

function chp7ex12_OpeningFcn(hObject, eventdata, handles, varargin)
handles.output = hObject;
imshow('ex7_12.png','parent',handles.axes1)
set(handles.axes1,'Units','pixels');
POSITION = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
assignin('base','position',POSITION);
guidata(hObject, handles);

function varargout = chp7ex12_OutputFcn(hObject, eventdata, handles)
varargout{1} = handles.output;


function pushbutton1_Callback(hObject, eventdata, handles)
set(handles.text2, 'String',  {
 'I1=I1a+I1b  , I2=I2a+I2b'
 '-0.8+0.6j=(20.5j)*V1-20j*1'
 'V1=(-0.8+20.6i)/(20.5i) = 1.00562.224 V'
 'I2a=10i*V1-10i*V2 = 0.39328172.875 A'
 'I2b=10.5i*V1-10i*V2 = 0.68684126.6257 A'
 ''
 'The complex power outputs of the transformers are:'
  'STa=-V2*I2a = 0.39024+0.04878i per unit'
 'STb=-V2*I2b = 0.40976+0.55122i per unit'
     },'HorizontalAlignment','left');
function pushbutton2_Callback(hObject, eventdata, handles)
close(gcf)
chapter7

function pushbutton3_Callback(hObject, eventdata, handles)
set(handles.text2,'Style','listbox');
set(handles.text2, 'String',  {
'% Matlab M-file for Example 7.12: ex7_12.m@'
'% clean previous value'
'clc'
'clear all'
'% previous Y'
'Y1=[-10i 10i;10i -10i];'
'% adding transformer Tb with t=1.05'
'Y2=[-11.025i 10.500i;10.500i -10.000i];'
'disp('' I1=I1a+I1b  , I2=I2a+I2b'');'
'%adding two matrix'
'Y=Y1+Y2;'
'V2=1;'
'I2=complex(-0.8,0.6);'
'disp('' -0.8+0.6j=(20.5j)*V1-20j*1'')'
'%calculate for V1'
'V1=(-0.8+20.6i)/(20.5i);'
'V1_mag=abs(V1);                              %Convert radian to degree'
'V1_ang=angle(V1)*180/pi;'
'disp(['' V1=(-0.8+20.6i)/(20.5i) = '',num2str(V1_mag),'''',num2str(V1_ang),'' V'']);'
'%findig current (in per unit)'
'I2a=10i*V1-10i*V2;'
'I2a_mag=abs(I2a);                              %Convert radian to degree'
'I2a_ang=angle(I2a)*180/pi;'
'disp(['' I2a=10i*V1-10i*V2 = '',num2str(I2a_mag),'''',num2str(I2a_ang),'' A'']);'
'I2b=10.5i*V1-10i*V2;'
'I2b_mag=abs(I2b);                              %Convert radian to degree'
'I2b_ang=angle(I2b)*180/pi;'
'disp(['' I2b=10.5i*V1-10i*V2 = '',num2str(I2b_mag),'''',num2str(I2b_ang),'' A'']);'
'%show the output power  S= VI* in per unit'
'disp(''The complex power outputs of the transformers are '')'
'STa=-V2*(I2a)'';'
'STb=-V2*(I2b)'';'
'disp(['' STa=-V2*I2a = '',num2str(STa),'' per unit''])'
'disp(['' STb=-V2*I2b = '',num2str(STb),'' per unit''])'
    },'HorizontalAlignment','left');
function popupmenu1_Callback(hObject, eventdata, handles)

function popupmenu1_CreateFcn(hObject, eventdata, handles)

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function text2_Callback(hObject, eventdata, handles)

function text2_CreateFcn(hObject, eventdata, handles)

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function slider1_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
b = get(handles.slider1, 'Value');
set(handles.axes1, 'xlim',  [0.5  position(3)] + b );
function slider1_CreateFcn(hObject, eventdata, handles)

if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end
function slider2_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
a = get(handles.slider2, 'Value');
set(handles.axes1, 'ylim',  [0.5  position(4)] - a );
function slider2_CreateFcn(hObject, eventdata, handles)
if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


% --- Executes when uipanel1 is resized.
function uipanel1_ResizeFcn(hObject, eventdata, handles)
set(handles.axes1,'Units','pixels');
position = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
position;
assignin('base','position',position);
a = imread('ex7_12.png');
b = imresize(a,[position(4) position(3)],'bicubic');
c = rgb2gray(b);
c = imadjust(c,[ ],[ ],2);
imshow(c);
set(handles.slider2,'Units','pixels');
set(handles.slider2,'Min',-650);
set(handles.slider2,'Units','normalized');
