% ******************************************** %
% *** Copyright 2016 by G. W. Chang *** %
% *********** All rights reserved *********** %
% ******************************************** %
function varargout = chp7ex13(varargin)

gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
    'gui_Singleton',  gui_Singleton, ...
    'gui_OpeningFcn', @chp2ex14_OpeningFcn, ...
    'gui_OutputFcn',  @chp2ex14_OutputFcn, ...
    'gui_LayoutFcn',  [] , ...
    'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end

function chp2ex14_OpeningFcn(hObject, eventdata, handles, varargin)

handles.output = hObject;

axes(handles.axes1);
set(handles.axes1,'Units','pixels');
POSITION = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
assignin('base','position',POSITION);
imshow('ex7_13.png');
% Update handles structure
guidata(hObject, handles);

function varargout = chp2ex14_OutputFcn(hObject, eventdata, handles)

varargout{1} = handles.output;

function pushbutton1_Callback(hObject, eventdata, handles)
set(handles.text2, 'String',  {
'1. Obtain admittance equation for transformer Ta given in Example 6.12:'
'Y_Ta=[-20i 0.5234+19.9863i;-0.5234+19.9863i -20]'
'-0.8+0.6j=(-0.5234+19.9863j)*V1-20j*1'
''
'2. calculate for V1:'
'V1=(-0.8+20.6i)/(-0.5234+19.9863i) =  1.03110.72385 V'
'V2=1'
''
'3. finding current (in per unit)'
'I2a=10i*(V1-V2) = 0.33669112.7614 A'
'I2b=(-0.8+0.6i)-I2a =   0.72964156.6211 A   %I2b=I2-I2a'
''
'4. show the output power  S= VI* in per unit'
'STa=-V2*(I2a)'' = 0.1303 + 0.3105i'
'STb=-V2*(I2b)'' =  0.6697 + 0.2895i'
},'HorizontalAlignment','left');

function pushbutton2_Callback(hObject, eventdata, handles)
close(gcf)
chapter7
function popupmenu1_Callback(hObject, eventdata, handles)

function popupmenu1_CreateFcn(hObject, eventdata, handles)

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on slider movement.
function slider1_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
b = get(handles.slider1, 'Value');
set(handles.axes1, 'xlim',  [0.5  position(3)] + b );
function slider1_CreateFcn(hObject, eventdata, handles)

if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


% --- Executes on slider movement.
function slider2_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
a = get(handles.slider2, 'Value');
set(handles.axes1, 'ylim',  [0.5  position(4)] - a );

% --- Executes during object creation, after setting all properties.
function slider2_CreateFcn(hObject, eventdata, handles)

if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end



function text2_Callback(hObject, eventdata, handles)

function text2_CreateFcn(hObject, eventdata, handles)

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function pushbutton3_Callback(hObject, eventdata, handles)
set(handles.text2,'Style','listbox');
set(handles.text2, 'String',  {
'% M_File for Example 7.13: ex7_13.m'
'% Clean previous value'
'clc'
'clear all'
'%To solve the phase-shifter problem, the bus admittance equation for the'
'%phase-shifting transformer Tb with |t|=1 degree(t)=30'
'disp(''I=Y*V'')'
'%Obtain admittance equation for transformer Ta given in Example 6.12'
'Y_Ta=[-20i 0.5234+19.9863i;-0.5234+19.9863i -20]'
'disp(''-0.8+0.6j=(-0.5234+19.9863j)*V1-20j*1'')'
'%calculate for V1'
'V1=(-0.8+20.6i)/(-0.5234+19.9863i)'
'V2=1'
'%finding current (in per unit)'
'I2a=10i*(V1-V2)'
'I2b=(-0.8+0.6i)-I2a    %I2b=I2-I2a'
'%show the output power  S= VI* in per unit'
'STa=-V2*(I2a)'''
'STb=-V2*(I2b)'''
},'HorizontalAlignment','left');

function uipanel3_ResizeFcn(hObject, eventdata, handles)
set(handles.axes1,'Units','pixels');
position = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
position;
assignin('base','position',position);
a = imread('ex7_13.png');
b = imresize(a,[position(4) position(3)],'bicubic');
c = rgb2gray(b);
c = imadjust(c,[ ],[ ],2);
imshow(c);
