% Matlab M-file of Example 10.1: ex10_1.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clean previous value
clc
clear all
% Initial values
X1=j*0.15+j*0.04;
X5=j*0.04;
X25=j*0.04;
X23=j*0.5;
X36=j*0.08;
X4=j*0.04+j*0.15;
% Solution 
% Step 1:Add branch 1 to the reference node
Zbus_0(1,1)=X1;
% Step 2 Add branch 2 to the reference node
Zbus_0(5,5)=X5;
% Step 3 Add branch 3 between buses 5 and 2
Zbus_0(2,5)=X5;
Zbus_0(5,2)=X5;
Zbus_0(2,2)=Zbus_0(2,5)+Zbus_0(5,2);
% Step 4 Add branch 3 between buses 2 and 3
Zbus_0(2,3)=Zbus_0(2,2);
Zbus_0(3,2)=Zbus_0(2,2);
Zbus_0(3,5)=Zbus_0(5,5);
Zbus_0(5,3)=Zbus_0(5,5);
Zbus_0(3,3)=X23+Zbus_0(3,2);
% Step 5 Add branch 3 between buses 3 and 6
Zbus_0(5,6)=Zbus_0(5,5);
Zbus_0(6,5)=Zbus_0(5,5);
Zbus_0(2,6)=Zbus_0(2,2);
Zbus_0(6,2)=Zbus_0(2,2);
Zbus_0(3,6)=Zbus_0(3,3);
Zbus_0(6,3)=Zbus_0(3,3);
Zbus_0(6,6)=X36+Zbus_0(3,6);
% Step 6 Add branch 6 from bus  to the reference
Zbus_0(4,4)=X4;
disp('Zero-sequence matrix')
Zbus_0=Zbus_0(1:4,1:4)
% By applying the Zbus building algorithm to the positive- and negative-sequence networks in a similar manner, we obtain
disp('Positive-sequence matrix')
Zbus_1=[j*0.1437    j*0.1211    j*0.0789    j*0.0563;
        j*0.1211    j*0.1696    j*0.1104    j*0.0789;
        j*0.0789    j*0.1104    j*0.1696    j*0.1211;
        j*0.0563    j*0.0789    j*0.1211    j*0.1437]
