% Matlab M-file of Example 10.5: ex10_5.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clean previous value
clc
clear all
% Initial values
Z24_0=0;   %Thevenin impedances at fault bus 4
Z24_1=j*0.0789;
Z24_2=j*0.0789;
Ifa_0=-j*1.9095;
Ifa_1=-j*4.4342;
Ifa_2=j*2.5247;
Vf=1;
% Solution 
% sequence current
%voltages at bus 2
V2a_0=-Ifa_0*Z24_0;
V2a_1=Vf-Ifa_1*Z24_1;
V2a_2=-Ifa_2*Z24_2;
%phase shift in stepping up to the transmission-line
disp('Subtransient voltages to ground at bus 2 are ')
V2A_0=0;
V2A_1=V2a_1*(cosd(30)+j*sind(30));
V2A_2=V2a_2*(cosd(-30)+j*sind(-30));
V2A=V2A_0+V2A_1+V2A_2;
V2A_mag=abs(V2A);
V2A_ang=angle(V2A)*180/pi;
disp(['  V2A = V2A_0 + V2a_1+30 + V2a_2-30 = ',num2str(V2A_mag),'',num2str(V2A_ang),' V']);
V2B=V2A_0+V2A_1*(cosd(240)+j*sind(240))+V2A_2*(cosd(120)+j*sind(120));
V2B_mag=abs(V2B);
V2B_ang=angle(V2B)*180/pi;
disp(['  V2B = V2a_0 + V2a_1+240+30 + V2a_2+120-30 = ',num2str(V2B_mag),'',num2str(V2B_mag),' V']);
V2C=V2A_0+V2A_1*(cosd(120)+j*sind(120))+V2A_2*(cosd(240)+j*sind(240));
V2C_mag=abs(V2C);
V2C_ang=angle(V2C)*180/pi;
disp(['  V2C = V2A_0 + V2a_1+120+30 + V2a_2+240-30 = ',num2str(V2C_mag),'',num2str(V2C_mag),' V']);