% Matlab M-file of Example 11.2: ex11_2.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clean previous value
clc
clear all
% Initial values
V=13800;%V
% Solution
% Maximum fault current will occur for a three-phase fault with both transformers in service.
disp('Maximum fault current will occur for a three-phase fault with both transformers in service.')
If1=13800/sqrt(3)/(j*(2.5+9.6+6.4+8.0+12.8));
If1_mag=abs(If1);                              %Convert radian to degree
If1_ang=angle(If1)*180/pi;
disp([' If1 = 13800/sqrt(3)/(j*(2.5+9.6+6.4+8.0+12.8)) = ',num2str(If1_mag),'',num2str(If1_ang),' A']);
% Minimum fault current will occur with only one transformer in service for a line-to-line fault.
disp('Minimum fault current will occur with only one transformer in service for a line-to-line fault.')
If2=13800/sqrt(3)/(j*(5+9.6+6.4+8.0+12.8));
If2_mag=abs(If2);                              %Convert radian to degree
If2_ang=angle(If2)*180/pi;
disp([' If2 = 13800/sqrt(3)/(j*(5+9.6+6.4+8.0+12.8)) = ',num2str(If2_mag),'',num2str(If2_ang),' A']);
%The minimum fault current
disp('The minimum fault current')
Ifmin=sqrt(3)/2*If2;
Ifmin_mag=abs(Ifmin);                              %Convert radian to degree
Ifmin_ang=angle(Ifmin)*180/pi;
disp([' Ifmin = sqrt(3)/2*If2 = ',num2str(Ifmin_mag),'',num2str(Ifmin_ang),' A']);