% Matlab M-file of Example 11.3: ex11_3.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clean previous value
clc
clear all
% Initial values
I=165.1;%A
V=13800;%V
relay_time=0.3;%relay time-dial setting
Pickup_R2=4;
Pickup_R3=5;
% Solution
% Settings for relay R4
% operate when cur-rent in the line is one third of minimum
disp('Settings for relay R4')
Ip_HV_R4=I/3;
CT_ratio=5/50;
Ip_LV_R4=Ip_HV_R4*CT_ratio;
disp([' Ip_HV_R4 = I/3 = ',num2str(Ip_LV_R4),' A']);
% Settings for relay R3
disp('Settings for relay R3')
Ip_HV_R3=V/sqrt(3)/(j*(2.5+9.6+6.4+8.0));
Ip_LV_R3=abs(Ip_HV_R3)*CT_ratio;
disp([' Ip_LV_R3 = |Ip_HV_R3|*CT_ratio = I/3 = ',num2str(Ip_LV_R3),' A']);
% Follow figure 11.4 operating time for R4 is 0.135 s
disp('Follow figure 11.4 operating time for R4 is 0.135 s')
R3_relay_time=relay_time+0.135;
disp([' R3_relay_time = relay_time+0.135 = ',num2str(R3_relay_time),' s']);
% Settings for relay R2
disp('Settings for relay R2')
Ip_HV_R2=V/(j*(5+9.6+6.4+8.0))/2;
CT_ratio_R2=5/100;
Ip_LV_R2=1/3*abs(Ip_HV_R2)*CT_ratio_R2;
disp([' Ip_LV_R2 = 1/3*abs(Ip_HV_R2)*CT_ratio_R2 = ',num2str(Ip_LV_R2),' A']);
%  maximum fault current at bus 3 is 430.7 A
R3_pickup=430.7*CT_ratio/Pickup_R3;
relay_time = 0.31;
R2_relay_time=relay_time+0.3;
disp([' R2_relay_time = relay_time+0.3 = ',num2str(R2_relay_time),' s']);
R2_pickup=430.7*CT_ratio_R2/Pickup_R2;
% R3 is 2.0 that relay will operate in 0.31 s as read from Fig. 11.7. 
