% Matlab M-file of Example 11.5: ex11_5.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clean previous value
clc
clear all
% Initial values
S=60*10^6;%VA
VH=345*10^3;%V
VL=34.5*10^3;%V
% Solution
% Max currents on the 345-kV side and 34.5-kV side
Imax_high_side=60*10^6/(sqrt(3)*345*10^3)
Imax_low_side=60*10^6/(sqrt(3)*34.5*10^3)
% use CT ratio of 1000/5 on the 34.5-kV side
% current flowing to the differential relay from this side will be
I_to_relay=Imax_low_side*5/1000
% each of the secondary windings of the G-connected CT s have a current 
I_winding=I_to_relay/sqrt(3)
% secondary windings CT ratios 
ratio_secondary=Imax_high_side/I_winding
% CT secondary currents:The nearest available standard CT ratio is 200/5
disp('CT secondary currents:The nearest available standard CT ratio is 200/5')
I_secondary=Imax_high_side*5/200
% line currents
I_secondary_line=I_secondary*sqrt(3)
disp([' I_secondary_line = Imax_high_side*5/200*sqrt(3) = ',num2str(I_secondary_line),' A'])
% three auxiliary CTs with turns ratios
disp('Three auxiliary CTs with turns ratios')
ratio_CT=I_to_relay/I_secondary_line
disp([' ratio_CT = I_to_relay/I_secondary_line = ',num2str(ratio_CT)])
