% Swing equation of machine 2 during the fault.
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %

function dx = df_m2(t,x)
global  Pm2 H2 E2 V Yf2 Yc2 f
dx = [x(2);pi*f/H2*(Pm2-0.1545-E2*V*Yf2*sin(x(1)-0.755*pi/180))];