% Matlab M-file of Example 13.1: ex13_1.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
clc
clear all
% Initial values
Jm=2.4526*10^5; % kg*m^2
ns=1800; % synchronous speed in rotation/min
Smach=1333; % in MVA
Sb=100; % in MVA
% Solution
% H = KE/Smach
% KE=( Jm*ws^2)/2 ws in rad/s
KE=(Jm*(2*pi*ns/60)^2/2)/10^6 % in MJ
H=KE/Smach % in MJ/MVA
% Converting H to a 100-MVA system base
Hs=H*Smach/Sb
disp([' H = ',num2str(H),' MJ/MVA'])
% Converting H to a 100-MVA system base, we obtain
disp('Converting H to a 100-MVA system base, we obtain')
disp([' Hs = ',num2str(Hs),' MJ/MVA'])