% Matlab M-file of Example 13.2: ex13_2.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clean previous value
clc
clear all
% Initial values
S1=500;% MVA
PF1=0.85;
V1=20;% kV
speed1=3600;% r/min
H1=4.8;% MJ/MVA
S2=1333;% MVA
PF2=0.9;
V2=22;% kV
speed2=1800;% r/min
H2=3.27;% MJ/MVA
% Solution
KE=H1*S1+H2*S2;
disp([' KE = H1*S1+H2*S2 = ',num2str(KE),' MJ'])
disp(['The total kinetic energy (KE) of rotation of the two machines is ',num2str(KE),' MJ'])
% H constant for the equivalent machine on 100-MVA base
H=KE/100;
disp([' H = KE/100 = ',num2str(H),' MJ/MVA'])
disp(['H constant for the equivalent machine on 100-MVA base is ',num2str(H),' MJ/MVA'])