% Matlab M-file of Example 13.3: ex13_3.m 
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clean previous value
clc
clear all
% Initial values
X1=j*0.4;
Xd=j*0.2;
Xt=j*0.1;% reactance 
% Solution
X=0.1+abs(X1)/2;
% 1.0 per-unit power output of the generator is determined by
syms sin_alpha sin_delta
normal_equation=(1.0)*(1.0)/0.3*sin_alpha;
alpha=asind(0.3);
Vt=cosd(alpha)+j*sind(alpha);
I=(Vt-1)/(j*0.3);
E1=Vt+Xd*I;
X_transient=abs(Xd)+abs(Xt)+abs(X1)/2;
disp([' X_transient = abs(Xd)+abs(Xt)+abs(X1)/2 = ',num2str(X_transient),' per unit'])
% desired equation
Pe=roundn(abs(E1),-3)*1/0.5*sin_delta
% swing equation
Swing_equation=1-Pe