% Matlab M-file for Example 2.4: ex2_4.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
clc
clear all
% Initial value
Zline=20;
Zlineangle=30;
Zlinecp=Zline*cosd(Zlineangle)+j*Zline*sind(Zlineangle); 
Zl=1.4;
Zlangle=75;
Zlcp=Zl*cosd(Zlangle)+j*Zl*sind(Zlangle);
Vline=4400;
% Solution
disp('If Van, the voltage across the load, is chosen as reference')
Van=Vline/sqrt(3);
Van_mag=abs(Van);
Van_ang=angle(Van)*180/pi;
disp([' Van=',num2str(Van_mag),'',num2str(Van_ang),' V'])
Ian=Van/Zlinecp;
Ian_mag=abs(Ian);
Ian_ang=angle(Ian)*180/pi;
disp([' Ian=',num2str(Ian_mag),'',num2str(Ian_ang),' V'])
Vn=Van+Ian*Zlcp;
Vn_mag=abs(Vn);
Vn_ang=angle(Vn)*180/pi;
disp([' Vn=Van+Ian*Zlcp=',num2str(Vn_mag),'',num2str(Vn_ang),' V'])
disp(['The magnitude of line-to-neutral voltage at the substation bus is ',num2str(abs(Vn/1000)),' kV']);
Vs_ll=sqrt(3)*abs(Vn);
disp(['The line-to-neutral voltage at the substation is ',num2str(abs(Vs_ll/1000)),' kV'])