% Matlab M-file for Example 2.5: ex2_5.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clean previous value
clc
clear all
%initial value
V=440;
hp=15;
efficiency=0.9;                        %  90%
PF=0.8;                                %lagging
W=hp*746;
%solution
IL=abs(W/(sqrt(3)*V*PF*efficiency));   
IL_mag=abs(IL);
IL_ang=angle(IL)*180/pi;                % Rad => Degree
Iangle=acosd(PF);
disp([' IL=|W/(sqrt(3)*V*PF*efficiency)|-acos(0.8)=',num2str(IL_mag),'-',num2str(Iangle),' A'])
Icp=IL*cosd(Iangle)+j*IL*sind(Iangle);  %Convert degree to radian
P=sqrt(3)*V*IL*cosd(Iangle);
Q=sqrt(3)*V*IL*sind(Iangle);

disp([num2str(IL_mag),'',num2str(IL_ang),' A ','drawn from a three-phase 440-V line by a three-phase 15-hp motor']);
disp([num2str(P),'W and ',num2str(Q), 'VAR drawn from the line']);
