% Matlab M-file for Example 3.1: ex3_1.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clean previous value
clc
clear all
%initial value 
N1=2000;
N2=500;
V1=1200;                                  
V1angle=0;
V1cp=V1*cosd(V1angle)+j*V1*sind(V1angle);   %Convert degree to radian
I1=5;                                 
I1angle=-30;
I1cp=I1*cosd(I1angle)+j*I1*sind(I1angle);   %Convert degree to radian
%solution
disp('Find V2, I2 Z2 on the secondary side')
V2=(N2/N1)*V1cp;
V2_mag=abs(V2);                              %Convert radian to degree
V2_angle=angle(V2)*180/pi;
disp([' V2=',num2str(V2_mag),'',num2str(V2_angle),' V']);
I2=(N1/N2)*I1cp;
I2_mag=abs(I2);                              %Convert radian to degree
I2_angle=angle(I2)*180/pi;
disp([' I2=',num2str(I2_mag),'',num2str(I2_angle),' A']);
Z2=V2/I2;
Z2_mag=abs(Z2);                              %Convert radian to degree
Z2_angle=angle(Z2)*180/pi;
disp([' Z2=',num2str(Z2_mag),'',num2str(Z2_angle),' [']);
Z2new=Z2*(N1/N2)^2;
Z2new_mag=abs(Z2new);                        %Convert radian to degree
Z2new_angle=angle(Z2new)*180/pi;
disp('Z2" is defined as the value of Z2 referred to the primary side')
disp([' Z2"=Z2*(N1/N2)^2=',num2str(Z2new_mag),'',num2str(Z2new_angle),' ['])
disp([' Z2"=',num2str(Z2new_mag),'',num2str(Z2new_angle),' [']);