% M-file for Example 3.12: ex3_12.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clean previous value
clc
clear all
I=240*10^3/(sqrt(3)*230);
theta=(acos(0.9))*180/pi
disp(['The current supplied to the load : ',num2str(I),' A'])
Ib=100*10^3/(sqrt(3)*230);
disp(['The base current at the load is ',num2str(Ib),' A'])
disp(['The phasor angle of the load current is ', num2str(theta), ' degree lag'])
VA=1;
%IA=I/Ib*(cosd(-25.84)+j*sind(-25.84));
%IB=I/Ib*(cosd(-25.84-120)+j*sind(-25.84-120));
%IC=I/Ib*(cosd(-25.84+120)+j*sind(-25.84+120));
IA=I/Ib*(cosd(-theta)+j*sind(-theta));
IB=I/Ib*(cosd(-theta-120)+j*sind(-theta-120));
IC=I/Ib*(cosd(-theta+120)+j*sind(-theta+120));
disp('Low voltage side current lag by 30 , so in per unit:')
Ia=IA*(cosd(-30)+j*sind(-30));
Ia_mag=abs(Ia);
Ia_ang=angle(Ia)*180/pi;   % Rad => Degree
Ib=IB*(cosd(-30)+j*sind(-30));
Ib_mag=abs(Ib);
Ib_ang=angle(Ib)*180/pi;   % Rad => Degree
Ic=IC*(cosd(-30)+j*sind(-30));
Ic_mag=abs(Ic);
Ic_ang=angle(Ic)*180/pi;   % Rad => Degree
disp([' Ia=',num2str(Ia_mag),'',num2str(Ia_ang),' A']);
disp([' Ib=',num2str(Ib_mag),'',num2str(Ib_ang),' A']);
disp([' Ic=',num2str(Ic_mag),'',num2str(Ic_ang),' A']);
X=0.11*100/330;
disp(['The transformer reactance modified for chosen base is ',num2str(X),' per unit'])
%the terminal voltage of the generator
Vt=VA*(cosd(-30)+j*sind(-30))+j*X*Ia;
Vt_mag=abs(Vt);
Vt_ang=angle(Vt)*180/pi;   % Rad => Degree
disp(['The terminal voltage of the generator is ',num2str(Vt_mag),'',num2str(Vt_ang),' V'])
P=real(Vt*conj(Ia));
disp(['The real power supplied by the generator is: ',num2str(P),' per unit'])
