% M-file for Example 3.16: ex3_16.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clean previous value
clc
clear all
%Generator 1
Xd1=0.25*(75000/50000);  Ei1=66/69;
%Generator 2
Xd2=0.25*(75000/25000);  Ei2=66/69;
%Transformer
Xt=0.1;  Xd=Xd1*Xd2/(Xd1+Xd2);
disp(['Equivalent parallel subtransient reactance is ',num2str(Xd),' per unit'])
Ei=Ei1;
I=Ei/(j*Xd+j*Xt);  
I_mag=abs(I);  I_ang=angle(I)*180/pi;   % Rad => Degree
disp(['Subtransient current ',num2str(I_mag),'',num2str(I_ang),' A'])
Vt=I*j*Xt;
disp(['The voltage Vt on the delta side of the transformer is ',num2str(Vt),' V'])
disp('Subtransient current in generators 1 and 2')
I1=(Ei1-Vt)/(j*Xd1);
I1_mag=abs(I1);  I1_ang=angle(I1)*180/pi;   % Rad => Degree
disp([' I1=(Ei1-Vt)/(j*Xd1)=',num2str(I1_mag),'',num2str(I1_ang),' A'])
I2=(Ei2-Vt)/(j*Xd2);
I2_mag=abs(I2);  I2_ang=angle(I2)*180/pi;   % Rad => Degree
disp([' I2=(Ei2-Vt)/(j*Xd2)=',num2str(I2_mag),'',num2str(I2_ang),' A'])
disp(['Subtransient current I1= ',num2str(I1_mag),'',num2str(I1_ang),' A'])
disp(['Subtransient current I2= ',num2str(I2_mag),'',num2str(I2_ang),' A'])