% Matlab M-file for Example 3.7: ex3_7.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clean previous value
clc
clear all
% Turns ratio
a1=0.1;
a2=0.5;
Vb_A=a1*138;
disp([' Vb_A=(turn ratio A)*138=',num2str(Vb_A),' ['])
disp(['Base voltage for circuit A : ',num2str(Vb_A),' V'])
Vb_C=a2*138;
disp([' Vb_C=(turn ratio C)*138=',num2str(Vb_C),' ['])
disp(['Base voltage for circuit C : ',num2str(Vb_C),' V'])
Zb_C=69^2*1000/10000;
disp([' Zb_C=69^2*1000/10000=',num2str(Zb_C),' ['])
disp(['Base impedance for circuit C : ',num2str(Zb_C),' ['])
Zload_pu=300/Zb_C;
disp([' Zload_pu=300/Zb_C=',num2str(Zload_pu),' ['])
disp(['Per unit impedance of load in circuit C :',num2str(Zload_pu),' per unit'])
Zb_B=138^2*1000/10000;
disp([' Zb_B=138^2*1000/10000=',num2str(Zb_B),' ['])
disp(['Base impedance for circuit B : ',num2str(Zb_B),' ['])
Zload_B=300*(1/a2)^2;
disp([' Zload_B=300*(1/(turn ratio C))^2=',num2str(Zload_B),' ['])
disp(['Impedance of load referred to circuit B : ',num2str(Zload_B),' ['])
Zload_B_pu=Zload_B/Zb_B;
disp([' Zload_B_pu=Zload_B/Zb_B=',num2str(Zload_B_pu),' ['])
disp(['Per unit impedance of load referred to circuit B : ',num2str(Zload_B_pu),' pu'])
Zb_A=13.8^2*1000/10000;
disp([' Zb_A=13.8^2*1000/10000=',num2str(Zb_A),' ['])
disp(['Base impedance for circuit A : ',num2str(Zb_A),' ['])
Zload_A=300*(1/a2)^2*a1^2;
disp([' Zload_A=300*(1/(turn ratio C))^2*(turn ratio A)^2=',num2str(Zload_A),' ['])
disp(['Impedance of load referred to circuit A : ',num2str(Zload_A),' ['])
Zload_A_pu=Zload_A/Zb_A;
disp([' Zload_A_pu=Zload_A/Zb_A=',num2str(Zload_A_pu),' per unit'])
disp(['Per unit impedance of load referred to circuit A : ',num2str(Zload_A_pu),' pu'])
