% Matlab M-file for Example 3.8: ex3_8.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clean previous value
clc
clear all
% initial value
VH=38.1*10^3;%V
VL=3.81*10^3;%V
S=25*10^6;%VA
Z=0.6;%ohm
% Choose a base of 75 MVA, 66 kV for the high-voltage side of the transformer
Vbase=66*10^3;%V
Sbase=75*10^6;%VA
% solution
% base impedance on the low-voltage side
disp('Calculate resistor from the low-voltage side')
Vbase_L=Vbase*(VL/VH)/sqrt(3);
Zbase_L=Vbase_L^2/Sbase
RL_low_side_pu=Z/Zbase_L;
disp(['  RL_low_side_pu = Z/Zbase_L = ',num2str(RL_low_side_pu),' per unit'])
disp([' Base impedance on the low-voltage side is : ',num2str(RL_low_side_pu),' ['])
% high side have Y-connected resistors. 
disp('Calculate resistor from high side have Y-connected resistors')
Vbase_H=Vbase;
Zbase_H=Vbase_H^2/Sbase
RL_high_side=Z*(Vbase_H/VL)^2
RL_high_side_pu=RL_high_side/Zbase_H
disp([' Base impedance on the high-voltage side is : ',num2str(Zbase_H),' ['])
disp([' RL_high_side_pu = RL_high_side/Zbase_H = ',num2str(RL_high_side_pu),' per unit'])