% Matlab M-file for Example 4.3: ex4_3.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clean previous value
clc
clear all
%initial value 
r=20;%ft
K=1.6093;
% Solution
% For this conductor Table A.3 lists Ds = 0.0217 ft. 
% From Eq. (4.46) for one conductor
XL=2.022*10^(-3)*60*log(r/0.0217);
% From Table A.3,Table A.4 knowing Xa = 0.465 [/mi,Xd = 0.3635 [/mi
disp('From Table A.3,Table A.4 knowing Xa = 0.465 [/mi,Xd = 0.3635 [/mi')
Xa=0.465;
Xd=0.3635;
XL_FromTable=Xa+Xd;
disp([' XL_FromTable = Xa+Xd=',num2str(XL_FromTable), ' [/mi  or '])
disp([' XL_FromTable = Xa+Xd=',num2str(XL_FromTable/K), ' [/km'])
% composing the two sides of the line
Xtotal=2*XL;
disp([' Xtotal = 2*XL=',num2str(Xtotal), ' [/mi  or '])
disp([' Xtotal = 2*XL=',num2str(Xtotal/K), ' [/km  of a single-phase line operating at 60 Hz'])
