% Matlab M-file for Example 4.4: ex4_4.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clean previous value
clc
clear all
%initial value 
Ds=0.0373; %ft
D12=20;%ft
D13=20;%ft
D23=38;%ft
f=60;      %Hz
K=1.6093;
% Solution
Deq=(D12*D13*D23)^(1/3);
L=2e-7*log(Deq/Ds);
XL=2*pi*f*1609*L;  %ohm/mi per phase
disp([' XL=2*pi*f*1609*L=',num2str(XL)])
disp([num2str(XL),' [ per mile per phase or '])
disp([num2str(XL/K),' [ per km per phase.'])