% Matlab M-file for Example 4.6: ex4_6.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clean previous value
clc
clear all
%initial value 
D=20;%ft
K=1.6093;  % mile to km converter
% Solution
% Table A.3 lists an outside diameter of 0.642 in
r=0.642/2*12;
% from Eq. (5.12)
Xc=1.779/60*10^6*log(D/r);
Bc=1/Xc;
% spacing factor from Tables A.3 and A.5
disp('Spacing factor from Tables A.3 and A.5')
Xa=0.1074;%Mohm*mi
Xd=0.0889;%Mohm*mi
Xc=Xa+Xd;%Mohm*mi
% Line-to-line capacitive reactance
Xc_l=2*Xc; %ohm*mi
Bc_l=1/Xc_l; %S/mi
disp([' Xc_l=2*Spacing_factor=',num2str(Xc_l),' [*mi  or '])
disp([' Xc_l=2*Spacing_factor=',num2str(Xc_l*K),' [*km'])
disp([' Bc_l=1/Xc_l=',num2str(Bc_l),' S/mi  or '])
disp([' Bc_l=1/Xc_l=',num2str(Bc_l/K),' S/km'])
disp(['Line-to-line capacitive reactance and susceptance are ',num2str(Xc_l),' [*mi, ',num2str(Bc_l),' S/mi  or '])
disp(['Line-to-line capacitive reactance and susceptance are ',num2str(Xc_l*K),' [*km, ',num2str(Bc_l/K),' S/km '])