% M-file for Example 4.7: ex4_7.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clean previous value
clc
clear all
% Initial value
V=220000; 
l=175;               % mi
% Solution
r=1.108/(2*12);
Deq=24.8;         % From Example 4.4
Cn=2*pi*8.85*(10^(-12))/log(Deq/r);  
Xc=1/(2*pi*60*Cn*1609);
% From table
X_a=0.0912*10^6;
X_d=0.0953*10^6;
Xc_2=(X_a+X_d);
Capacitive_reactance=Xc_2/l;
Ichg=V/(sqrt(3)*Xc_2);  Ichg_1=Ichg/1.609;
disp([' Ichg=V/(sqrt(3)*Xc_2)=',num2str(abs(Ichg)),' A/mi'])
disp(['                      =',num2str(abs(Ichg_1)),' A/km'])