% M-file for Example 5.1: ex5_1.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clean previous value
clc
clear
%Rating of T2
Srating_T2 = 3*100;  
%Line to line voltage ratio 
Vratio_LL = sqrt(3)*127/13.2;    
%Transmission line
Vtran = 230 ;
%Motor circuit
Vmotor = 230*13.2/220;
disp('The reactances of the transformers converted to the proper base are');
X_T1 = 0.1*Srating_T2/350;
X_T2 = 0.1*(13.2/13.8)^2;
disp(['  X_T1 = 0.1*Srating_T2/350 = ',num2str(X_T1),' per unit']);
disp(['  X_T2 = 0.1*(13.2/13.8)^2 = ',num2str(X_T2),' per unit']);
%Base impedanc of transmission line
Impedance_line = Vtran^2/Srating_T2;
%Reactance of the line
Reactance_line = 0.5*64/Impedance_line;
disp('The reactances of the motors converted to the proper base are');
Xdpp_M1 = 0.2*300/200*(13.2/Vmotor)^2;
Xdpp_M2 = 0.2*300/100*(13.2/Vmotor)^2;
disp(['  Xdpp_M1 = 0.2*300/200*(13.2/Vmotor)^2 = ',num2str(Xdpp_M1),' per unit']);
disp(['  Xdpp_M2 = 0.2*300/100*(13.2/Vmotor)^2 = ',num2str(Xdpp_M2),' per unit']);
disp(['Reactance of the line is ',num2str(Reactance_line),' per unit'])