% Matlab M-file for Example 5.6: ex5_6.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clean previous value
clc
clear
%initial value
% since sinh ^l and cosh ^l are already known from Example 5.3
Zc=406.4*(cosd(-5.48)+j*sind(-5.48));
rl=0.0456+j*0.475;
Z=0.8431*(cosd(79.0393)+j*sind(79.0393));
Y=j*5.105*10^(-6);
l=230;%mi
Z_eq=Zc*sinh(rl);
compensation=0.7;
X1=0.415;
X2=0.4127;
Y_eq=1/Zc*tanh(rl/2);
% Solution
D=cosh(rl);
A=D;
B=Z_eq;
C=sinh(rl)/Zc;
% new series arm impedance is also the generalized constant B
disp('New series arm impedance is also the generalized constant B')
B_series=B-j*compensation*l*(X1+X2);
B_series_mag=abs(B_series);
B_series_ang=angle(B_series)*180/pi;  % Rad => Degree
disp([' B=',num2str(B_series_mag),'',num2str(B_series_ang),' [']);
A_series=B_series*Y_eq+1;
A_series_mag=abs(A_series);
A_series_ang=angle(A_series)*180/pi;  % Rad => Degree
disp([' A=',num2str(A_series_mag),'',num2str(A_series_ang),' [']);
C_series=2*Y_eq+B*Y_eq^2;
C_series_mag=abs(C_series);
C_series_ang=angle(C_series)*180/pi;  % Rad => Degree
disp([' C=',num2str(C_series_mag),'',num2str(C_series_ang),' [']);
