% Matlab M_File for Example 6.1: ex6_1.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clean previous value
clc
clear all
%initial value
Ya=-j*0.8;
Yb=-j*4;
Yc=-j*4;
Yd=-j*8;
Ye=-j*5;
Yf=-j*2.5;
Yg=-j*0.8;
% Solution
disp('Substituting the numerical values of the branch admittances into this matrix')
disp('Ybus=[(Yc+Yd+Yf)     -Yd         -Yc         -Yf')
disp('         -Yd      (Yb+Yd+Ye)     -Yb         -Ye')
disp('         -Yc         -Yb      (Ya+Yb+Yc)       0')
disp('         -Yf         -Ye           0      (Ye+Yf+Yg)]')
disp('We obtain for the overall network the nodal admittance equations')
Ybus=[(Yc+Yd+Yf)     -Yd         -Yc         -Yf;
        -Yd      (Yb+Yd+Ye)     -Yb         -Ye;
        -Yc         -Yb      (Ya+Yb+Yc)       0;
        -Yf         -Ye           0      (Ye+Yf+Yg)]
Zbus=inv(Ybus)