% Matlab M_File for Example 6.5: ex6_5.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clean previous value
clc
clear all
% initial value 
% Get from Example 6.1
disp('Get admittance matrix and Ibus from example 6.1')
Ibus=[0;0;-j*1;0.68*(cosd(-135)+j*sind(-135))]
Ybus=[-j*14.5  j*8.0   j*4.0  j*2.5;
       j*8.0  -j*17.0  j*4.0  j*5.0;
       j*4.0   j*4.0  -j*8.8    0.0;
       j*2.5   j*5.0     0.0 -j*8.3]
X=-j*5.0;
Zbus=inv(Ybus);
Vbus=Zbus*Ibus;
% Get from Example 6.4
disp('Get  current Icap drawn by the capacitor from example 6.4')
I=-0.22056;                                 
Iangle=69.2534;
Icp=I*cosd(Iangle)+j*I*sind(Iangle);  %Convert degree to radian
disp([' Icp = ',num2str(I),'',num2str(Iangle),' A']);
% Solution
disp(' delta_V=Icp*Zbus');
deltaV1=Icp*Zbus(1,4);
deltaV1_mag=abs(deltaV1);
deltaV1_ang=angle(deltaV1)*180/pi; %rad->degree
deltaV2=Icp*Zbus(2,4);
deltaV2_mag=abs(deltaV2);
deltaV2_ang=angle(deltaV2)*180/pi; %rad->degree
deltaV3=Icp*Zbus(3,4);
deltaV3_mag=abs(deltaV3);
deltaV3_ang=angle(deltaV3)*180/pi; %rad->degree
deltaV4=Icp*Zbus(4,4);
deltaV4_mag=abs(deltaV4);
deltaV4_ang=angle(deltaV4)*180/pi; %rad->degree
V1_mag=abs(Vbus(1,1));
V1_ang=angle(Vbus(1,1))*180/pi; %rad->degree
V2_mag=abs(Vbus(2,1));
V2_ang=angle(Vbus(2,1))*180/pi; %rad->degree
V3_mag=abs(Vbus(3,1));
V3_ang=angle(Vbus(3,1))*180/pi; %rad->degree
V4_mag=abs(Vbus(4,1));
V4_ang=angle(Vbus(4,1))*180/pi; %rad->degree
disp('The new bus voltages in per unit are')
V1new=Vbus(1,1)+deltaV1;
V1new_mag=abs(V1new);
V1new_ang=angle(V1new)*180/pi; %rad->degree
disp([' V1 = Vbus(1,1)+deltaV1 = ',num2str(V1new_mag),'',num2str(V1new_ang),' V']);
V2new=Vbus(2,1)+deltaV2;
V2new_mag=abs(V2new);
V2new_ang=angle(V2new)*180/pi; %rad->degree
disp([' V2 = Vbus(2,1)+deltaV2 = ',num2str(V2new_mag),'',num2str(V2new_ang),' V']);
V3new=Vbus(3,1)+deltaV3;
V3new_mag=abs(V3new);
V3new_ang=angle(V3new)*180/pi; %rad->degree
disp([' V3 = Vbus(3,1)+deltaV3 = ',num2str(V3new_mag),'',num2str(V3new_ang),' V']);
V4new=Vbus(4,1)+deltaV4;
V4new_mag=abs(V4new);
V4new_ang=angle(V4new)*180/pi; %rad->degree
disp([' V4 = Vbus(4,1)+deltaV4 = ',num2str(V4new_mag),'',num2str(V4new_ang),' V']);


