% M_File for Example 6.6: ex6_6.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clean previous value
clc
clear all
% Input values 
I=-0.22056;   Iangle=69.2534;                           
Icp=I*cosd(Iangle)+j*I*sind(Iangle);  %Convert degree to radian
disp('Obtain admittance matrix and Ibus from Example 6.1')
Ibus=[0;0;-j*1;0.68*(cosd(-135)+j*sind(-135))]
Ybus=[-j*14.5  j*8.0   j*4.0  j*2.5;
       j*8.0  -j*17.0  j*4.0  j*5.0;
       j*4.0   j*4.0  -j*8.8    0.0;
       j*2.5   j*5.0     0.0 -j*8.3]
Zb=-j*5.0;
Zbus=inv(Ybus);
Vbus=Zbus*Ibus;
% Solution
Z44plusZb=Zbus(4,4)+Zb;
for i=1:1:4
    for k=1:1:4
        Znew(i,k)=Zbus(i,k)-Zbus(i,4)*Zbus(4,k)/Z44plusZb;
    end
end
disp('Eliminating the fifth row and column, we obtain for Zbus(new) from Eq. (6.61)')
Znew
V4=Znew(3,4)*Ibus(3,1)+Znew(4,4)*Ibus(4,1);
V4_mag=abs(V4);  V4_ang=angle(V4)*180/pi; %rad->degree
disp([' V4 = Znew(3,4)*Ibus(3,1)+Znew(4,4)*Ibus(4,1) = ',num2str(V4_mag),'',num2str(V4_ang),' V'])
disp(['Since both I1 and I2 are zero while I3 and I4 are nonzero, we obtain ','V4=',num2str(V4_mag),'',num2str(V4_ang),' V']);
% other way
V4_other_way=Zb*Vbus(4,1)/(Zbus(4,4)+Zb);
V4_other_way_mag=abs(V4);
V4_other_way_ang=angle(V4)*180/pi; %rad->degree