% Matlab M_File for Example 6.7: ex6_7.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clean previous value
clc
clear all
% initial value 
X10=j*1.25;
X12=j*0.25;
X23=j*0.4;
X24=j*0.125;
X30=j*1.25;
X34=j*0.2;
% Solution
% 1  1 bus impedance matrix
Zbus(1,1)=X10;
% To establish bus 2 with its impedance to bus 1
Zbus(1,2)=Zbus(1,1);
Zbus(2,1)=Zbus(1,1);
Zbus(2,2)=Zbus(1,1)+X12;
% Bus 3 with the impedance connecting it to bus 2
Zbus(1,3)=Zbus(1,2);
Zbus(3,1)=Zbus(2,1);
Zbus(2,3)=Zbus(2,2);
Zbus(3,2)=Zbus(2,2);
Zbus(3,3)=Zbus(2,2)+X23;
% add the impedance Zb = j1.25 from bus 3 to the reference node
Zbus(1,4)=Zbus(1,3);
Zbus(4,1)=Zbus(3,1);
Zbus(2,4)=Zbus(2,3);
Zbus(4,2)=Zbus(3,2);
Zbus(3,4)=Zbus(3,3);
Zbus(4,3)=Zbus(3,3);
Zbus(4,4)=Zbus(3,3)+X30;
% eliminate row p and column p by Kron reduction.
for i=1:1:3
    for k=1:1:3
        Znew(i,k)=Zbus(i,k)-Zbus(i,4)*Zbus(4,k)/Zbus(4,4);
    end
end
%  add Zb = j0.20 from bus 3 to establish bus 4
Znew(1,4)=Znew(1,3);
Znew(4,1)=Znew(3,1);
Znew(2,4)=Znew(2,3);
Znew(4,2)=Znew(3,2);
Znew(3,4)=Znew(3,3);
Znew(4,3)=Znew(3,3);
Znew(4,4)=Znew(3,3)+X34;
%  If we let j and k in Eq. (6.69) equal 2 and 4
%  we obtain the elements for row 5 and column 5
Znew(1,5)=Znew(1,2)-Znew(1,4);
Znew(2,5)=Znew(2,2)-Znew(2,4);
Znew(3,5)=Znew(3,2)-Znew(3,4);
Znew(4,5)=Znew(4,2)-Znew(4,4);
Znew(5,5)=Znew(2,2)+Znew(4,4)-2*Znew(2,4)+X24;
Znew(5,1)=Znew(1,5);
Znew(5,2)=Znew(2,5);
Znew(5,3)=Znew(3,5);
Znew(5,4)=Znew(4,5);
for i=1:1:4
    for k=1:1:4
        Znew2(i,k)=Znew(i,k)-Znew(i,5)*Znew(5,k)/Znew(5,5);
    end
end
Znew2