% Matlab M-file for Example 7.1: ex7_1.m@
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clean previous value
clc
clear all
% Solution  
format long; 
% Set initial of x0=1 ,error=0.0001 
x=1;       
epsilon=0.0001;
i=1;
% Apply Gauss-Seidel method to find a solution
% End the loop until the error is less than 0.0001
fprintf('Apply Gauss-Seidel method to find a solution\n');
fprintf('Iteration \t\tx \t\t\t  h(x) \t\t Absolute Error\n');
while(1)
    h(i)=(-x^3)/26+(9*x^2)/26+12/13;   % Rearrange the equation
    k(i)=abs(h(i)-x);                 % Apply k(i)=abs(x^i-h(i))
    error_print=abs(h(i)-x);
    if (k(i) <= epsilon);
        error=k(i);
        break;
    end
    x=h(i);
    i=i+1;
    fprintf('    %d\t\t%f\t\t%f\t\t%f\n',i,x,(-x^3)/26+(9*x^2)/26+12/13,error_print);
end
fprintf('Maximum Power mismatch = %f \n',error);
fprintf('No. of iteration = %f\n',i);