% Matlab M-file for Example 7.10: ex7_10.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% clean previous value
clc
clear all
% Using example 7.7 data to initialize
% bus voltage
V3=1;    V1=1;   V4=1.02;   %per unit
% initial value of admittance 
Y31=-5.1696+j*25.8478;        
Y34=-3.0237+j*15.1185;
theta31=101.30993;      theta34=101.30993;
Y33=complex(8.193267,-40.863838) ;  Y32=0;
delta3=0;    delta4=0;     B33=-40.863838;
%calculate P3calc 
%Notice:the word of ans1-4 represent the left part of the equation
%P3calc = |V3|^2 *G33+ |V3*V1*Y31| *cos(theta31)+|V3*V4*Y34| * cos(theta34) (per unit)')
P3calc = sqrt(V3)*8.193267+V3*V1*26.359695 *(-0.196116)+V3*V4*15.417937 *(-0.196116);
disp([' P3calc = |V3|^2 *G33+ |V3*V1*Y31| *cos(theta31)+|V3*V4*Y34| * cos(theta34) (per unit) = ',num2str(P3calc),' per unit'])
%Scheduled real power into the network at bus 3 is -2.00 per unit
disp('Scheduled real power into the network at bus 3 is -2.00 per unit')
delta_P3calc=-2-(-0.00605);
disp([' delta_P3calc=-2-(-0.00605) = ',num2str(delta_P3calc),' per unit'])
% partial(P3)/partial(delta4) = -|V3*V4*Y34| *sin(theta34 + delta4 -delta3)
-V3*V4*Y34*sin((theta34 + delta4 -delta3)*pi/180);
disp([' partial(P3)/partial(delta4) = -|V3*V4*Y34| *sin(theta34 + delta4 -delta3) = ',num2str(-abs(V3*V4*Y34)*sin((theta34 + delta4 -delta3)*pi/180)),' per unit'])
%[partial(P3)/partial(delta3)]=-[partial(P3)/partial(delta1)] - [partial(P3)/partial(delta2)]-[partial(P3)/partial(delta4) 
V3*V1*Y31*sin((theta31 + delta4 -delta3)*pi/180)-0-(-15.420898);
disp([' [partial(P3)/partial(delta3)]=-[partial(P3)/partial(delta1)] - [partial(P3)/partial(delta2)]-[partial(P3)/partial(delta4) = ',num2str(abs(V3*V1*Y31)*sin((theta31 + delta4 -delta3)*pi/180)-0-(-15.420898)),' per unit'])
%|V3|*[partial(Q3)/partial(|V3|)] =-[partial(P3)/partial(delta3)]-2*|V3|^2*B33
-41.268707-2*abs(V3)*B33;
disp([' |V3|*[partial(Q3)/partial(|V3|)] =-[partial(P3)/partial(delta3)]-2*|V3|*B33 = ',num2str(-41.268707-2*abs(V3)*B33),' per unit'])
