% Matlab M-file for Example 7.12: ex7_12.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% clean previous value
clc
clear all
% previous Y
Y1=[-10i 10i;10i -10i];
% adding transformer Tb with t=1.05
Y2=[-11.025i 10.500i;10.500i -10.000i];
disp(' I1=I1a+I1b  , I2=I2a+I2b');
%adding two matrix
Y=Y1+Y2;
V2=1;
I2=complex(-0.8,0.6);
disp(' -0.8+0.6j=(20.5j)*V1-20j*1')
%calculate for V1
V1=(-0.8+20.6i)/(20.5i);
V1_mag=abs(V1);                              %Convert radian to degree
V1_ang=angle(V1)*180/pi;
disp([' V1=(-0.8+20.6i)/(20.5i) = ',num2str(V1_mag),'',num2str(V1_ang),' V']);
%findig current (in per unit)
I2a=10i*V1-10i*V2;
I2a_mag=abs(I2a);                              %Convert radian to degree
I2a_ang=angle(I2a)*180/pi;
disp([' I2a=10i*V1-10i*V2 = ',num2str(I2a_mag),'',num2str(I2a_ang),' A']);
I2b=10.5i*V1-10i*V2;
I2b_mag=abs(I2b);                              %Convert radian to degree
I2b_ang=angle(I2b)*180/pi;
disp([' I2b=10.5i*V1-10i*V2 = ',num2str(I2b_mag),'',num2str(I2b_ang),' A']);
%show the output power  S= VI* in per unit
disp('The complex power outputs of the transformers are ')
STa=-V2*(I2a)';
STb=-V2*(I2b)';
disp([' STa=-V2*I2a = ',num2str(STa),' per unit'])
disp([' STb=-V2*I2b = ',num2str(STb),' per unit'])