% Matlab M-file for Example 7.3: ex7_3.m@
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clean previous value
clc
clear all
%initial value
format long; 
x1(1)=0.5;    
x2(1)=0.5;
epsilon=0.0001;
i=1;
%End the loop until the error < 0.0001
disp('Solve the following two nonlinear equations by using Gauss-Seidel method')
fprintf('k \t\t   x1 \t\t\t   x2\n');
while(1)
    %Rearrange the equations
    x1_print=x1(i);
    x2_print=x2(i);
    x1(i+1)=4/3-2*x2(i)/3+x1(i)*x2(i)/30 ; 
    x2(i+1)=1.25-x1(i+1)/2+cos(x2(i))/4;
    %calculate the absolute error of x1 and x2
    A=abs(x1(i+1)-x1(i));
    B=abs(x2(i+1)-x2(i));
    if (abs(x1(i+1)-x1(i)) <= epsilon)
        if (abs(x2(i+1)-x2(i)) <= epsilon)
            x1(i+1);
            x2(i+1);
            x1_print=x1(i+1);
            x2_print=x2(i+1);
            fprintf('%d\t\t%f\t\t%f\n',i-1,x1_print,x2_print);
           break;
        end
    end
    i=i+1;
    fprintf('%d\t\t%f\t\t%f\n',i-2,x1_print,x2_print);
end;
