% Matlab M-file for Example 7.4: ex7_4.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clean previous value
clc
clear all
% Newton-Raphson algorithm
% Initial value
for i=1:11  
    X(i,1)=3;
end
error=10^(-3);
disp('f(x)=x^3-5x^2-8x+12=0')  % Find f'
syms x
f=x^3-5*x^2-8*x+12;
f_diff=diff(f)  % df/dx
i=2;         % Iteration time: i-1  
while(1)      % Iteration for x
    X(i,1)=X(i-1,1)-(X(i-1,1)^3-5*X(i-1,1)^2-8*X(i-1,1)+12)...
    /(3*X(i-1,1)^2-10*X(i-1,1)-8);
    if i>3 & abs(X(i,1)-X(i-1,1))<error  
        break;
    end
     i=i+1;
end
% Show the answer
fprintf('Iteration \t\t   k \t\t\t   Absolute Error\n');
for k=1:i   
    if (k-1)>0
%     disp(['Iterations time= ',num2str(k-1)]);
    x=X(k,1);
    error=abs(X(k,1)-X(k-1,1));
    fprintf('\t%d\t\t\t%f\t\t\t%f\n',k-1,x,error);
    end
end
