% Matlab M-file of Example 8.6: ex8_6.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
clc
clear all
% Initial values
K=1.21;             %voltage range factor 
I=19000;            %rated short-circuit current 
Vrate=72.5;         %maximum rated voltage
Vsuppose=66;        %Supposed voltage
% Solution 
Cap_max=K*I        %maximum symmetrical interrupting capability
Limit_V=Vrate/K     %lower limit of operating voltage
% For example, at 66 kV the interrupting current can be
Iint=Vrate/Vsuppose*I;  %interrupting current 
disp(['At 66 kV the interrupting current can be ',num2str(Iint),' A'])