% M-file for Example 9.3: ex9_3.m
% *** Copyright 2016 by G. W. Chang *** %
% *** All rights reserved *** %
% Clean previous value
clc
clear all
% Initial value from Example 9.2
Vab_abs=1840; Vbc_abs=2760; Vca_abs=2300;
Van0=0; % pu
Van1=0.9857*exp(43.6*(pi/180)*i);
Van2=0.2346*exp(250.3*(pi/180)*i);
Ia0=Van0/1; Ia1=Van1/1; Ia2=Van2/1; % pu
Vbase=2300; % V
Sbase=500*1000; % VA
disp('Using S=VI*')
S_pu=Van0*(Ia0)'+Van1*(Ia1)'+Van2*(Ia2)'; % pu
S=S_pu*Sbase; % W
disp([' S=Va0*(Ia0*)+Va1*(Ia1*)+Va2*(Ia2*) = ',num2str(S), '  KW'])
disp('Using S=V^2/R to check the answer')
Ry=Vbase^2/Sbase; % ohm
Rdelta=3*Ry; % ohm
S=[(Vab_abs)^2+(Vbc_abs)^2+(Vca_abs)^2]/Rdelta; % W
disp([' S = [(Vab_abs)^2+(Vbc_abs)^2+(Vca_abs)^2]/Rdelta = ',num2str(S), ' KW'])