% ******************************************** %
% *** Copyright 2016 by G. W. Chang *** %
% *********** All rights reserved *********** %
% ******************************************** %
function varargout = chapter11(varargin)

gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @chapter2_OpeningFcn, ...
                   'gui_OutputFcn',  @chapter2_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end

function chapter2_OpeningFcn(hObject, eventdata, handles, varargin)

handles.output = hObject;
axes(handles.axes1);
set(handles.axes1,'Units','pixels');
POSITION = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
assignin('base','position',POSITION);
imshow('ch11.png');

a = imread('CUTE.png');
set(handles.pushbutton1,'CData',a);
set(handles.pushbutton2,'CData',a);
set(handles.pushbutton3,'CData',a);
set(handles.pushbutton4,'CData',a);
set(handles.pushbutton14,'CData',a);


% Update handles structure
guidata(hObject, handles);

function varargout = chapter2_OutputFcn(hObject, eventdata, handles) 

varargout{1} = handles.output;


function pushbutton1_Callback(hObject, eventdata, handles)

close(gcf)
chp11ex2


function pushbutton2_Callback(hObject, eventdata, handles)

close(gcf)
chp11ex3

function pushbutton3_Callback(hObject, eventdata, handles)

close(gcf)
chp11ex4


function pushbutton4_Callback(hObject, eventdata, handles)
close(gcf)
chp11ex5
function pushbutton13_Callback(hObject, eventdata, handles)
close(gcf)
powersystem_main
function pushbutton14_Callback(hObject, eventdata, handles)
close(gcf)
chp11ex1
function figure1_CreateFcn(hObject, eventdata, handles)
function axes1_CreateFcn(hObject, eventdata, handles)
function pushbutton1_CreateFcn(hObject, eventdata, handles)
function pushbutton2_CreateFcn(hObject, eventdata, handles)
function pushbutton3_CreateFcn(hObject, eventdata, handles)
function pushbutton4_CreateFcn(hObject, eventdata, handles)
function pushbutton5_CreateFcn(hObject, eventdata, handles)
function pushbutton6_CreateFcn(hObject, eventdata, handles)
function pushbutton13_CreateFcn(hObject, eventdata, handles)
function pushbutton14_CreateFcn(hObject, eventdata, handles)


function slider1_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
b = get(handles.slider1, 'Value');
set(handles.axes1, 'xlim',  [0.5  position(3)] + b );
function slider1_CreateFcn(hObject, eventdata, handles)

if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end

function slider2_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
a = get(handles.slider2, 'Value');
set(handles.axes1, 'ylim',  [0.5  position(4)] - a );

function slider2_CreateFcn(hObject, eventdata, handles)

if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


% --- Executes when uipanel3 is resized.
function uipanel3_ResizeFcn(hObject, eventdata, handles)
set(handles.axes1,'Units','pixels');   
position = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
position;
assignin('base','position',position);
a = imread('ch11.png');
b = imresize(a,[position(4) position(3)],'bicubic');
c = rgb2gray(b);
c = imadjust(c,[ ],[ ],2);
imshow(c);
set(handles.slider2,'Units','pixels');
set(handles.slider2,'Min',-380);
set(handles.slider2,'Units','normalized');
