% ******************************************** %
% *** Copyright 2016 by G. W. Chang *** %
% *********** All rights reserved *********** %
% ******************************************** %
function varargout = chp10ex5(varargin)

gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @chp10ex5_OpeningFcn, ...
                   'gui_OutputFcn',  @chp10ex5_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end

function chp10ex5_OpeningFcn(hObject, eventdata, handles, varargin)

handles.output = hObject;

axes(handles.axes1);
imshow('ch10_ex5.png');
set(handles.axes1,'Units','pixels');
POSITION = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
assignin('base','position',POSITION);
guidata(hObject, handles);

% UIWAIT makes chp10ex5 wait for user response (see UIRESUME)
% uiwait(handles.figure1);



function varargout = chp10ex5_OutputFcn(hObject, eventdata, handles) 

varargout{1} = handles.output;

function slider1_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
b = get(handles.slider1, 'Value');
set(handles.axes1, 'xlim',  [0.5  position(3)] + b );
function slider1_CreateFcn(hObject, eventdata, handles)

if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


% --- Executes on slider movement.
function slider2_Callback(hObject, eventdata, handles)


position = evalin ('base','position') ;
a = get(handles.slider2, 'Value');
set(handles.axes1, 'ylim',  [0.5  position(4)] - a );



function slider2_CreateFcn(hObject, eventdata, handles)

if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


% --- Executes on selection change in text2.
function text2_Callback(hObject, eventdata, handles)

function text2_CreateFcn(hObject, eventdata, handles)

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function pushbutton1_Callback(hObject, eventdata, handles)
set(handles.text2,'Style','text');
set(handles.text2,'String',[...
'Subtransient voltages to ground at bus 2 are ',10,...
'V2a = V2a(0) + V2a(1) + V2a(2) =0.7335 + j0.2255 per unit',10,...
'V2b = V2a(0) + \^2V2a(1) + \V2a(2) =-j0.4509 per unit',10,...
'V2c = V2a(0) + \V2a(1) + \^2V2a(2) =0.7356+j0.2255 per unit',10,...
]) ;

function pushbutton2_Callback(hObject, eventdata, handles)
close(gcf)
chapter10


function pushbutton3_Callback(hObject, eventdata, handles)
set(handles.text2,'Style','listbox');
set(handles.text2, 'String',  {
'clear all'
'% M-file of Example 10.5: ex10_5.m'
'% Initial values'
'Z24_0=0;   %Thevenin impedances at fault bus 4'
'Z24_1=j*0.0789;'
'Z24_2=j*0.0789;'
'Ifa_0=j*1.9095;'
'Ifa_1=j*4.4342;'
'Ifa_2=j*2.5247;'
'Vf=1;'
'% Solution '
'% sequence current'
'%voltages at bus 2'
'V2a_0=-Ifa_0*Z24_0;'
'V2a_1=Vf-Ifa_1*Z24_1;'
'V2a_2=-Ifa_2*Z24_2;'
'%phase shift in stepping up to the transmission-line'
'V2A_0=0;'
'V2A_1=V2a_1*(cosd(30)+j*sind(30));'
'V2A_2=V2a_2*(cosd(-30)+j*sind(-30));'
'V2A=V2A_0+V2A_1+V2A_2;'
'V2B=V2A_0+V2A_1*(cosd(240)+j*sind(240))+V2A_2*(cosd(120)+j*sind(120));'
'V2C=V2A_0+V2A_1*(cosd(120)+j*sind(120))+V2A_2*(cosd(240)+j*sind(240));'
 },'HorizontalAlignment','left');  

function popupmenu2_Callback(hObject, eventdata, handles)




function popupmenu2_CreateFcn(hObject, eventdata, handles)



if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function uipanel8_ResizeFcn(hObject, eventdata, handles)
set(handles.axes1,'Units','pixels');   
position = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
position;
assignin('base','position',position);
a = imread('ch10_ex5.png');
b = imresize(a,[position(4) position(3)],'bicubic');
c = rgb2gray(b);
c = imadjust(c,[ ],[ ],2);
imshow(c);

set(handles.slider1,'Units','pixels');
tt = get(handles.slider1, 'Max');
ttt = tt * (37/23);
set(handles.slider1,'Max',ttt);
set(handles.slider1,'Units','normalized');
