% ******************************************** %
% *** Copyright 2016 by G. W. Chang *** %
% *********** All rights reserved *********** %
% ******************************************** %
function varargout = chp10ex6(varargin)

gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @chp10ex6_OpeningFcn, ...
                   'gui_OutputFcn',  @chp10ex6_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end

function chp10ex6_OpeningFcn(hObject, eventdata, handles, varargin)

handles.output = hObject;

axes(handles.axes1);
set(handles.axes1,'Units','pixels');
POSITION = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
assignin('base','position',POSITION);
imshow('ch10_ex6.png');

guidata(hObject, handles);

function varargout = chp10ex6_OutputFcn(hObject, eventdata, handles) 

varargout{1} = handles.output;


% --- Executes on slider movement.
function slider1_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
b = get(handles.slider1, 'Value');
set(handles.axes1, 'xlim',  [0.5  position(3)] + b );

function slider1_CreateFcn(hObject, eventdata, handles)

if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


% --- Executes on slider movement.
function slider2_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
a = get(handles.slider2, 'Value');
set(handles.axes1, 'ylim',  [0.5  position(4)] - a );



function slider2_CreateFcn(hObject, eventdata, handles)

if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


% --- Executes on selection change in text2.
function text2_Callback(hObject, eventdata, handles)

function text2_CreateFcn(hObject, eventdata, handles)

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in pushbutton1.
function pushbutton1_Callback(hObject, eventdata, handles)
set(handles.text2,'Style','listbox');
set(handles.text2, 'String',  {
 'Currents in the lines between the transformer and the fault'
 ' Ifa_transformer = 22205.7796 A'
 ' Ifb_transformer = 11102.8898 A'
 ' Ifc_transformer = 11102.8898 A'
 'Currents in the lines between the motor and the fault'
 ' Ifa_motor = 33308.6694 A'
 ' Ifb_motor = 11102.8898 A'
 ' Ifc_motor = 11102.8898 A'
 'Currents in the lines between the 4.16 kV bus and the transformer '
 'Ifa = 2773.6686 A'
 'Ifb = 0 A'
 'Ifc = 2773.6686 A'
    },'HorizontalAlignment','left');


function pushbutton2_Callback(hObject, eventdata, handles)
close(gcf)
chapter10
function pushbutton3_Callback(hObject, eventdata, handles)
set(handles.text2, 'String',  {
'% Matlab M-file of Example 10.6: ex10_6.m'
'% Clean previous value'
'clc'
'clear all'
'% Initial values@'
'% For transforming abc to 0123'
'A=[1            1                       1;'
'   1 cosd(240)+j*sind(240) cosd(120)+j*sind(120);'
'   1 cosd(120)+j*sind(120) cosd(240)+j*sind(240)];'
'Vf=1;'
'% Transformer bank'
'VH=2400;'
'VL=600;'
'S_transformer=2500*10^3;%VA'
'% Reactances in per unit of each motor'
'Pout_motor=6000;%hp'
'S_motor=5000*10^3;%kVA'
'efficiency_motor=0.895;'
'X0_motor=j*0.04;'
'X1_motor=j*0.2;'
'X2_motor=j*0.2;'
'Xn_motor=j*0.02;'
'% equivalent generator the reactance from neutral to ground'
'Sbase=7500*10^3;%VA'
'Vbase=4160;%V'
'Ibase=Sbase/(sqrt(3)*VL);'
'Ibase_high=Sbase/(sqrt(3)*Vbase);'
'X0_generator=j*0.05;'
'X1_generator=j*0.1;'
'X2_generator=j*0.1;'
'Xn_generator=j*0.05;'
'% load'
'hp_load=5000;%hp'
'PF_load=0.85;'
'efficiency_load=0.88;'
'% Solution '
'Vline=sqrt(3)*VH;'
'S_3motor=3*S_motor;'
'% input rating of the single equivalent motor'
'X0_motor_new=X0_motor*Sbase/S_motor;'
'X1_motor_new=X1_motor*Sbase/S_motor;'
'X2_motor_new=X1_motor_new;'
'% neutral and ground of the equivalent motor'
'Xn_motor_new=3*Xn_motor*Sbase/S_motor;'
'% equivalent generator the reactance from neutral to ground'
'X1_generator3=3*X1_generator;'
'% actual motor current '
'I_motor=746*hp_load/(efficiency_load*sqrt(3)*VL*PF_load);'
'I_motor_pu=I_motor*(cosd(acosd(PF_load))-j*sind(acosd(PF_load)))/Ibase;'
'Z11_1=(X1_generator+X1_generator)*X1_motor_new/(X1_generator+X1_generator+X1_motor_new);'
'Z11_0=X0_motor_new+Xn_motor_new;'
'Z11_2=Z11_1;'
'% Fault current'
'Ifa_1=Vf/(Z11_0+Z11_1+Z11_2);'
'Ifa_2=Ifa_1;'
'Ifa_0=Ifa_1;'
'%Ifa flowing toward P from the transformer'
'Ifa_1_from_transformer=Ifa_1*X1_motor_new/(X1_generator+X1_generator+X1_motor_new);'
'Ifa_2_from_transformer=Ifa_1_from_transformer;'
'%Ifa flowing toward P from the motor'
'Ifa_1_from_motor=Ifa_1*(X1_generator+X1_generator)/(X1_generator+X1_generator+X1_motor_new);'
'Ifa_2_from_motor=Ifa_1_from_motor;'
'% To P from the transformer in per unit'
'I_from_transformer_pu=A*[0;Ifa_1_from_transformer;Ifa_2_from_transformer];'
'% To P from the motor in per unit'
'I_from_motor_pu=A*[Ifa_0;Ifa_1_from_motor;Ifa_2_from_motor];'
'% Fault currnet'
'IA_1=Ifa_1_from_transformer*(cosd(30)+j*sind(30));'
'IA_2=Ifa_2_from_transformer*(cosd(-30)+j*sind(-30));'
'IA_0=0;'
'I_fault_pu=A*[IA_0;IA_1;IA_2];'
'I_fault_total=3*Ifa_0*Ibase;'
'% Currents in the lines between the transformer and the fault '
'disp(''Currents in the lines between the transformer and the fault'')'
'If_transformer=I_from_transformer_pu.*Ibase;'
'disp(['' Ifa_transformer = '',num2str(abs(If_transformer(1,1))),'' A''])'
'disp(['' Ifb_transformer = '',num2str(abs(If_transformer(2,1))),'' A''])'
'disp(['' Ifc_transformer = '',num2str(abs(If_transformer(3,1))),'' A''])'
'% Currents in the lines between the motor and the fault '
'disp(''Currents in the lines between the motor and the fault'')'
'If_motor=I_from_motor_pu.*Ibase;'
'disp(['' Ifa_motor = '',num2str(abs(If_motor(1,1))),'' A''])'
'disp(['' Ifb_motor = '',num2str(abs(If_motor(2,1))),'' A''])'
'disp(['' Ifc_motor = '',num2str(abs(If_motor(3,1))),'' A''])'
'% Currents in the lines between the 4.16 kV bus and the transformer '
'disp(''Currents in the lines between the 4.16 kV bus and the transformer '')'
'I_fault=I_fault_pu.*Ibase_high;'
'disp(['' Ifa = '',num2str(abs(I_fault(1,1))),'' A''])'
'disp(['' Ifb = '',num2str(abs(I_fault(2,1))),'' A''])'
'disp(['' Ifc = '',num2str(abs(I_fault(3,1))),'' A''])'
    },'HorizontalAlignment','left');
function popupmenu2_Callback(hObject, eventdata, handles)

function popupmenu2_CreateFcn(hObject, eventdata, handles)

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes when uipanel8 is resized.
function uipanel8_ResizeFcn(hObject, eventdata, handles)
set(handles.axes1,'Units','pixels');   
position = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
position;
assignin('base','position',position);
a = imread('ch10_ex6.png');
b = imresize(a,[position(4) position(3)],'bicubic');
c = rgb2gray(b);
c = imadjust(c,[ ],[ ],2);
imshow(c);
set(handles.slider2,'Units','pixels');
set(handles.slider2,'Min',-650);
set(handles.slider2,'Units','normalized');
