% ******************************************** %
% *** Copyright 2016 by G. W. Chang *** %
% *********** All rights reserved *********** %
% ******************************************** %
function varargout = chp13ex3(varargin)

gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
    'gui_Singleton',  gui_Singleton, ...
    'gui_OpeningFcn', @chp2ex14_OpeningFcn, ...
    'gui_OutputFcn',  @chp2ex14_OutputFcn, ...
    'gui_LayoutFcn',  [] , ...
    'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end

function chp2ex14_OpeningFcn(hObject, eventdata, handles, varargin)

handles.output = hObject;

axes(handles.axes1);
set(handles.axes1,'Units','pixels');
POSITION = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
assignin('base','position',POSITION);
imshow('ex13_3.png');
% Update handles structure
guidata(hObject, handles);

function varargout = chp2ex14_OutputFcn(hObject, eventdata, handles)

varargout{1} = handles.output;

function pushbutton1_Callback(hObject, eventdata, handles)
set(handles.text2, 'String',  {
'The reactance diagram for the system is shown in Fig. 16.5(a)'
'X = 0.1+abs(X1)/2 = 0.3000'
'normal_equation = (10*sin_alpha)/3'
'alpha = asind(0.3) = 17.4576'
'Vt = cosd(alpha)+j*sind(alpha) = 0.9539 + 0.3000i'
'I = (Vt-1)/(j*0.3) =1.0000 + 0.1535i'
'E1 = Vt+Xd*I =0.9232 + 0.5000i'
'X_transient = abs(Xd)+abs(Xt)+abs(X1)/2 = 0.5000'
'Pe =(21*sin_delta)/10'
'Swing_equation = 1-Pe = 1 - (21*sin_delta)/10'
},'HorizontalAlignment','left');

function pushbutton2_Callback(hObject, eventdata, handles)
close(gcf)
chapter13
function popupmenu1_Callback(hObject, eventdata, handles)

function popupmenu1_CreateFcn(hObject, eventdata, handles)

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on slider movement.
function slider1_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
b = get(handles.slider1, 'Value');
set(handles.axes1, 'xlim',  [0.5  position(3)] + b );
function slider1_CreateFcn(hObject, eventdata, handles)

if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


% --- Executes on slider movement.
function slider2_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
a = get(handles.slider2, 'Value');
set(handles.axes1, 'ylim',  [0.5  position(4)] - a );

% --- Executes during object creation, after setting all properties.
function slider2_CreateFcn(hObject, eventdata, handles)

if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end



function text2_Callback(hObject, eventdata, handles)

function text2_CreateFcn(hObject, eventdata, handles)

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function pushbutton3_Callback(hObject, eventdata, handles)
set(handles.text2,'Style','listbox');
set(handles.text2, 'String',  {
'% M-file of Example 13.3: ex13_3.m'
'% Clean previous value'
'clc'
'clear all'
'% Initial values'
'X1=j*0.4'
'Xd=j*0.2'
'Xt=j*0.1% reactance '
'% Solution'
'X=0.1+abs(X1)/2'
'% 1.0 per-unit power output of the generator is determined by'
'syms sin_alpha sin_delta'
'normal_equation=(1.0)*(1.0)/0.3*sin_alpha'
'alpha=asind(0.3)'
'Vt=cosd(alpha)+j*sind(alpha)'
'I=(Vt-1)/(j*0.3)'
'E1=Vt+Xd*I'
'X_transient=abs(Xd)+abs(Xt)+abs(X1)/2'
'% desired equation'
'Pe=roundn(abs(E1),-3)*1/0.5*sin_delta'
'% swing equation'
'Swing_equation=1-Pe'
},'HorizontalAlignment','left');

function uipanel3_ResizeFcn(hObject, eventdata, handles)
set(handles.axes1,'Units','pixels');
position = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
position;
assignin('base','position',position);
a = imread('ex13_3.png');
b = imresize(a,[position(4) position(3)],'bicubic');
c = rgb2gray(b);
c = imadjust(c,[ ],[ ],2);
imshow(c);


set(handles.slider2,'Units','pixels');
set(handles.slider2,'Min',-950);
set(handles.slider2,'Units','normalized');
