% ******************************************** %
% *** Copyright 2016 by G. W. Chang *** %
% *********** All rights reserved *********** %
% ******************************************** %
function varargout = chp3ex4(varargin)

gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
    'gui_Singleton',  gui_Singleton, ...
    'gui_OpeningFcn', @chp2ex4_OpeningFcn, ...
    'gui_OutputFcn',  @chp2ex4_OutputFcn, ...
    'gui_LayoutFcn',  [] , ...
    'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
function chp2ex4_OpeningFcn(hObject, eventdata, handles, varargin)
handles.output = hObject;
axes(handles.axes1);
set(handles.axes1,'Units','pixels');
POSITION = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
assignin('base','position',POSITION);
imshow('ex3_4.png');

guidata(hObject, handles);

function varargout = chp2ex4_OutputFcn(hObject, eventdata, handles)

varargout{1} = handles.output;

function pushbutton1_Callback(hObject, eventdata, handles)

a=6;
V2=11.5*10^3;
disp(' |V2|^2 *a^2* Gc = 66.7*10^3W ,thus')
Gc=14*10^-6
Y=73.4*10^-6
disp('Bm= ( |Y|^2 - Gc^2 )^1/2' )
Bm=72.05*10^-6
efficiency=12000/(12000+105.8+66.7)*100
set(handles.text2,'Style','text');
set(handles.text2,'string',[...
    '|V2|^2 *a^2* Gc = 66.7*10^3W ,thus',10,...
    'Bm= ( |Y|^2 - Gc^2 )^1/2',10,...
    ]) ;

function pushbutton2_Callback(hObject, eventdata, handles)
close(gcf)
chapter3

function slider1_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
b = get(handles.slider1, 'Value');
set(handles.axes1, 'xlim',  [0.5  position(3)] + b );
function slider1_CreateFcn(hObject, eventdata, handles)

if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


function slider2_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
a = get(handles.slider2, 'Value');
set(handles.axes1, 'ylim',  [0.5  position(4)] - a );
function slider2_CreateFcn(hObject, eventdata, handles)

if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end
function popupmenu1_Callback(hObject, eventdata, handles)


function popupmenu1_CreateFcn(hObject, eventdata, handles)

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


function pushbutton3_Callback(hObject, eventdata, handles)
guidata(hObject, handles);
set(handles.text2,'Style','listbox');
set(handles.text2, 'String',  {
'% Example 3.4'
'a=6;'
'V2=11.5*10^3;'
'Gc = 66.7*10^3W /|V2|^2/a^2;'
'Y=73.4*10^-6;'
'Bm= ( |Y|^2 - Gc^2 )^1/2;' 
'efficiency=12000/(12000+105.8+66.7)*100;'

    },'HorizontalAlignment','left');


function text2_Callback(hObject, eventdata, handles)


% --- Executes during object creation, after setting all properties.
function text2_CreateFcn(hObject, eventdata, handles)

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes when uipanel2 is resized.
function uipanel2_ResizeFcn(hObject, eventdata, handles)
set(handles.axes1,'Units','pixels');   
position = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
position;
assignin('base','position',position);
a = imread('ex3_4.png');
b = imresize(a,[position(4) position(3)],'bicubic');
c = rgb2gray(b);
c = imadjust(c,[ ],[ ],2);
imshow(c);

set(handles.slider1,'Units','pixels');
set(handles.slider1,'Max',300);
set(handles.slider1,'Units','normalized');
