% ******************************************** %
% *** Copyright 2016 by G. W. Chang *** %
% *********** All rights reserved *********** %
% ******************************************** %
function varargout = chp6ex1(varargin)

gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
    'gui_Singleton',  gui_Singleton, ...
    'gui_OpeningFcn', @chp6ex1_OpeningFcn, ...
    'gui_OutputFcn',  @chp6ex1_OutputFcn, ...
    'gui_LayoutFcn',  [] , ...
    'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end

function chp6ex1_OpeningFcn(hObject, eventdata, handles, varargin)

handles.output = hObject;

axes(handles.axes1);
set(handles.axes1,'Units','pixels');
POSITION = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
assignin('base','position',POSITION);
imshow('ex6_1.png');
% Update handles structure
guidata(hObject, handles);

function varargout = chp6ex1_OutputFcn(hObject, eventdata, handles)

varargout{1} = handles.output;

function pushbutton1_Callback(hObject, eventdata, handles)

set(handles.text2, 'String',  {
    'Substituting the numerical values of the branch admittances into this matrix'
    'Ybus=[(Yc+Yd+Yf)     -Yd         -Yc         -Yf'
    '         -Yd      (Yb+Yd+Ye)     -Yb         -Ye'
    '         -Yc         -Yb      (Ya+Yb+Yc)       0'
    '         -Yf         -Ye           0      (Ye+Yf+Yg)]'
    'We obtain for the overall network the nodal admittance equations'
    '' 
    'Ybus ='
    '0.0000 -14.5000i   0.0000 + 8.0000i   0.0000 + 4.0000i   0.0000 + 2.5000i'
    '0.0000 + 8.0000i   0.0000 -17.0000i   0.0000 + 4.0000i   0.0000 + 5.0000i'
    '0.0000 + 4.0000i   0.0000 + 4.0000i   0.0000 - 8.8000i   0.0000 + 0.0000i'
    '0.0000 + 2.5000i   0.0000 + 5.0000i   0.0000 + 0.0000i   0.0000 - 8.3000i'
    '' 
    'Zbus ='
    '0.0000 + 0.7187i   0.0000 + 0.6688i   0.0000 + 0.6307i   0.0000 + 0.6193i'
    '0.0000 + 0.6688i   0.0000 + 0.7045i   0.0000 + 0.6242i   0.0000 + 0.6258i'
    '0.0000 + 0.6307i   0.0000 + 0.6242i   0.0000 + 0.6840i   0.0000 + 0.5660i'
    '0.0000 + 0.6193i   0.0000 + 0.6258i   0.0000 + 0.5660i   0.0000 + 0.6840i'
    },'HorizontalAlignment','left');

function pushbutton2_Callback(hObject, eventdata, handles)
close(gcf)
chapter6
function popupmenu1_Callback(hObject, eventdata, handles)

function popupmenu1_CreateFcn(hObject, eventdata, handles)

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on slider movement.
function slider1_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
b = get(handles.slider1, 'Value');
set(handles.axes1, 'xlim',  [0.5  position(3)] + b );
function slider1_CreateFcn(hObject, eventdata, handles)

if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


% --- Executes on slider movement.
function slider2_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
a = get(handles.slider2, 'Value');
set(handles.axes1, 'ylim',  [0.5  position(4)] - a );

% --- Executes during object creation, after setting all properties.
function slider2_CreateFcn(hObject, eventdata, handles)

if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end



function text2_Callback(hObject, eventdata, handles)

function text2_CreateFcn(hObject, eventdata, handles)

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function pushbutton3_Callback(hObject, eventdata, handles)
set(handles.text2,'Style','listbox');
set(handles.text2, 'String',  {
'% Matlab M_File for Example 6.1: ex6_1.m'
'% Clean previous value'
'clc'
'clear all'
'%initial value'
'Ya=-j*0.8;'
'Yb=-j*4;'
'Yc=-j*4;'
'Yd=-j*8;'
'Ye=-j*5;'
'Yf=-j*2.5;'
'Yg=-j*0.8;'
'% Solution'
'disp(''Substituting the numerical values of the branch admittances into this matrix'')'
'disp(''Ybus=[(Yc+Yd+Yf)     -Yd         -Yc         -Yf'')'
'disp(''         -Yd      (Yb+Yd+Ye)     -Yb         -Ye'')'
'disp(''         -Yc         -Yb      (Ya+Yb+Yc)       0'')'
'disp(''         -Yf         -Ye           0      (Ye+Yf+Yg)]'')'
'disp(''We obtain for the overall network the nodal admittance equations'')'
'Ybus=[(Yc+Yd+Yf)     -Yd         -Yc         -Yf;'
'        -Yd      (Yb+Yd+Ye)     -Yb         -Ye;'
'        -Yc         -Yb      (Ya+Yb+Yc)       0;'
'        -Yf         -Ye           0      (Ye+Yf+Yg)]'
'Zbus=inv(Ybus)'
    },'HorizontalAlignment','left');

function uipanel3_ResizeFcn(hObject, eventdata, handles)
set(handles.axes1,'Units','pixels');
position = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
position;
assignin('base','position',position);
a = imread('ex6_1.png');
b = imresize(a,[position(4) position(3)],'bicubic');
c = rgb2gray(b);
c = imadjust(c,[ ],[ ],2);
imshow(c);
set(handles.slider2,'Units','pixels');
set(handles.slider2,'Min',-950);
set(handles.slider2,'Units','normalized');
set(handles.slider1,'Units','pixels');
set(handles.slider1,'Max',250);
set(handles.slider1,'Units','normalized');
