% ******************************************** %
% *** Copyright 2016 by G. W. Chang *** %
% *********** All rights reserved *********** %
% ******************************************** %
function varargout = chp6ex2(varargin)

gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
    'gui_Singleton',  gui_Singleton, ...
    'gui_OpeningFcn', @chp2ex14_OpeningFcn, ...
    'gui_OutputFcn',  @chp2ex14_OutputFcn, ...
    'gui_LayoutFcn',  [] , ...
    'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end

function chp2ex14_OpeningFcn(hObject, eventdata, handles, varargin)

handles.output = hObject;

axes(handles.axes1);
set(handles.axes1,'Units','pixels');
POSITION = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
assignin('base','position',POSITION);
imshow('ex6_2.png');
% Update handles structure
guidata(hObject, handles);

function varargout = chp2ex14_OutputFcn(hObject, eventdata, handles)

varargout{1} = handles.output;

function pushbutton1_Callback(hObject, eventdata, handles)
set(handles.text2, 'String',  {
'1.Get admittance matrix from example 6.1'
''
'Y ='
   '0.0000 -14.5000i   0.0000 + 8.0000i   0.0000 + 4.0000i   0.0000 + 2.5000i'
   '0.0000 + 8.0000i   0.0000 -17.0000i   0.0000 + 4.0000i   0.0000 + 5.0000i'
   '0.0000 + 4.0000i   0.0000 + 4.0000i   0.0000 - 8.8000i   0.0000 + 0.0000i'
   '0.0000 + 2.5000i   0.0000 + 5.0000i   0.0000 + 0.0000i   0.0000 - 8.3000i'
''
'2.Get K,L,M from admittance matrix'
''
'K ='
   '0.0000 -14.5000i   0.0000 + 8.0000i'
   '0.0000 + 8.0000i   0.0000 -17.0000i'
''
'L ='
   '0.0000 + 4.0000i   0.0000 + 2.5000i'
   '0.0000 + 4.0000i   0.0000 + 5.0000i'
''
'M ='
   '0.0000 - 8.8000i   0.0000 + 0.0000i'
   '0.0000 + 0.0000i   0.0000 - 8.3000i'
''
'3.Eliminate nodes 1 and 2 by the matrix-algebra procedure'
'Ye_bus = M - LKL' 
''
'Ye_bus ='
   '0.0000 - 4.6356i   0.0000 + 3.8356i'
   '0.0000 + 3.8356i   0.0000 - 4.6356i'
''
'4.Using new admittance matrix to calculate power and reactive voltamperes'
' Power out of source V3 is 0.27214+0.29384i per unit'
' Power into source V4 is 0.27214+0.010432i per unit'
' The voltage at node 3 is 0.95616-0.27214i per unit'
  },'HorizontalAlignment','left');

function pushbutton2_Callback(hObject, eventdata, handles)
close(gcf)
chapter6
function popupmenu1_Callback(hObject, eventdata, handles)

function popupmenu1_CreateFcn(hObject, eventdata, handles)

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on slider movement.
function slider1_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
b = get(handles.slider1, 'Value');
set(handles.axes1, 'xlim',  [0.5  position(3)] + b );
function slider1_CreateFcn(hObject, eventdata, handles)

if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


% --- Executes on slider movement.
function slider2_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
a = get(handles.slider2, 'Value');
set(handles.axes1, 'ylim',  [0.5  position(4)] - a );

% --- Executes during object creation, after setting all properties.
function slider2_CreateFcn(hObject, eventdata, handles)

if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end



function text2_Callback(hObject, eventdata, handles)

function text2_CreateFcn(hObject, eventdata, handles)

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function pushbutton3_Callback(hObject, eventdata, handles)
set(handles.text2,'Style','listbox');
set(handles.text2, 'String',  {
'% M_File for Example 6.2: ex6_2.m'
'% Clean previous value'
'clc'
'clear all'
'% initial value '
'disp(''Get admittance matrix from example 6.1'')'
'Y=[-j*14.5  j*8.0   j*4.0  j*2.5;'
'    j*8.0  -j*17.0  j*4.0  j*5.0;'
'    j*4.0   j*4.0  -j*8.8   0.0;'
'    j*2.5   j*5.0     0.0 -j*8.3]'
'disp(''Get K,L,M from admittance matrix'')'    
'K=[-j*14.5   j*8;   j*8     -j*17]'
'L=[ j*4     j*2.5;  j*4     j*5]'
'M=[-j*8.8       0;    0   -j*8.3]'
'V3=1.25;  V3angle=0;'        
'V4=0.85;  V4angle=-45; % Degree'
'det_K=det(K);    % inv(K);'
'K_cal=[K(2,2) -K(1,2); -K(2,1) K(1,1)];'
'inv_K=K_cal/det_K;'
'LKL=L.''*inv(K)*L;'
'disp(''Eliminate nodes 1 and 2 by the matrix-algebra procedure'')'
'disp(['' Ye_bus = M - LKL ''])'
'Ye_bus=M-LKL'
'Z3=Ye_bus(2,2)-(-Ye_bus(1,2));'
'X3=abs(1/Z3);  X4=X3;'
'X34=abs(1/(-Ye_bus(1,2)));'
'V4cp=V4*cosd(V4angle)+j*V4*sind(V4angle);'  
'I=(V3-V4cp)/(j*(X3+X4+X34));'
'I_mag=abs(I);  I_ang=angle(I)*180/pi;'
'disp(''Using new admittance matrix to calculate power and reactive voltamperes'')'
'% Power out of source V3 and Power into source V4'
'Power_V3=V3*I;'
'disp(['' Power out of source V3 is '',num2str(Power_V3),'' per unit''])'
'Power_V4=V4cp*I;'
'disp(['' Power into source V4 is '',num2str(Power_V4),'' per unit''])'
'% The reactive voltamperes in the circuit equal'
'Q=abs(I)^2*(X3+X3+X34);'
'% The voltage at node 3 '
'V_3=V3-j*X3*I;'
'V3_mag=abs(V_3);   V3_ang=angle(V_3)*180/pi;'
'disp(['' The voltage at node 3 is '',num2str(V_3),'' per unit''])'
    },'HorizontalAlignment','left');

function uipanel3_ResizeFcn(hObject, eventdata, handles)
set(handles.axes1,'Units','pixels');
position = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
position;
assignin('base','position',position);
a = imread('ex6_2.png');
b = imresize(a,[position(4) position(3)],'bicubic');
c = rgb2gray(b);
c = imadjust(c,[ ],[ ],2);
imshow(c);

set(handles.slider2,'Units','pixels');

set(handles.slider2,'Min',-450);
set(handles.slider2,'Units','normalized');


set(handles.slider1,'Units','pixels');
set(handles.slider1,'Max',200);
set(handles.slider1,'Units','normalized');
