% ******************************************** %
% *** Copyright 2016 by G. W. Chang *** %
% *********** All rights reserved *********** %
% ******************************************** %
function varargout = chp6ex4(varargin)

gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
    'gui_Singleton',  gui_Singleton, ...
    'gui_OpeningFcn', @chp2ex14_OpeningFcn, ...
    'gui_OutputFcn',  @chp2ex14_OutputFcn, ...
    'gui_LayoutFcn',  [] , ...
    'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end

function chp2ex14_OpeningFcn(hObject, eventdata, handles, varargin)

handles.output = hObject;

axes(handles.axes1);
set(handles.axes1,'Units','pixels');
POSITION = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
assignin('base','position',POSITION);
imshow('ex6_4.png');
% Update handles structure
guidata(hObject, handles);

function varargout = chp2ex14_OutputFcn(hObject, eventdata, handles)

varargout{1} = handles.output;

function pushbutton1_Callback(hObject, eventdata, handles)
set(handles.text2, 'String',  {
'1.Get admittance matrix and Ibus from example 6.1'
'Ibus ='
   '[0.0000 + 0.0000i'
   ' 0.0000 + 0.0000i'
   ' 0.0000 - 1.0000i'
   ' -0.4808 - 0.4808i]'
''
'Ybus ='
   '[0.0000 -14.5000i   0.0000 + 8.0000i   0.0000 + 4.0000i   0.0000 + 2.5000i'
   ' 0.0000 + 8.0000i   0.0000 -17.0000i   0.0000 + 4.0000i   0.0000 + 5.0000i'
   ' 0.0000 + 4.0000i   0.0000 + 4.0000i   0.0000 - 8.8000i   0.0000 + 0.0000i'
   ' 0.0000 + 2.5000i   0.0000 + 5.0000i   0.0000 + 0.0000i   0.0000 - 8.3000i]'
''
'2.Calculate Zbus, Vbus by Ibus, Ybus'
 'Icsp=Vbus(4,1)/(X+Zbus(4,4)) = 0.220969.8197 A'
''
'The current Icap drawn by the capacitor is 0.220969.8197 A'
 },'HorizontalAlignment','left');
function pushbutton2_Callback(hObject, eventdata, handles)
close(gcf)
chapter6
function popupmenu1_Callback(hObject, eventdata, handles)

function popupmenu1_CreateFcn(hObject, eventdata, handles)

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on slider movement.
function slider1_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
b = get(handles.slider1, 'Value');
set(handles.axes1, 'xlim',  [0.5  position(3)] + b );
function slider1_CreateFcn(hObject, eventdata, handles)

if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


% --- Executes on slider movement.
function slider2_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
a = get(handles.slider2, 'Value');
set(handles.axes1, 'ylim',  [0.5  position(4)] - a );

% --- Executes during object creation, after setting all properties.
function slider2_CreateFcn(hObject, eventdata, handles)

if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end



function text2_Callback(hObject, eventdata, handles)

function text2_CreateFcn(hObject, eventdata, handles)

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function pushbutton3_Callback(hObject, eventdata, handles)
set(handles.text2,'Style','listbox');
set(handles.text2, 'String',  {
    '% M_File for Example 6.4: ex6_4.m'
    '%Clean previous value'
    'clc'
    'clear all'
    '%initial value'
    'Ibus=[0;0;-j*1;0.68*(cosd(-135)+j*sind(-135))];'
    '% Get from Example 6.1'
    'Ybus=[-j*14.5  j*8.0   j*4.0  j*2.5;'
    '       j*8.0  -j*17.0  j*4.0  j*5.0;'
    '       j*4.0   j*4.0  -j*8.8    0.0;'
    '       j*2.5   j*5.0     0.0 -j*8.3];'
    'X=-j*5.0;'
    '% Solution'
    'Zbus=inv(Ybus);'
    'Vbus=Zbus*Ibus;'
    'V4_mag=abs(Vbus(4,1));'
    'V4_ang=angle(Vbus(4,1))*180/pi; %rad->degree'
    'Icsp=Vbus(4,1)/(X+Zbus(4,4));'
    'Icsp_mag=abs(Icsp)'
    'Icsp_ang=angle(Icsp)*180/pi %rad->degree'
    },'HorizontalAlignment','left');

function uipanel3_ResizeFcn(hObject, eventdata, handles)
set(handles.axes1,'Units','pixels');
position = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
position;
assignin('base','position',position);
a = imread('ex6_4.png');
b = imresize(a,[position(4) position(3)],'bicubic');
c = rgb2gray(b);
c = imadjust(c,[ ],[ ],2);
imshow(c);

set(handles.slider2,'Units','pixels');
set(handles.slider2,'Min',-320);
set(handles.slider2,'Units','normalized');


set(handles.slider1,'Units','pixels');
set(handles.slider1,'Max',180);
set(handles.slider1,'Units','normalized');
