% ******************************************** %
% *** Copyright 2016 by G. W. Chang *** %
% *********** All rights reserved *********** %
% ******************************************** %
function varargout = chp6ex6(varargin)

gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
    'gui_Singleton',  gui_Singleton, ...
    'gui_OpeningFcn', @chp2ex14_OpeningFcn, ...
    'gui_OutputFcn',  @chp2ex14_OutputFcn, ...
    'gui_LayoutFcn',  [] , ...
    'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end

function chp2ex14_OpeningFcn(hObject, eventdata, handles, varargin)

handles.output = hObject;

axes(handles.axes1);
set(handles.axes1,'Units','pixels');
POSITION = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
assignin('base','position',POSITION);
imshow('ex6_6.png');
% Update handles structure
guidata(hObject, handles);

function varargout = chp2ex14_OutputFcn(hObject, eventdata, handles)

varargout{1} = handles.output;

function pushbutton1_Callback(hObject, eventdata, handles)
set(handles.text2, 'String',  {
'1.Obtain admittance matrix and Ibus from Example 6.1'
''
'Ibus ='
   '[0.0000 + 0.0000i'
   ' 0.0000 + 0.0000i'
   ' 0.0000 - 1.0000i'
   '-0.4808 - 0.4808i]'
   ''
'Ybus ='
   '[0.0000 -14.5000i   0.0000 + 8.0000i   0.0000 + 4.0000i   0.0000 + 2.5000i'
   ' 0.0000 + 8.0000i   0.0000 -17.0000i   0.0000 + 4.0000i   0.0000 + 5.0000i'
   ' 0.0000 + 4.0000i   0.0000 + 4.0000i   0.0000 - 8.8000i   0.0000 + 0.0000i'
   ' 0.0000 + 2.5000i   0.0000 + 5.0000i   0.0000 + 0.0000i   0.0000 - 8.3000i]'
   ''
'2.Eliminating the fifth row and column, we obtain for Zbus(new) from Eq. (6.61)'
''
'Znew ='
   '[0.0000 + 0.8076i   0.0000 + 0.7586i   0.0000 + 0.7119i   0.0000 + 0.7175i'
   ' 0.0000 + 0.7586i   0.0000 + 0.7952i   0.0000 + 0.7063i   0.0000 + 0.7250i'
   ' 0.0000 + 0.7119i   0.0000 + 0.7063i   0.0000 + 0.7582i   0.0000 + 0.6557i'
   ' 0.0000 + 0.7175i   0.0000 + 0.7250i   0.0000 + 0.6557i   0.0000 + 0.7924i]'
 'V4 = Znew(3,4)*Ibus(3,1)+Znew(4,4)*Ibus(4,1) = 1.1045-20.1803 V'
 'Since both I1 and I2 are zero while I3 and I4 are nonzero, we obtain V4=1.1045-20.1803 V'
 },'HorizontalAlignment','left');

function pushbutton2_Callback(hObject, eventdata, handles)
close(gcf)
chapter6
function popupmenu1_Callback(hObject, eventdata, handles)

function popupmenu1_CreateFcn(hObject, eventdata, handles)

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on slider movement.
function slider1_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
b = get(handles.slider1, 'Value');
set(handles.axes1, 'xlim',  [0.5  position(3)] + b );
function slider1_CreateFcn(hObject, eventdata, handles)

if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


% --- Executes on slider movement.
function slider2_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
a = get(handles.slider2, 'Value');
set(handles.axes1, 'ylim',  [0.5  position(4)] - a );

% --- Executes during object creation, after setting all properties.
function slider2_CreateFcn(hObject, eventdata, handles)

if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end



function text2_Callback(hObject, eventdata, handles)

function text2_CreateFcn(hObject, eventdata, handles)

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function pushbutton3_Callback(hObject, eventdata, handles)
set(handles.text2,'Style','listbox');
set(handles.text2, 'String',  {
    '% M_File for Example 6.6: ex6_6.m'
    '%Clean previous value'
    'clc'
    'clear all'
    '%initial value '
    'I=-0.22056;     '
    'Iangle=69.2534;'
    'Icp=I*cosd(Iangle)+j*I*sind(Iangle);  %Convert degree to radian'
    '% Get from Example 6.1'
    'Ibus=[0;0;-j*1;0.68*(cosd(-135)+j*sind(-135))];'
    'Ybus=[-j*14.5  j*8.0   j*4.0  j*2.5;'
    '       j*8.0  -j*17.0  j*4.0  j*5.0;'
    '       j*4.0   j*4.0  -j*8.8    0.0;'
    '       j*2.5   j*5.0     0.0 -j*8.3];'
    'Zb=-j*5.0;'
    'Zbus=inv(Ybus);'
    'Vbus=Zbus*Ibus;'
    '% Solution'
    'Z44plusZb=Zbus(4,4)+Zb;'
    'for i=1:1:4'
    '    for k=1:1:4'
    '        Znew(i,k)=Zbus(i,k)-Zbus(i,4)*Zbus(4,k)/Z44plusZb;'
    '    end'
    'end'
    'Znew'
    'V4=Znew(3,4)*Ibus(3,1)+Znew(4,4)*Ibus(4,1);'
    'V4_mag=abs(V4)'
    'V4_ang=angle(V4)*180/pi %rad->degree'
    '% other way'
    'V4_other_way=Zb*Vbus(4,1)/(Zbus(4,4)+Zb);'
    'V4_other_way_mag=abs(V4)'
    'V4_other_way_ang=angle(V4)*180/pi %rad->degree'
    },'HorizontalAlignment','left');

function uipanel3_ResizeFcn(hObject, eventdata, handles)
set(handles.axes1,'Units','pixels');
position = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
position;
assignin('base','position',position);
a = imread('ex6_6.png');
b = imresize(a,[position(4) position(3)],'bicubic');
c = rgb2gray(b);
c = imadjust(c,[ ],[ ],2);
imshow(c);

set(handles.slider1,'Units','pixels');
set(handles.slider1,'Max',130);
set(handles.slider1,'Units','normalized');
