% ******************************************** %
% *** Copyright 2016 by G. W. Chang *** %
% *********** All rights reserved *********** %
% ******************************************** %
function varargout = chp6ex7(varargin)

gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
    'gui_Singleton',  gui_Singleton, ...
    'gui_OpeningFcn', @chp2ex14_OpeningFcn, ...
    'gui_OutputFcn',  @chp2ex14_OutputFcn, ...
    'gui_LayoutFcn',  [] , ...
    'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end

function chp2ex14_OpeningFcn(hObject, eventdata, handles, varargin)

handles.output = hObject;

axes(handles.axes1);
set(handles.axes1,'Units','pixels');
POSITION = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
assignin('base','position',POSITION);
imshow('ex6_7.png');
% Update handles structure
guidata(hObject, handles);

function varargout = chp2ex14_OutputFcn(hObject, eventdata, handles)

varargout{1} = handles.output;

function pushbutton1_Callback(hObject, eventdata, handles)
set(handles.text2,'Style','text');
set(handles.text2,'string',[...
    'Znew2 =',10,...
    '   [0.0000 + 0.7166i   0.0000 + 0.6099i   0.0000 + 0.5334i   0.0000 + 0.5805i',10,...
    '    0.0000 + 0.6099i   0.0000 + 0.7319i   0.0000 + 0.6401i   0.0000 + 0.6966i',10,...
    '    0.0000 + 0.5334i   0.0000 + 0.6401i   0.0000 + 0.7166i   0.0000 + 0.6695i',10,...
    '    0.0000 + 0.5805i   0.0000 + 0.6966i   0.0000 + 0.6695i   0.0000 + 0.7631i]',10,...
    ])

function pushbutton2_Callback(hObject, eventdata, handles)
close(gcf)
chapter6
function popupmenu1_Callback(hObject, eventdata, handles)

function popupmenu1_CreateFcn(hObject, eventdata, handles)

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on slider movement.
function slider1_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
b = get(handles.slider1, 'Value');
set(handles.axes1, 'xlim',  [0.5  position(3)] + b );
function slider1_CreateFcn(hObject, eventdata, handles)

if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


% --- Executes on slider movement.
function slider2_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
a = get(handles.slider2, 'Value');
set(handles.axes1, 'ylim',  [0.5  position(4)] - a );

% --- Executes during object creation, after setting all properties.
function slider2_CreateFcn(hObject, eventdata, handles)

if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end



function text2_Callback(hObject, eventdata, handles)

function text2_CreateFcn(hObject, eventdata, handles)

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function pushbutton3_Callback(hObject, eventdata, handles)
set(handles.text2,'Style','listbox');
set(handles.text2, 'String',  {
'% M_File for Example 6.7: ex6_7.m'
'%Clean previous value'
'clc'
'clear all'
'%initial value '
'X10=j*1.25;'
'X12=j*0.25;'
'X23=j*0.4;'
'X24=j*0.125;'
'X30=j*1.25;'
'X34=j*0.2;'
'% Solution'
'% 1  1 bus impedance matrix'
'Zbus(1,1)=X10;'
'% To establish bus 2 with its impedance to bus 1'
'Zbus(1,2)=Zbus(1,1);'
'Zbus(2,1)=Zbus(1,1);'
'Zbus(2,2)=Zbus(1,1)+X12;'
'% Bus 3 with the impedance connecting it to bus 2'
'Zbus(1,3)=Zbus(1,2);'
'Zbus(3,1)=Zbus(2,1);'
'Zbus(2,3)=Zbus(2,2);'
'Zbus(3,2)=Zbus(2,2);'
'Zbus(3,3)=Zbus(2,2)+X23;'
'% add the impedance Zb = j1.25 from bus 3 to the reference node'
'Zbus(1,4)=Zbus(1,3);'
'Zbus(4,1)=Zbus(3,1);'
'Zbus(2,4)=Zbus(2,3);'
'Zbus(4,2)=Zbus(3,2);'
'Zbus(3,4)=Zbus(3,3);'
'Zbus(4,3)=Zbus(3,3);'
'Zbus(4,4)=Zbus(3,3)+X30;'
'% eliminate row p and column p by Kron reduction.'
'for i=1:1:3'
'    for k=1:1:3'
'        Znew(i,k)=Zbus(i,k)-Zbus(i,4)*Zbus(4,k)/Zbus(4,4);'
'    end'
'end'
'%  add Zb = j0.20 from bus 3 to establish bus 4'
'Znew(1,4)=Znew(1,3);'
'Znew(4,1)=Znew(3,1);'
'Znew(2,4)=Znew(2,3);'
'Znew(4,2)=Znew(3,2);'
'Znew(3,4)=Znew(3,3);'
'Znew(4,3)=Znew(3,3);'
'Znew(4,4)=Znew(3,3)+X34;'
'%  If we let j and k in Eq. (6.69) equal 2 and 4'
'%  we obtain the elements for row 5 and column 5'
'Znew(1,5)=Znew(1,2)-Znew(1,4);'
'Znew(2,5)=Znew(2,2)-Znew(2,4);'
'Znew(3,5)=Znew(3,2)-Znew(3,4);'
'Znew(4,5)=Znew(4,2)-Znew(4,4);'
'Znew(5,5)=Znew(2,2)+Znew(4,4)-2*Znew(2,4)+X24;'
'Znew(5,1)=Znew(1,5);'
'Znew(5,2)=Znew(2,5);'
'Znew(5,3)=Znew(3,5);'
'Znew(5,4)=Znew(4,5);'
'for i=1:1:4'
'    for k=1:1:4'
'        Znew2(i,k)=Znew(i,k)-Znew(i,5)*Znew(5,k)/Znew(5,5);'
'    end'
'end'
'Znew2'
    },'HorizontalAlignment','left');

function uipanel3_ResizeFcn(hObject, eventdata, handles)
set(handles.axes1,'Units','pixels');
position = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
position;
assignin('base','position',position);
a = imread('ex6_7.png');
b = imresize(a,[position(4) position(3)],'bicubic');
c = rgb2gray(b);
c = imadjust(c,[ ],[ ],2);
imshow(c);

set(handles.slider2,'Units','pixels');
set(handles.slider2,'Min',-360);
set(handles.slider2,'Units','normalized');
set(handles.slider1,'Units','pixels');
set(handles.slider1,'Max',120);
set(handles.slider1,'Units','normalized');
