% ******************************************** %
% *** Copyright 2016 by G. W. Chang *** %
% *********** All rights reserved *********** %
% ******************************************** %
function varargout = chp7ex14(varargin)

gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
    'gui_Singleton',  gui_Singleton, ...
    'gui_OpeningFcn', @chp7ex14_OpeningFcn, ...
    'gui_OutputFcn',  @chp7ex14_OutputFcn, ...
    'gui_LayoutFcn',  [] , ...
    'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end

function chp7ex14_OpeningFcn(hObject, eventdata, handles, varargin)

handles.output = hObject;

axes(handles.axes1);
set(handles.axes1,'Units','pixels');
POSITION = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
assignin('base','position',POSITION);
imshow('ex7_14.png');
% Update handles structure
guidata(hObject, handles);

function varargout = chp7ex14_OutputFcn(hObject, eventdata, handles)

varargout{1} = handles.output;

function pushbutton1_Callback(hObject, eventdata, handles)
set(handles.text2, 'String',  {
'1. From Table 7.8'
'Q2=-1.0535'
'Q3=-1.2394'
'V1=1,V2=1,V3=1,V4=1.02'
''
'B=[44.835953        0       -25.847809;'
'    0          40.863838    -15.118528;'
'   -25.847809  -15.118528   40.863838 ]'
''
'delta_P=[-1.59661;-1.93953;2.21286]'
''
'2. Finding theta in rad'
'delta_theta = inv(B)*delta_P'
'delta2_theta = -0.0193'
'delta3_theta = -0.0370'
'delta4_theta =  0.0282'
''
'3. Adding these results to the flat-start estimates'
'deltaQ2_divide_V2=1/1*(Q2+(V2^2)*-B(1,1)+19.455965*sin(101.30993*pi/180+0-delta2)+26.359695*V4*sin(101.30993*pi/180+delta4-delta2))'
'= -0.8044'
'deltaQ3_divide_V3=1/1*(Q3+(V3^2)*-B(3,3)+26.359695*sin(101.30993*pi/180+0-delta3)+15.417934*V4*sin(101.30993*pi/180+delta4-delta3))'
'= -1.2775'
''
'4. Using B*delta_V=Q_divide_V to solve the problem'
'B_new=[44.835953 0; 0 40.863838]'
'Q_divide_V=[deltaQ2_divide_V2;deltaQ3_divide_V3]'
'delta_V=inv(B_new)*Q_divide_V =  [-0.0179 -0.0313]'
''
'5. Show the answer'
'delta_V2=delta_V(1,1) = -0.0179'
'delta_V3=delta_V(2,1) = -0.0313'
''
'So the voltage of bus 2 and bus 3 become: '
'V2(1) = V2 + delta_V2 =0.9821 V'
'V3(1) = V3 + delta_V3 =0.9687 V'
},'HorizontalAlignment','left');

function pushbutton2_Callback(hObject, eventdata, handles)
close(gcf)
chapter7
function popupmenu1_Callback(hObject, eventdata, handles)

function popupmenu1_CreateFcn(hObject, eventdata, handles)

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on slider movement.
function slider1_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
b = get(handles.slider1, 'Value');
set(handles.axes1, 'xlim',  [0.5  position(3)] + b );
function slider1_CreateFcn(hObject, eventdata, handles)

if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end


% --- Executes on slider movement.
function slider2_Callback(hObject, eventdata, handles)
position = evalin ('base','position') ;
a = get(handles.slider2, 'Value');
set(handles.axes1, 'ylim',  [0.5  position(4)] - a );

% --- Executes during object creation, after setting all properties.
function slider2_CreateFcn(hObject, eventdata, handles)

if isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor',[.9 .9 .9]);
end



function text2_Callback(hObject, eventdata, handles)

function text2_CreateFcn(hObject, eventdata, handles)

if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

function pushbutton3_Callback(hObject, eventdata, handles)
set(handles.text2,'Style','listbox');
set(handles.text2, 'String',  {
'% M-file for Example 7.14: ex7_14.m'
'% Clean previous value'
'clc'
'clear all'
'% Initial value'
'% From Table 7.8'
'Q2=-1.0535;'
'Q3=-1.2394;'
'V1=1;,V2=1;,V3=1;,V4=1.02'
'B=[44.835953        0       -25.847809;'
'    0          40.863838    -15.118528;'
'   -25.847809  -15.118528   40.863838]'
'delta_P=[-1.59661;-1.93953;2.21286];'
'% Finding theta in rad'
'delta_theta=inv(B)*delta_P;'
'delta2=delta_theta(1,1)'
'delta3=delta_theta(2,1)'
'delta4=delta_theta(3,1)'
'% Adding these results to the flat-start estimates'
'deltaQ2_divide_V2=1/1*(Q2+(V2^2)*-B(1,1)+19.455965*sin(101.30993*pi/180+0-delta2)...'
'                              +26.359695*V4*sin(101.30993*pi/180+delta4-delta2))'
'deltaQ3_divide_V3=1/1*(Q3+(V3^2)*-B(3,3)+26.359695*sin(101.30993*pi/180+0-delta3)...'
'                              +15.417934*V4*sin(101.30993*pi/180+delta4-delta3))'
'% Using B*delta_V=Q_divide_V to solve the problem'
'B_new=[44.835953 0; 0 40.863838];'
'Q_divide_V=[deltaQ2_divide_V2;deltaQ3_divide_V3];'
'delta_V=inv(B_new)*Q_divide_V'
'% Show the answer'
'delta_V2=delta_V(1,1)'
'delta_V3=delta_V(2,1)'
},'HorizontalAlignment','left');

function uipanel3_ResizeFcn(hObject, eventdata, handles)
set(handles.axes1,'Units','pixels');
position = get(handles.axes1,'Position');
set(handles.axes1,'Units','normalized');
position;
assignin('base','position',position);
a = imread('ex7_14.png');
b = imresize(a,[position(4) position(3)],'bicubic');
c = rgb2gray(b);
c = imadjust(c,[ ],[ ],2);
imshow(c);
